(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@web-atoms/core/dist/core/Bind", "@web-atoms/core/dist/core/XNode", "../clr/XF", "../combo-box/AtomXFComboBox", "../controls/AtomXFGrid", "./AtomXFCalendarStyle", "./AtomXFCalendarViewModel"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const Bind_1 = require("@web-atoms/core/dist/core/Bind");
    const XNode_1 = require("@web-atoms/core/dist/core/XNode");
    const XF_1 = require("../clr/XF");
    const AtomXFComboBox_1 = require("../combo-box/AtomXFComboBox");
    const AtomXFGrid_1 = require("../controls/AtomXFGrid");
    const AtomXFCalendarStyle_1 = require("./AtomXFCalendarStyle");
    const AtomXFCalendarViewModel_1 = require("./AtomXFCalendarViewModel");
    function toCss(a) {
        let r = "";
        for (const key in a) {
            if (a.hasOwnProperty(key)) {
                const element = a[key];
                if (element) {
                    r += key + ",";
                }
            }
        }
        return r;
    }
    const monthList = [
        { label: "January", value: 0 },
        { label: "February", value: 1 },
        { label: "March", value: 2 },
        { label: "April", value: 3 },
        { label: "May", value: 4 },
        { label: "June", value: 5 },
        { label: "July", value: 6 },
        { label: "August", value: 7 },
        { label: "September", value: 8 },
        { label: "October", value: 9 },
        { label: "November", value: 10 },
        { label: "December", value: 11 }
    ];
    const weekDays = [
        { label: "Mon", value: "Mon" },
        { label: "Tue", value: "Tue" },
        { label: "Wed", value: "Wed" },
        { label: "Thu", value: "Thu" },
        { label: "Fri", value: "Fri" },
        { label: "Sat", value: "Sat" },
        { label: "Sun", value: "Sun" }
    ];
    const BindDay = Bind_1.default.forData();
    class AtomXFCalendar extends AtomXFGrid_1.default {
        create() {
            this.defaultControlStyle = AtomXFCalendarStyle_1.default;
            this.selectedDate = null;
            this.yearStart = -10;
            this.yearEnd = 10;
            this.enableFunc = null;
            this.itemTemplate = null;
            this.localViewModel = this.resolve(AtomXFCalendarViewModel_1.default, "owner");
            this.render(XNode_1.default.create(XF_1.default.Grid, { styleClass: this.controlStyle.name },
                XNode_1.default.create(AtomXFCalendar.itemTemplate, null,
                    XNode_1.default.create(XF_1.default.DataTemplate, null,
                        XNode_1.default.create(XF_1.default.Label, Object.assign({}, XF_1.default.Grid.row(BindDay.oneTime((x) => x.data.y)), XF_1.default.Grid.column(BindDay.oneTime((x) => x.data.x)), { styleClass: BindDay.oneWay((x) => toCss({
                                "date-css": 1,
                                "is-other-month": x.data.isOtherMonth,
                                "is-today": x.data.isToday,
                                "is-weekend": x.data.isWeekend,
                                "is-selected": x.data.value.dateEquals(this.selectedDate),
                                "is-disabled": this.localViewModel.enableFunc
                                    ? this.localViewModel.enableFunc(x.data)
                                    : 0
                            })), text: BindDay.oneTime((x) => x.data.label) }),
                            XNode_1.default.create(XF_1.default.Label.gestureRecognizers, null,
                                XNode_1.default.create(XF_1.default.TapGestureRecognizer, { command: BindDay.event((x) => this.localViewModel.dateClicked(x.data)) }))))),
                XNode_1.default.create(XF_1.default.Grid.rowDefinitions, null,
                    XNode_1.default.create(XF_1.default.RowDefinition, { height: "auto" }),
                    XNode_1.default.create(XF_1.default.RowDefinition, { height: "auto" }),
                    XNode_1.default.create(XF_1.default.RowDefinition, null)),
                XNode_1.default.create(XF_1.default.Grid.columnDefinitions, null,
                    XNode_1.default.create(XF_1.default.ColumnDefinition, { width: "auto" }),
                    XNode_1.default.create(XF_1.default.ColumnDefinition, null),
                    XNode_1.default.create(XF_1.default.ColumnDefinition, { width: "auto" }),
                    XNode_1.default.create(XF_1.default.ColumnDefinition, { width: "auto" })),
                XNode_1.default.create(AtomXFComboBox_1.default, Object.assign({ items: monthList, value: Bind_1.default.twoWays(() => this.localViewModel.month) }, XF_1.default.Grid.column(1))),
                XNode_1.default.create(AtomXFComboBox_1.default, Object.assign({ items: Bind_1.default.oneWay(() => this.localViewModel.yearList), value: Bind_1.default.twoWays(() => this.localViewModel.year) }, XF_1.default.Grid.column(2))),
                XNode_1.default.create(XF_1.default.Grid, Object.assign({ class: "week-days" }, XF_1.default.Grid.row(1), XF_1.default.Grid.columnSpan(4)),
                    XNode_1.default.create(XF_1.default.Grid.columnDefinitions, null,
                        XNode_1.default.create(XF_1.default.ColumnDefinition, null),
                        XNode_1.default.create(XF_1.default.ColumnDefinition, null),
                        XNode_1.default.create(XF_1.default.ColumnDefinition, null),
                        XNode_1.default.create(XF_1.default.ColumnDefinition, null),
                        XNode_1.default.create(XF_1.default.ColumnDefinition, null),
                        XNode_1.default.create(XF_1.default.ColumnDefinition, null),
                        XNode_1.default.create(XF_1.default.ColumnDefinition, null)),
                    XNode_1.default.create(XF_1.default.Label, { text: weekDays[0].label }),
                    XNode_1.default.create(XF_1.default.Label, Object.assign({}, XF_1.default.Grid.column(1), { text: weekDays[1].label })),
                    XNode_1.default.create(XF_1.default.Label, Object.assign({}, XF_1.default.Grid.column(2), { text: weekDays[2].label })),
                    XNode_1.default.create(XF_1.default.Label, Object.assign({}, XF_1.default.Grid.column(3), { text: weekDays[3].label })),
                    XNode_1.default.create(XF_1.default.Label, Object.assign({}, XF_1.default.Grid.column(4), { text: weekDays[4].label })),
                    XNode_1.default.create(XF_1.default.Label, Object.assign({}, XF_1.default.Grid.column(5), { text: weekDays[5].label })),
                    XNode_1.default.create(XF_1.default.Label, Object.assign({}, XF_1.default.Grid.column(6), { text: weekDays[6].label }))),
                XNode_1.default.create(XF_1.default.Grid, Object.assign({}, XF_1.default.BindableLayout.itemTemplate(Bind_1.default.oneWay(() => this.itemTemplate)), XF_1.default.BindableLayout.itemsSource(Bind_1.default.oneWay(() => this.localViewModel.items)), XF_1.default.Grid.row(2), XF_1.default.Grid.columnSpan(4)),
                    XNode_1.default.create(XF_1.default.Grid.columnDefinitions, null,
                        XNode_1.default.create(XF_1.default.ColumnDefinition, null),
                        XNode_1.default.create(XF_1.default.ColumnDefinition, null),
                        XNode_1.default.create(XF_1.default.ColumnDefinition, null),
                        XNode_1.default.create(XF_1.default.ColumnDefinition, null),
                        XNode_1.default.create(XF_1.default.ColumnDefinition, null),
                        XNode_1.default.create(XF_1.default.ColumnDefinition, null),
                        XNode_1.default.create(XF_1.default.ColumnDefinition, null)),
                    XNode_1.default.create(XF_1.default.Grid.rowDefinitions, null,
                        XNode_1.default.create(XF_1.default.RowDefinition, null),
                        XNode_1.default.create(XF_1.default.RowDefinition, null),
                        XNode_1.default.create(XF_1.default.RowDefinition, null),
                        XNode_1.default.create(XF_1.default.RowDefinition, null),
                        XNode_1.default.create(XF_1.default.RowDefinition, null),
                        XNode_1.default.create(XF_1.default.RowDefinition, null)))));
        }
    }
    exports.default = AtomXFCalendar;
    AtomXFCalendar.itemTemplate = XNode_1.default.prepare("itemTemplate", true, true);
});
//# sourceMappingURL=AtomXFCalendar.js.map