import { CancelToken } from "@web-atoms/core/dist/core/types";
import { AtomViewModel } from "@web-atoms/core/dist/view-model/AtomViewModel";
import DateTime from "@web-atoms/date-time/dist/DateTime";
export declare type DateEnabledFunc = (d: ICalendarItem) => boolean;
export interface ILabelValue {
    label?: string;
    value?: any;
}
export interface ICalendarItem {
    label: string;
    type?: string;
    isToday: boolean;
    isOtherMonth: boolean;
    isWeekend: boolean;
    value: DateTime;
    x?: number;
    y?: number;
}
export default class AtomCalendarViewModel extends AtomViewModel {
    owner: any;
    items: ICalendarItem[];
    get year(): number;
    set year(v: number);
    get month(): number;
    set month(v: number);
    private mStart;
    get start(): DateTime;
    set start(value: DateTime);
    get enableFunc(): DateEnabledFunc;
    get yearList(): ILabelValue[];
    loadSelectedDate(): void;
    loadItems(ct: CancelToken): Promise<void>;
    changeMonth(step: number): void;
    dateClicked(item: ICalendarItem): void;
}
//# sourceMappingURL=AtomXFCalendarViewModel.d.ts.map