var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@web-atoms/core/dist/Atom", "@web-atoms/core/dist/core/types", "@web-atoms/core/dist/view-model/AtomViewModel", "@web-atoms/core/dist/view-model/Load", "@web-atoms/date-time/dist/DateTime"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const Atom_1 = require("@web-atoms/core/dist/Atom");
    const types_1 = require("@web-atoms/core/dist/core/types");
    const AtomViewModel_1 = require("@web-atoms/core/dist/view-model/AtomViewModel");
    const Load_1 = require("@web-atoms/core/dist/view-model/Load");
    const DateTime_1 = require("@web-atoms/date-time/dist/DateTime");
    class AtomCalendarViewModel extends AtomViewModel_1.AtomViewModel {
        get year() {
            return this.start.year;
        }
        set year(v) {
            if (this.start.year === v) {
                return;
            }
            const s = this.mStart;
            this.mStart = new DateTime_1.default(v, s.month, s.day);
            this.refresh("start");
        }
        get month() {
            return this.start.month;
        }
        set month(v) {
            if (this.start.month === v) {
                return;
            }
            const s = this.mStart;
            this.mStart = new DateTime_1.default(s.year, v, s.day);
            this.refresh("start");
        }
        get start() {
            return this.mStart || (this.mStart = this.owner.selectedDate || DateTime_1.default.today);
        }
        set start(value) {
            this.mStart = value;
            this.refresh("year");
            this.refresh("month");
            this.refresh("start");
        }
        get enableFunc() {
            return this.owner.enableFunc;
        }
        get yearList() {
            const start = this.year + this.owner.yearStart;
            const end = this.year + this.owner.yearEnd;
            const a = [];
            for (let index = start; index <= end; index++) {
                a.push({ label: index + "", value: index });
            }
            return a;
        }
        loadSelectedDate() {
            // tslint:disable-next-line: no-string-literal
            const s = this["start"];
            const sel = this.owner.selectedDate;
            if (sel) {
                if (s.getFullYear() !== sel.getFullYear()) {
                    // tslint:disable-next-line: no-string-literal
                    this["start"] = new DateTime_1.default(sel.getFullYear(), sel.getMonth(), sel.getDate());
                    return;
                }
                if (s.getMonth() !== sel.getMonth()) {
                    // tslint:disable-next-line: no-string-literal
                    this["start"] = new DateTime_1.default(sel.getFullYear(), sel.getMonth(), sel.getDate());
                    return;
                }
            }
        }
        loadItems(ct) {
            return __awaiter(this, void 0, void 0, function* () {
                yield Atom_1.Atom.delay(10);
                if (ct.cancelled) {
                    return;
                }
                const today = DateTime_1.default.today;
                const start = this.start;
                let startDate = new DateTime_1.default(start.year, start.month, 1);
                while (startDate.dayOfWeek !== 1) {
                    startDate = startDate.add(-1);
                }
                const a = [];
                const y = startDate.year;
                const m = startDate.month;
                for (let index = 0; index < 42; index++) {
                    const cd = startDate.add(index);
                    a.push({
                        y: Math.abs(index / 7),
                        x: index % 7,
                        label: cd.day + "",
                        type: null,
                        value: cd,
                        isToday: cd.equals(today),
                        isOtherMonth: start.month !== cd.month,
                        isWeekend: (cd.dayOfWeek === 0 || cd.dayOfWeek === 6)
                    });
                }
                const o = this.owner;
                o.element.dispatchEvent(new CustomEvent("refresh", {
                    detail: {
                        year: start.year,
                        month: start.month
                    }
                }));
                o.currentDate = startDate;
                this.items = a;
            });
        }
        // public async init() {
        //     if (this.owner.selectedDate) {
        //         this.start = this.selectedDate;
        //     }
        // }
        changeMonth(step) {
            const s = this.start.addMonths(step);
            const start = this.year + this.owner.yearStart;
            const end = this.year + this.owner.yearEnd;
            const sy = s.year;
            if (sy < start || sy > end) {
                return;
            }
            this.start = s;
            this.refresh("start");
        }
        dateClicked(item) {
            const e = this.owner.element;
            this.owner.selectedDate = item.value;
            e.dispatchEvent(new CustomEvent("dateClicked", { detail: item }));
        }
    }
    __decorate([
        AtomViewModel_1.Watch,
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [])
    ], AtomCalendarViewModel.prototype, "enableFunc", null);
    __decorate([
        AtomViewModel_1.Watch,
        __metadata("design:type", Array),
        __metadata("design:paramtypes", [])
    ], AtomCalendarViewModel.prototype, "yearList", null);
    __decorate([
        Load_1.default({ watch: true }),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", []),
        __metadata("design:returntype", void 0)
    ], AtomCalendarViewModel.prototype, "loadSelectedDate", null);
    __decorate([
        Load_1.default({ init: true, watch: true, watchDelayMS: 1 }),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [types_1.CancelToken]),
        __metadata("design:returntype", Promise)
    ], AtomCalendarViewModel.prototype, "loadItems", null);
    exports.default = AtomCalendarViewModel;
});
//# sourceMappingURL=AtomXFCalendarViewModel.js.map