import { IClassOf } from "@web-atoms/core/dist/core/types";
import XNode from "@web-atoms/core/dist/core/XNode";
import { AtomStyle } from "@web-atoms/core/dist/web/styles/AtomStyle";
import { IStyleDeclaration } from "@web-atoms/core/dist/web/styles/IStyleDeclaration";
import { AtomXFControl } from "@web-atoms/core/dist/xf/controls/AtomXFControl";
export declare type ItemSearchFunction = ((item: any, search: string) => boolean) | string[];
export declare class AtomChooserStyle extends AtomStyle {
    get root(): IStyleDeclaration;
}
export default class AtomChooser extends AtomXFControl {
    static itemTemplate: (attributes: Partial<unknown>, ...nodes: XNode[]) => XNode;
    static labelTemplate: (attributes: Partial<unknown>, ...nodes: XNode[]) => XNode;
    static promptTemplate: (attributes: Partial<unknown>, ...nodes: XNode[]) => XNode;
    static selectionViewTemplate: (attributes: Partial<unknown>, ...nodes: XNode[]) => XNode;
    prompt: string;
    itemTemplate: IClassOf<AtomXFControl>;
    promptTemplate: IClassOf<AtomXFControl>;
    labelTemplate: IClassOf<AtomXFControl>;
    showAsPopup: boolean;
    showSearch: boolean;
    searchText: string;
    selectedItems: any[];
    selectionViewTemplate: any;
    search: ItemSearchFunction;
    /**
     * Warning, this will be removed in future, do not use this
     */
    itemPadding: number;
    items: any[];
    value: any;
    valuePath: string | ((item: any) => string);
    labelPath: string | ((item: any) => string);
    dropDownImage: any;
    /**
     * Event fired when selection is changed by the user
     */
    eventSelectionChanged: any;
    private selectableList;
    constructor(a: any, e?: any);
    onPropertyChanged(name: keyof AtomChooser): void;
    protected preCreate(): void;
    protected create(): void;
    protected openPopup(): Promise<void>;
}
//# sourceMappingURL=AtomChooser.d.ts.map