var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@web-atoms/core/dist/core/AtomBinder", "@web-atoms/core/dist/core/Bind", "@web-atoms/core/dist/core/BindableProperty", "@web-atoms/core/dist/core/Colors", "@web-atoms/core/dist/core/XNode", "@web-atoms/core/dist/services/NavigationService", "@web-atoms/core/dist/web/styles/AtomStyle", "@web-atoms/core/dist/xf/controls/AtomXFControl", "../clr/RgPluginsPopup", "../clr/WA", "../clr/XF", "../combo-box/SearchPageViewModel", "../pages/AtomXFContentPage", "../pages/AtomXFPopupPage", "@web-atoms/core/dist/core/AtomSelectableList", "./ChooserList"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.AtomChooserStyle = void 0;
    const AtomBinder_1 = require("@web-atoms/core/dist/core/AtomBinder");
    const Bind_1 = require("@web-atoms/core/dist/core/Bind");
    const BindableProperty_1 = require("@web-atoms/core/dist/core/BindableProperty");
    const Colors_1 = require("@web-atoms/core/dist/core/Colors");
    const XNode_1 = require("@web-atoms/core/dist/core/XNode");
    const NavigationService_1 = require("@web-atoms/core/dist/services/NavigationService");
    const AtomStyle_1 = require("@web-atoms/core/dist/web/styles/AtomStyle");
    const AtomXFControl_1 = require("@web-atoms/core/dist/xf/controls/AtomXFControl");
    const RgPluginsPopup_1 = require("../clr/RgPluginsPopup");
    const WA_1 = require("../clr/WA");
    const XF_1 = require("../clr/XF");
    const SearchPageViewModel_1 = require("../combo-box/SearchPageViewModel");
    const AtomXFContentPage_1 = require("../pages/AtomXFContentPage");
    const AtomXFPopupPage_1 = require("../pages/AtomXFPopupPage");
    const AtomSelectableList_1 = require("@web-atoms/core/dist/core/AtomSelectableList");
    const ChooserList_1 = require("./ChooserList");
    class AtomChooserStyle extends AtomStyle_1.AtomStyle {
        get root() {
            return {
                subclasses: {
                    " .item": {
                        padding: 10
                    }
                }
            };
        }
    }
    exports.AtomChooserStyle = AtomChooserStyle;
    class AtomChooser extends AtomXFControl_1.AtomXFControl {
        constructor(a, e) {
            super(a, e || new XF_1.default.Grid());
        }
        onPropertyChanged(name) {
            if (name === "items") {
                this.selectableList.replace(this.items);
                if (this.value !== undefined
                    && (this.items && this.selectedItems.length >= 1)) {
                    AtomBinder_1.AtomBinder.refreshValue(this, "value");
                    return;
                }
            }
        }
        preCreate() {
            const vf = (item, def) => {
                if (item === undefined || item === null) {
                    return def;
                }
                const vp = this.valuePath;
                if (typeof vp === "function") {
                    return vp(item);
                }
                return item[vp];
            };
            this.selectableList = new AtomSelectableList_1.default(true, vf);
            this.defaultControlStyle = AtomChooserStyle;
            this.prompt = "Select";
            this.showSearch = true;
            this.showAsPopup = true;
            this.searchText = "";
            this.itemPadding = 10;
            this.search = ["label", "value"];
            // this.value = null;
            this.valuePath = "value";
            // this.selectedItem = null;
            this.promptTemplate = null;
            this.itemTemplate = null;
            this.labelTemplate = null;
            this.dropDownImage = "res://WebAtoms.XF/Images.DropDownImage.png";
            this.selectionViewTemplate = null;
            // if the items were updated... we need to refresh the selected item...
            // this.registerDisposable(new AtomWatcher(this, () => this.items, () => {
            //     if (this.selectedItem === undefined
            //         || this.selectedItem === null
            //         || (this.items && this.items.indexOf(this.selectedItem) === -1)) {
            //         AtomBinder.refreshValue(this, "value");
            //         return;
            //     }
            // }));
        }
        create() {
            // const ImageButton = XNode.attach(AtomXFLink, XF.ImageButton);
            const lf = (item, def) => {
                if (item === undefined || item === null) {
                    return def;
                }
                const vp = this.labelPath;
                if (typeof vp === "function") {
                    return vp(item);
                }
                return item[vp];
            };
            this.render(XNode_1.default.create(XF_1.default.Grid, { selectedItems: Bind_1.default.twoWays(() => this.selectableList.selectedItems), value: Bind_1.default.twoWays(() => this.selectableList.value), styleClass: this.controlStyle.name },
                XNode_1.default.create(AtomChooser.promptTemplate, null,
                    XNode_1.default.create(XF_1.default.DataTemplate, null,
                        XNode_1.default.create(XF_1.default.Label, { verticalTextAlignment: "Center", styleClass: "item", text: Bind_1.default.oneWay(() => this.prompt) }))),
                XNode_1.default.create(AtomChooser.itemTemplate, null,
                    XNode_1.default.create(XF_1.default.DataTemplate, null,
                        XNode_1.default.create(XF_1.default.StackLayout, { orientation: "Horizontal", backgroundColor: Bind_1.default.oneWay((x) => x.data.selected
                                ? Colors_1.default.lightBlue
                                : Colors_1.default.white) },
                            XNode_1.default.create(XF_1.default.CheckBox, { isChecked: Bind_1.default.twoWays((x) => x.data.selected) }),
                            XNode_1.default.create(XF_1.default.Label, { styleClass: "item", verticalTextAlignment: "Center", text: Bind_1.default.oneWay((x) => ((x.data && typeof x.data === "object")
                                    ? (lf(x.data.item))
                                    : null) || "Loading..") })))),
                XNode_1.default.create(AtomChooser.labelTemplate, null,
                    XNode_1.default.create(XF_1.default.StackLayout, Object.assign({}, XF_1.default.CompressedLayout.isHeadless(true), { orientation: "Horizontal" }),
                        XNode_1.default.create(XF_1.default.Label, { styleClass: "label", verticalTextAlignment: "Center", text: Bind_1.default.oneWay((x) => (x.data ? (lf(x.data.item)) : null) || "Loading..") }),
                        XNode_1.default.create(XF_1.default.ImageButton, { command: Bind_1.default.event((x) => x.data.selected = !x.data.selected), backgroundColor: "#00000000", widthRequest: 35, source: "res://WebAtoms.XF/Images.DeleteImage.png" }))),
                XNode_1.default.create(AtomChooser.selectionViewTemplate, null,
                    XNode_1.default.create(XF_1.default.DataTemplate, null,
                        XNode_1.default.create(ChooserList_1.default, null))),
                XNode_1.default.create(XF_1.default.Grid.columnDefinitions, null,
                    XNode_1.default.create(XF_1.default.ColumnDefinition, null),
                    XNode_1.default.create(XF_1.default.ColumnDefinition, { width: "Auto" })),
                XNode_1.default.create(XF_1.default.FlexLayout, Object.assign({ wrap: "Wrap", justifyContent: "SpaceAround" }, XF_1.default.BindableLayout.itemsSource(Bind_1.default.oneWay(() => this.selectableList.selectedItems)), XF_1.default.BindableLayout.itemTemplate(Bind_1.default.oneWay(() => this.labelTemplate)), XF_1.default.BindableLayout.emptyViewTemplate(Bind_1.default.oneWay(() => this.promptTemplate)))),
                XNode_1.default.create(XF_1.default.ImageButton, Object.assign({}, XF_1.default.Grid.column(1), { heightRequest: 40, widthRequest: 40, source: "res://WebAtoms.XF/Images.DropDownImage.png", command: () => this.app.runAsync(() => this.openPopup()) }))));
        }
        openPopup() {
            return __awaiter(this, void 0, void 0, function* () {
                const oldValue = this.selectableList.value;
                try {
                    const ns = this.resolve(NavigationService_1.NavigationService);
                    const r = yield ns.openPage(this.showAsPopup ? SearchPopupPage : SearchPage, {
                        "title": this.prompt,
                        "ref:selectableList": this.selectableList,
                        "ref:comboBox": this
                    });
                    this.selectableList.value = r;
                    this.element.dispatchEvent(new CustomEvent("selectionChanged", { detail: r }));
                }
                catch (e) {
                    this.selectableList.value = oldValue;
                    // tslint:disable-next-line: no-console
                    console.error(e);
                }
            });
        }
    }
    AtomChooser.itemTemplate = XNode_1.default.prepare("itemTemplate", true, true);
    AtomChooser.labelTemplate = XNode_1.default.prepare("labelTemplate", true, true);
    AtomChooser.promptTemplate = XNode_1.default.prepare("promptTemplate", true, true);
    AtomChooser.selectionViewTemplate = XNode_1.default.prepare("selectionViewTemplate", true, true);
    __decorate([
        BindableProperty_1.BindableProperty,
        __metadata("design:type", Array)
    ], AtomChooser.prototype, "selectedItems", void 0);
    __decorate([
        BindableProperty_1.BindableProperty,
        __metadata("design:type", Array)
    ], AtomChooser.prototype, "items", void 0);
    __decorate([
        BindableProperty_1.BindableProperty,
        __metadata("design:type", Object)
    ], AtomChooser.prototype, "value", void 0);
    __decorate([
        BindableProperty_1.BindableProperty,
        __metadata("design:type", Object)
    ], AtomChooser.prototype, "valuePath", void 0);
    __decorate([
        BindableProperty_1.BindableProperty,
        __metadata("design:type", Object)
    ], AtomChooser.prototype, "labelPath", void 0);
    exports.default = AtomChooser;
    class SearchPage extends AtomXFContentPage_1.default {
        create() {
            this.viewModel = this.resolve(SearchPageViewModel_1.default);
            this.render(XNode_1.default.create(XF_1.default.ContentPage, { title: Bind_1.default.oneWay(() => this.viewModel.title) },
                XNode_1.default.create(WA_1.default.AtomView, { bindingContext: "Empty", dataTemplate: Bind_1.default.oneWay(() => this.viewModel.comboBox.selectionViewTemplate) })));
        }
    }
    class SearchPopupPage extends AtomXFPopupPage_1.default {
        create() {
            this.viewModel = this.resolve(SearchPageViewModel_1.default);
            this.render(XNode_1.default.create(RgPluginsPopup_1.default.PopupPage, null,
                XNode_1.default.create(WA_1.default.AtomView, { bindingContext: "Empty", dataTemplate: Bind_1.default.oneWay(() => this.viewModel.comboBox.selectionViewTemplate) })));
        }
    }
});
//# sourceMappingURL=AtomChooser.js.map