import { RootObject, AttachedNode } from "@web-atoms/core/dist/core/XNode";
import Bind from "@web-atoms/core/dist/core/Bind";
import * as XF from "./XF";
declare namespace FFImageLoading {
    namespace Forms {
        class CachedImage extends XF.default.View {
            static fixedOnMeasureBehavior: boolean | null;
            static fixedAndroidMotionEventHandler: boolean | null;
            static aspect: AttachedNode;
            static isLoading: AttachedNode;
            static isOpaque: AttachedNode;
            static source: AttachedNode;
            static retryCount: AttachedNode;
            static retryDelay: AttachedNode;
            static loadingDelay: AttachedNode;
            static downsampleWidth: AttachedNode;
            static downsampleHeight: AttachedNode;
            static downsampleToViewSize: AttachedNode;
            static downsampleUseDipUnits: AttachedNode;
            static cacheDuration: AttachedNode;
            static loadingPriority: AttachedNode;
            static bitmapOptimizations: AttachedNode;
            static fadeAnimationForCachedImages: AttachedNode;
            static fadeAnimationEnabled: AttachedNode;
            static fadeAnimationDuration: AttachedNode;
            static loadingPlaceholder: AttachedNode;
            static errorPlaceholder: AttachedNode;
            static transformPlaceholders: AttachedNode;
            static transformations: AttachedNode;
            static invalidateLayoutAfterLoaded: AttachedNode;
            static successCommand: AttachedNode;
            static errorCommand: AttachedNode;
            static finishCommand: AttachedNode;
            static downloadStartedCommand: AttachedNode;
            static downloadProgressCommand: AttachedNode;
            static fileWriteFinishedCommand: AttachedNode;
            static cacheType: AttachedNode;
            /**
            * Xamarin.Forms.Aspect
            */
            aspect: "AspectFit" | "AspectFill" | "Fill" | string | number | null | undefined | Bind;
            /**
            * System.Boolean
            */
            isLoading: boolean | null | Bind;
            /**
            * System.Boolean
            */
            isOpaque: boolean | null | Bind;
            /**
            * Xamarin.Forms.ImageSource
            */
            source: /*ImageSource*/ any | Bind;
            /**
            * System.Int32
            */
            retryCount: number | null | Bind;
            /**
            * System.Int32
            */
            retryDelay: number | null | Bind;
            /**
            * System.Nullable`1[[System.Int32, System.Private.CoreLib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]
            */
            loadingDelay: RootObject | Bind;
            /**
            * System.Double
            */
            downsampleWidth: number | null | Bind;
            /**
            * System.Double
            */
            downsampleHeight: number | null | Bind;
            /**
            * System.Boolean
            */
            downsampleToViewSize: boolean | null | Bind;
            /**
            * System.Boolean
            */
            downsampleUseDipUnits: boolean | null | Bind;
            /**
            * System.Nullable`1[[System.TimeSpan, System.Private.CoreLib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]
            */
            cacheDuration: RootObject | Bind;
            /**
            * FFImageLoading.Work.LoadingPriority
            */
            loadingPriority: "Normal" | "High" | "Highest" | "Lowest" | "Low" | string | number | null | undefined | Bind;
            /**
            * System.Nullable`1[[System.Boolean, System.Private.CoreLib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]
            */
            bitmapOptimizations: RootObject | Bind;
            /**
            * System.Nullable`1[[System.Boolean, System.Private.CoreLib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]
            */
            fadeAnimationForCachedImages: RootObject | Bind;
            /**
            * System.Nullable`1[[System.Boolean, System.Private.CoreLib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]
            */
            fadeAnimationEnabled: RootObject | Bind;
            /**
            * System.Nullable`1[[System.Int32, System.Private.CoreLib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]
            */
            fadeAnimationDuration: RootObject | Bind;
            /**
            * Xamarin.Forms.ImageSource
            */
            loadingPlaceholder: /*ImageSource*/ any | Bind;
            /**
            * Xamarin.Forms.ImageSource
            */
            errorPlaceholder: /*ImageSource*/ any | Bind;
            /**
            * System.Nullable`1[[System.Boolean, System.Private.CoreLib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]
            */
            transformPlaceholders: RootObject | Bind;
            /**
            * System.Collections.Generic.List`1[[FFImageLoading.Work.ITransformation, FFImageLoading, Version=2.4.11.982, Culture=neutral, PublicKeyToken=null]]
            */
            transformations: any;
            /**
            * System.Nullable`1[[System.Boolean, System.Private.CoreLib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]
            */
            invalidateLayoutAfterLoaded: RootObject | Bind;
            /**
            * FFImageLoading.Forms.ICacheKeyFactory
            */
            cacheKeyFactory: RootObject | Bind;
            /**
            * FFImageLoading.Work.IDataResolver
            */
            customDataResolver: RootObject | Bind;
            /**
            * System.Windows.Input.ICommand
            */
            successCommand: RootObject | Bind;
            /**
            * System.Windows.Input.ICommand
            */
            errorCommand: RootObject | Bind;
            /**
            * System.Windows.Input.ICommand
            */
            finishCommand: RootObject | Bind;
            /**
            * System.Windows.Input.ICommand
            */
            downloadStartedCommand: RootObject | Bind;
            /**
            * System.Windows.Input.ICommand
            */
            downloadProgressCommand: RootObject | Bind;
            /**
            * System.Windows.Input.ICommand
            */
            fileWriteFinishedCommand: RootObject | Bind;
            /**
            * System.Nullable`1[[FFImageLoading.Cache.CacheType, FFImageLoading, Version=2.4.11.982, Culture=neutral, PublicKeyToken=null]]
            */
            cacheType: RootObject | Bind;
        }
        class DataUrlImageSource extends XF.default.ImageSource {
            static dataUrl: AttachedNode;
            /**
            * System.String
            */
            dataUrl: string | null | Bind;
        }
        class EmbeddedResourceImageSource extends XF.default.ImageSource {
            static uri: AttachedNode;
            /**
            * System.Uri
            */
            uri: RootObject | Bind;
        }
        class ImageSourceConverter extends RootObject {
        }
    }
}
export default FFImageLoading;
//# sourceMappingURL=FFImageLoading.d.ts.map