import Bind from "@web-atoms/core/dist/core/Bind";
import { ColorItem } from "@web-atoms/core/dist/core/Colors";
import { RootObject, NodeFactory, AttachedNode } from "@web-atoms/core/dist/core/XNode";
import DateTime from "@web-atoms/date-time/dist/DateTime";
import RgPluginsPopup from "./RgPluginsPopup";
import XF from "./XF";
declare namespace WA {
    class AtomPathButton extends XF.Grid {
        static close: XF.Geometry;
        static question: XF.Geometry;
        static dropDown: XF.Geometry;
        static dropUp: XF.Geometry;
        static command: NodeFactory;
        static commandParameter: NodeFactory;
        static fill: NodeFactory;
        static stroke: NodeFactory;
        static data: NodeFactory;
        static cornerRadius: NodeFactory;
        command: any;
        commandParameter: any;
        fill: XF.Brush | Bind | null;
        stroke: XF.Brush | Bind | null;
        data: XF.Geometry | Bind | null;
        cornerRadius: number | Bind | null;
    }
    class AtomButtonBar extends XF.StackLayout {
        static itemTemplate: NodeFactory;
        static itemControlTemplate: NodeFactory;
        itemSource: any[] | Bind;
        itemTemplate: XF.DataTemplate | Bind;
        selectedItem: any;
        itemControlTemplate: XF.ControlTemplate | Bind;
        selectedItemTextColor: XF.Color | Bind;
        textColor: XF.Color | Bind;
        selectedItemBackground: XF.Brush | Bind;
        minItemWidth: number | Bind;
        itemTappedCommand: any;
    }
    class AtomCheckBoxList extends AtomWrapLayout {
        static itemTemplate: NodeFactory;
        static itemControlTemplate: NodeFactory;
        itemTemplate: XF.DataTemplate;
        itemControlTemplate: XF.ControlTemplate;
        itemsSource: any[];
        selectedItems: any[];
    }
    class AtomRadioButtonList extends AtomWrapLayout {
        static itemTemplate: NodeFactory;
        static itemControlTemplate: NodeFactory;
        itemTemplate: XF.DataTemplate;
        itemControlTemplate: XF.ControlTemplate;
        itemsSource: any[];
        selectedItem: any;
    }
    class AtomChips extends XF.ContentView {
        static itemTemplate: NodeFactory;
        /**'
         * Default is Input
         */
        entryMode: "Input" | "Search";
        /** Selected chips */
        selectedItems: any[];
        /** Suggestions displayed when user types anything */
        itemsSource: any[];
        /** Item template of the chip */
        itemTemplate: XF.DataTemplate;
        /** Text added by user */
        search: string;
        /**
         * This event will be fired when search text is changed.
         */
        eventSearchChanged: any;
        /**
         * When separator is a character, when user is typing it, it will automatically
         * split the text and convert it to the chip. For example, setting it to comma
         * will add new chip as soon as you type comma.
         */
        separator: string;
        /**
         * This is invoked when user will tap the chip
         */
        itemTappedCommand: any;
        /**
         * This is invoked when a new chip is added
         */
        itemAddedCommand: any;
    }
    class AtomDropDown extends AtomChoiceView {
    }
    class AtomChoiceView extends XF.ContentView {
        static emptyItemTemplate: NodeFactory;
        static itemTemplate: NodeFactory;
        dropDownHeight: number;
        searchEnabled: boolean;
        search: string;
        eventSearchChanged: any;
        eventSelectionStarted: any;
        eventSelectionEnded: any;
        itemsSource: any[];
        itemTemplate: XF.DataTemplate;
        emptyItemTemplate: XF.DataTemplate;
        isActive: boolean;
        selectedItem: any;
        /**
         * default is Select
         */
        prompt: string;
    }
    class AtomEntry extends XF.Entry {
    }
    class AtomExpander extends XF.ContentView {
        static icon: NodeFactory;
        static detailTemplate: NodeFactory;
        static detail: NodeFactory;
        detail: XF.View;
        detailTemplate: XF.DataTemplate;
        icon: XF.ImageSource;
        isExpanded: boolean;
    }
    class AtomDateField extends XF.ContentView {
        selectedDate: Date;
        selectedDateChangedCommand: any;
    }
    class AtomCalendar extends XF.Grid {
        static itemTemplate: NodeFactory;
        static itemControlTemplate: NodeFactory;
        yearStart: number | Bind;
        yearEnd: number | Bind;
        year: number | Bind;
        month: number | Bind;
        weekendTextColor: XF.Color | Bind;
        todayBackground: XF.Brush | Bind;
        itemBackground: XF.Brush | Bind;
        selectedItemBackground: XF.Brush | Bind;
        textColor: XF.Color | Bind;
        otherMonthBackground: XF.Brush | Bind;
        selectedItemTextColor: XF.Color | Bind;
        itemControlTemplate: XF.ControlTemplate | Bind;
        itemTemplate: XF.DataTemplate | Bind;
        selectedDate: Date | DateTime | Bind;
        enableFunc: ((x: any) => boolean) | Bind;
        weekHeaderBackground: XF.Brush | Bind;
        weekHeaderTextColor: XF.Color | Bind;
        itemTappedCommand: any;
    }
    class AtomDuoToneFontImageSource extends XF.FontImageSource {
        secondaryColor: XF.Color | string;
        secondaryGlyph: string;
        secondaryOpacity: number;
    }
    class AtomDuoToneFontButton extends XF.Grid {
        static source: NodeFactory;
        command: any;
        commandParameter: any;
        text: string | Bind;
        textColor: XF.Color | Bind;
        fill: XF.Brush | Bind;
        secondaryTextColor: XF.Color | Bind;
        secondaryOpacity: number | Bind;
        secondaryText: string;
        fontSize: number;
        fontFamily: string;
    }
    class AtomWrapLayout extends XF.Layout {
    }
    class AtomView extends XF.ContentView {
        static dataTemplate: NodeFactory;
        static emptyDataTemplate: NodeFactory;
        dataTemplate: any;
        emptyDataTemplate: any;
    }
    class AtomViewCell extends XF.ViewCell {
        static dataTemplate: NodeFactory;
        static command: NodeFactory;
        dataTemplate: any;
        command: any;
    }
    class AtomSuggestions extends XF.Grid {
        static itemTemplate: NodeFactory;
        static itemControlTemplate: NodeFactory;
        static header: NodeFactory;
        static more: NodeFactory;
        static promptIcon: NodeFactory;
        itemsSource: any[];
        itemTemplate: XF.DataTemplate;
        itemControlTemplate: XF.ControlTemplate;
        header: any;
        itemTappedCommand: any;
        /**
         * Text entered by user in the search box inside more popup
         */
        search: string;
        /**
         * Displays search box in the more popup
         */
        showSearch: boolean;
    }
    class AtomToolbarItem extends XF.ToolbarItem {
        isVisible: boolean;
    }
    class GroupBy {
        static itemsSource: NodeFactory;
    }
    class AtomPopup {
        /** Set this to align popup */
        static horizontalAlignment(layout: "Start" | "Center" | "End" | "Fill" | Bind): any;
        /** You can set DataTemplate that contains a view that will be displayed as popup */
        static popupTemplate: AttachedNode;
        /** You can set ControlTemplate that will render background of the popup*/
        static popupControlTemplate: AttachedNode;
        /** You can use it to close the popup by setting displayPopup to false and do some other cleaning */
        static popupCloseCommand: AttachedNode;
        /** When set to true, the popup will be displayed */
        static displayPopup(display: boolean | Bind): any;
        /** Scrolls the current page up before displaying popup */
        static scrollUp(scrollUp: boolean): any;
    }
    class Markdown {
        static text: AttachedNode;
    }
    class AtomIconContentView extends XF.ContentView {
        iconFontFamily: string;
        iconFontSize: number;
        iconGlyph: string;
        iconColor: string | XF.Color | ColorItem;
        secondaryIconGlyph: string;
        secondaryIconColor: string | XF.Color | ColorItem;
        isDuoTone: boolean;
        command: any;
        commandParameter: any;
    }
    class AtomRepeater extends XF.ListView {
    }
    class AtomForm extends XF.ContentView {
        static fieldStyle: NodeFactory;
        submitCommand: any;
        fieldStyle: any;
    }
    class AtomPopupPage extends RgPluginsPopup.PopupPage {
        cancelCommand: any;
    }
    class AtomField extends XF.ContentView {
        static description: AttachedNode;
        static help: AttachedNode;
        label?: string;
        isRequired?: boolean;
        labelColor?: ColorItem | XF.Color | string | null | Bind;
        error?: string;
        errorColor?: ColorItem | XF.Color | string | null | Bind;
        errorBackgroundColor?: ColorItem | XF.Color | string | null | Bind;
        help?: any;
        helpCommand?: any;
        displayBorder?: boolean | Bind;
        /**
         * Enlarge label to cover the content, this is false by default.
         * It is set to true automatically if,
         * 1. Content is an Entry and it is empty and does not have the focus.
         * 2. Content is an Editor and it is empty and does not have the focus.
         * 3. Content is a Switch.
         */
        scaleUpLabel: boolean | Bind;
    }
    class AtomTemplateSelector extends RootObject {
        static templates: NodeFactory;
        static templateSelector: NodeFactory;
        selector: (data: any) => number;
    }
}
export default WA;
//# sourceMappingURL=WA.d.ts.map