(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@web-atoms/core/dist/core/AtomBridge", "@web-atoms/core/dist/core/Bind", "@web-atoms/core/dist/core/XNode", "./XF"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const AtomBridge_1 = require("@web-atoms/core/dist/core/AtomBridge");
    const Bind_1 = require("@web-atoms/core/dist/core/Bind");
    const XNode_1 = require("@web-atoms/core/dist/core/XNode");
    const XF_1 = require("./XF");
    function RelativeSource(mode, ancestorType) {
        if (ancestorType.factory) {
            ancestorType = ancestorType.toString();
        }
        return {
            mode,
            ancestorType
        };
    }
    RelativeSource.self = { mode: "Self" };
    RelativeSource.TemplatedParent = { mode: "TemplatedParent" };
    const X = {
        Name: (n) => ({ "WebAtoms.AtomX:Name": new Bind_1.default((nx, bx, c, e) => {
                (AtomBridge_1.AtomBridge.instance).setName(e, n);
            }, null) }),
        Arguments: (args, ...nodes) => new XNode_1.default("WebAtoms.AtomX:Arguments", {}, nodes),
        Type: (n) => ({ type: n }),
        Resource: (n) => ({ resource: n }),
        RelativeSource,
        Binding: (b) => {
            return {
                [Bind_1.bindSymbol](name, control, e) {
                    const property = Object.getPrototypeOf(e).constructor[name + "Property"];
                    const clrBinding = new XF_1.default.Binding();
                    clrBinding.path = b.path;
                    if (b.source) {
                        clrBinding.source = b.source;
                    }
                    if (b.converter) {
                        clrBinding.converter = b.converter;
                    }
                    if (b.converterParameter) {
                        clrBinding.converterParameter = b.converterParameter;
                    }
                    e.setBinding(property, clrBinding);
                }
            };
        },
        TemplateBinding: (path) => {
            return {
                [Bind_1.bindSymbol](name, control, e) {
                    const property = Object.getPrototypeOf(e).constructor[name + "Property"];
                    const clrBinding = new XF_1.default.Binding();
                    clrBinding.path = path;
                    clrBinding.source = XF_1.default.RelativeBindingSource.templatedParent;
                    e.setBinding(property, clrBinding);
                }
            };
        }
        // Key: (n: string) => ({ "WebAtoms.AtomX:Key": n }),
    };
    exports.default = X;
});
//# sourceMappingURL=X.js.map