import { RootObject, AttachedNode } from "@web-atoms/core/dist/core/XNode";
import Bind from "@web-atoms/core/dist/core/Bind";
import { ColorItem } from "@web-atoms/core/dist/core/Colors";
import * as XF from "./XF";
declare namespace XCT {
    class AvatarView extends RootObject {
        static aspect: AttachedNode;
        static size: AttachedNode;
        static cornerRadius: AttachedNode;
        static borderColor: AttachedNode;
        static color: AttachedNode;
        static source: AttachedNode;
        static text: AttachedNode;
        static textColor: AttachedNode;
        static fontFamily: AttachedNode;
        static fontSize: AttachedNode;
        static fontAttributes: AttachedNode;
        static colorTheme: AttachedNode;
        /**
        * Xamarin.Forms.Aspect
        */
        aspect: "AspectFit" | "AspectFill" | "Fill" | string | number | null | undefined | Bind;
        /**
        * System.Double
        */
        size: number | null | Bind;
        /**
        * System.Double
        */
        cornerRadius: number | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        borderColor: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        color: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.ImageSource
        */
        source: /*ImageSource*/ any | Bind;
        /**
        * System.String
        */
        text: string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        textColor: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * System.String
        */
        fontFamily: string | null | Bind;
        /**
        * System.Double
        */
        fontSize: number | null | Bind;
        /**
        * Xamarin.Forms.FontAttributes
        */
        fontAttributes: "None" | "Bold" | "Italic" | string | number | null | undefined | Bind;
        /**
        * Xamarin.CommunityToolkit.UI.Views.IColorTheme
        */
        colorTheme: RootObject | Bind;
    }
    class BadgeView extends RootObject {
        static content: AttachedNode;
        static badgePosition: AttachedNode;
        static autoHide: AttachedNode;
        static isAnimated: AttachedNode;
        static badgeAnimation: AttachedNode;
        static backgroundColor: AttachedNode;
        static borderColor: AttachedNode;
        static hasShadow: AttachedNode;
        static textColor: AttachedNode;
        static text: AttachedNode;
        static fontSize: AttachedNode;
        static fontFamily: AttachedNode;
        static fontAttributes: AttachedNode;
        /**
        * Xamarin.Forms.View
        */
        content: XF.default.View | Bind;
        /**
        * Xamarin.CommunityToolkit.UI.Views.BadgePosition
        */
        badgePosition: "TopLeft" | "TopRight" | "BottomLeft" | "BottomRight" | string | number | null | undefined | Bind;
        /**
        * System.Boolean
        */
        autoHide: boolean | null | Bind;
        /**
        * System.Boolean
        */
        isAnimated: boolean | null | Bind;
        /**
        * Xamarin.CommunityToolkit.UI.Views.IBadgeAnimation
        */
        badgeAnimation: RootObject | Bind;
        /**
        * Xamarin.Forms.Color
        */
        backgroundColor: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        borderColor: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * System.Boolean
        */
        hasShadow: boolean | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        textColor: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * System.String
        */
        text: string | null | Bind;
        /**
        * System.Double
        */
        fontSize: number | null | Bind;
        /**
        * System.String
        */
        fontFamily: string | null | Bind;
        /**
        * Xamarin.Forms.FontAttributes
        */
        fontAttributes: "None" | "Bold" | "Italic" | string | number | null | undefined | Bind;
    }
    class CameraView extends XF.default.View {
        static shutterCommand: AttachedNode;
        static isBusy: AttachedNode;
        static isAvailable: AttachedNode;
        static cameraOptions: AttachedNode;
        static captureMode: AttachedNode;
        static videoStabilization: AttachedNode;
        static flashMode: AttachedNode;
        static zoom: AttachedNode;
        static maxZoom: AttachedNode;
        /**
        * System.Windows.Input.ICommand
        */
        shutterCommand: RootObject | Bind;
        /**
        * System.Boolean
        */
        isBusy: boolean | null | Bind;
        /**
        * System.Boolean
        */
        isAvailable: boolean | null | Bind;
        /**
        * Xamarin.CommunityToolkit.UI.Views.CameraOptions
        */
        cameraOptions: "Default" | "Front" | "Back" | "External" | string | number | null | undefined | Bind;
        /**
        * Xamarin.CommunityToolkit.UI.Views.CameraCaptureMode
        */
        captureMode: "Default" | "Photo" | "Video" | string | number | null | undefined | Bind;
        /**
        * System.Boolean
        */
        videoStabilization: boolean | null | Bind;
        /**
        * Xamarin.CommunityToolkit.UI.Views.CameraFlashMode
        */
        flashMode: "Off" | "On" | "Auto" | "Torch" | string | number | null | undefined | Bind;
        /**
        * System.Double
        */
        zoom: number | null | Bind;
        /**
        * System.Double
        */
        maxZoom: number | null | Bind;
    }
    class DockLayout extends XF.default.Layout$Generic {
        static dock: AttachedNode;
        static lastChildFill: AttachedNode;
        /**
        * Xamarin.CommunityToolkit.UI.Views.Dock
        */
        dock: "Left" | "Top" | "Right" | "Bottom" | string | number | null | undefined | Bind;
        /**
        * System.Boolean
        */
        lastChildFill: boolean | null | Bind;
    }
    class Expander extends RootObject {
        static header: AttachedNode;
        static content: AttachedNode;
        static contentTemplate: AttachedNode;
        static isExpanded: AttachedNode;
        static direction: AttachedNode;
        static expandAnimationLength: AttachedNode;
        static collapseAnimationLength: AttachedNode;
        static expandAnimationEasing: AttachedNode;
        static collapseAnimationEasing: AttachedNode;
        static state: AttachedNode;
        static commandParameter: AttachedNode;
        static command: AttachedNode;
        static forceUpdateSizeCommand: AttachedNode;
        /**
        * Xamarin.Forms.View
        */
        header: XF.default.View | Bind;
        /**
        * Xamarin.Forms.View
        */
        content: XF.default.View | Bind;
        /**
        * Xamarin.Forms.DataTemplate
        */
        contentTemplate: XF.default.DataTemplate | Bind;
        /**
        * System.Boolean
        */
        isExpanded: boolean | null | Bind;
        /**
        * Xamarin.CommunityToolkit.UI.Views.ExpandDirection
        */
        direction: "Down" | "Up" | "Left" | "Right" | string | number | null | undefined | Bind;
        /**
        * System.UInt32
        */
        expandAnimationLength: number | null | Bind;
        /**
        * System.UInt32
        */
        collapseAnimationLength: number | null | Bind;
        /**
        * Xamarin.Forms.Easing
        */
        expandAnimationEasing: "Linear" | "SinOut" | "SinIn" | "SinInOut" | "CubicIn" | "CubicOut" | "CubicInOut" | "BounceOut" | "BounceIn" | "SpringIn" | "SpringOut" | XF.default.Easing | Bind | Bind;
        /**
        * Xamarin.Forms.Easing
        */
        collapseAnimationEasing: "Linear" | "SinOut" | "SinIn" | "SinInOut" | "CubicIn" | "CubicOut" | "CubicInOut" | "BounceOut" | "BounceIn" | "SpringIn" | "SpringOut" | XF.default.Easing | Bind | Bind;
        /**
        * Xamarin.CommunityToolkit.UI.Views.ExpandState
        */
        state: "Expanding" | "Expanded" | "Collapsing" | "Collapsed" | string | number | null | undefined | Bind;
        /**
        * System.Object
        */
        commandParameter: RootObject | Bind;
        /**
        * System.Windows.Input.ICommand
        */
        command: RootObject | Bind;
        /**
        * System.Windows.Input.ICommand
        */
        forceUpdateSizeCommand: RootObject | Bind;
    }
    class GravatarImageSource extends XF.default.ImageSource {
        static email: AttachedNode;
        static size: AttachedNode;
        static default: AttachedNode;
        static cachingEnabled: AttachedNode;
        static cacheValidity: AttachedNode;
        /**
        * System.String
        */
        email: string | null | Bind;
        /**
        * System.Int32
        */
        size: number | null | Bind;
        /**
        * Xamarin.CommunityToolkit.UI.Views.DefaultGravatar
        */
        default: "FileNotFound" | "MysteryPerson" | "Identicon" | "MonsterId" | "Wavatar" | "Retro" | "Robohash" | "Blank" | string | number | null | undefined | Bind;
        /**
        * System.Boolean
        */
        cachingEnabled: boolean | null | Bind;
        /**
        * System.TimeSpan
        */
        cacheValidity: RootObject | Bind;
    }
    class MediaElement extends XF.default.View {
        static aspect: AttachedNode;
        static autoPlay: AttachedNode;
        static bufferingProgress: AttachedNode;
        static currentState: AttachedNode;
        static duration: AttachedNode;
        static isLooping: AttachedNode;
        static keepScreenOn: AttachedNode;
        static position: AttachedNode;
        static showsPlaybackControls: AttachedNode;
        static source: AttachedNode;
        static videoHeight: AttachedNode;
        static videoWidth: AttachedNode;
        static volume: AttachedNode;
        /**
        * Xamarin.Forms.Aspect
        */
        aspect: "AspectFit" | "AspectFill" | "Fill" | string | number | null | undefined | Bind;
        /**
        * System.Boolean
        */
        autoPlay: boolean | null | Bind;
        /**
        * System.Double
        */
        bufferingProgress: number | null | Bind;
        /**
        * System.Boolean
        */
        canSeek: boolean | null | Bind;
        /**
        * Xamarin.CommunityToolkit.UI.Views.MediaElementState
        */
        currentState: "Closed" | "Opening" | "Buffering" | "Playing" | "Paused" | "Stopped" | string | number | null | undefined | Bind;
        /**
        * System.Nullable`1[[System.TimeSpan, System.Private.CoreLib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]
        */
        duration: RootObject | Bind;
        /**
        * System.Boolean
        */
        isLooping: boolean | null | Bind;
        /**
        * System.Boolean
        */
        keepScreenOn: boolean | null | Bind;
        /**
        * System.Boolean
        */
        showsPlaybackControls: boolean | null | Bind;
        /**
        * System.TimeSpan
        */
        position: RootObject | Bind;
        /**
        * Xamarin.CommunityToolkit.Core.MediaSource
        */
        source: RootObject | Bind;
        /**
        * System.Int32
        */
        videoHeight: number | null | Bind;
        /**
        * System.Int32
        */
        videoWidth: number | null | Bind;
        /**
        * System.Double
        */
        volume: number | null | Bind;
    }
    class RangeSlider extends RootObject {
        static minimumValue: AttachedNode;
        static maximumValue: AttachedNode;
        static stepValue: AttachedNode;
        static lowerValue: AttachedNode;
        static upperValue: AttachedNode;
        static thumbSize: AttachedNode;
        static lowerThumbSize: AttachedNode;
        static upperThumbSize: AttachedNode;
        static trackSize: AttachedNode;
        static thumbColor: AttachedNode;
        static lowerThumbColor: AttachedNode;
        static upperThumbColor: AttachedNode;
        static trackColor: AttachedNode;
        static trackHighlightColor: AttachedNode;
        static thumbBorderColor: AttachedNode;
        static lowerThumbBorderColor: AttachedNode;
        static upperThumbBorderColor: AttachedNode;
        static trackBorderColor: AttachedNode;
        static trackHighlightBorderColor: AttachedNode;
        static valueLabelStyle: AttachedNode;
        static lowerValueLabelStyle: AttachedNode;
        static upperValueLabelStyle: AttachedNode;
        static valueLabelStringFormat: AttachedNode;
        static lowerThumbView: AttachedNode;
        static upperThumbView: AttachedNode;
        static valueLabelSpacing: AttachedNode;
        static thumbRadius: AttachedNode;
        static lowerThumbRadius: AttachedNode;
        static upperThumbRadius: AttachedNode;
        static trackRadius: AttachedNode;
        /**
        * System.Double
        */
        minimumValue: number | null | Bind;
        /**
        * System.Double
        */
        maximumValue: number | null | Bind;
        /**
        * System.Double
        */
        stepValue: number | null | Bind;
        /**
        * System.Double
        */
        lowerValue: number | null | Bind;
        /**
        * System.Double
        */
        upperValue: number | null | Bind;
        /**
        * System.Double
        */
        thumbSize: number | null | Bind;
        /**
        * System.Double
        */
        lowerThumbSize: number | null | Bind;
        /**
        * System.Double
        */
        upperThumbSize: number | null | Bind;
        /**
        * System.Double
        */
        trackSize: number | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        thumbColor: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        lowerThumbColor: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        upperThumbColor: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        trackColor: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        trackHighlightColor: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        thumbBorderColor: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        lowerThumbBorderColor: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        upperThumbBorderColor: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        trackBorderColor: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        trackHighlightBorderColor: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Style
        */
        valueLabelStyle: XF.default.Style | Bind;
        /**
        * Xamarin.Forms.Style
        */
        lowerValueLabelStyle: XF.default.Style | Bind;
        /**
        * Xamarin.Forms.Style
        */
        upperValueLabelStyle: XF.default.Style | Bind;
        /**
        * System.String
        */
        valueLabelStringFormat: string | null | Bind;
        /**
        * Xamarin.Forms.View
        */
        lowerThumbView: XF.default.View | Bind;
        /**
        * Xamarin.Forms.View
        */
        upperThumbView: XF.default.View | Bind;
        /**
        * System.Double
        */
        valueLabelSpacing: number | null | Bind;
        /**
        * System.Double
        */
        thumbRadius: number | null | Bind;
        /**
        * System.Double
        */
        lowerThumbRadius: number | null | Bind;
        /**
        * System.Double
        */
        upperThumbRadius: number | null | Bind;
        /**
        * System.Double
        */
        trackRadius: number | null | Bind;
    }
    class Shield extends RootObject {
        static subject: AttachedNode;
        static status: AttachedNode;
        static color: AttachedNode;
        static textColor: AttachedNode;
        static fontSize: AttachedNode;
        static fontFamily: AttachedNode;
        static fontAttributes: AttachedNode;
        static command: AttachedNode;
        static commandParameter: AttachedNode;
        /**
        * System.String
        */
        subject: string | null | Bind;
        /**
        * System.String
        */
        status: string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        color: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        textColor: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * System.Double
        */
        fontSize: number | null | Bind;
        /**
        * System.String
        */
        fontFamily: string | null | Bind;
        /**
        * Xamarin.Forms.FontAttributes
        */
        fontAttributes: "None" | "Bold" | "Italic" | string | number | null | undefined | Bind;
        /**
        * System.Windows.Input.ICommand
        */
        command: RootObject | Bind;
        /**
        * System.Object
        */
        commandParameter: RootObject | Bind;
    }
    class SideMenuView extends RootObject {
        static position: AttachedNode;
        static menuWidthPercentage: AttachedNode;
        static menuGestureEnabled: AttachedNode;
        static shift: AttachedNode;
        static currentGestureShift: AttachedNode;
        static gestureThreshold: AttachedNode;
        static cancelVerticalGestureThreshold: AttachedNode;
        static allowInterceptGesture: AttachedNode;
        static state: AttachedNode;
        static currentGestureState: AttachedNode;
        /**
        * Xamarin.CommunityToolkit.UI.Views.ISideMenuList`1[[Xamarin.Forms.View, Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null]]
        */
        children: RootObject | Bind;
        /**
        * System.Double
        */
        shift: number | null | Bind;
        /**
        * System.Double
        */
        currentGestureShift: number | null | Bind;
        /**
        * System.Double
        */
        gestureThreshold: number | null | Bind;
        /**
        * System.Double
        */
        cancelVerticalGestureThreshold: number | null | Bind;
        /**
        * System.Boolean
        */
        allowInterceptGesture: boolean | null | Bind;
        /**
        * Xamarin.CommunityToolkit.UI.Views.SideMenuState
        */
        state: "MainViewShown" | "RightMenuShown" | "LeftMenuShown" | string | number | null | undefined | Bind;
        /**
        * Xamarin.CommunityToolkit.UI.Views.SideMenuState
        */
        currentGestureState: "MainViewShown" | "RightMenuShown" | "LeftMenuShown" | string | number | null | undefined | Bind;
    }
    class StateLayout extends RootObject {
        static currentState: AttachedNode;
        static currentCustomStateKey: AttachedNode;
        static animateStateChanges: AttachedNode;
        static stateViews: AttachedNode;
    }
    class StateView extends XF.default.ContentView {
        static stateKey: AttachedNode;
        static customStateKey: AttachedNode;
        static repeatCount: AttachedNode;
        static template: AttachedNode;
        /**
        * Xamarin.CommunityToolkit.UI.Views.LayoutState
        */
        stateKey: "None" | "Loading" | "Saving" | "Success" | "Error" | "Empty" | "Custom" | string | number | null | undefined | Bind;
        /**
        * System.String
        */
        customStateKey: string | null | Bind;
        /**
        * System.Int32
        */
        repeatCount: number | null | Bind;
        /**
        * Xamarin.Forms.DataTemplate
        */
        template: XF.default.DataTemplate | Bind;
    }
    class TabBadgeTemplate extends XF.default.Grid {
    }
    class TabBadgeView extends XF.default.TemplatedView {
        static placementTarget: AttachedNode;
        static autoHide: AttachedNode;
        static isAnimated: AttachedNode;
        static badgeAnimation: AttachedNode;
        static backgroundColor: AttachedNode;
        static borderColor: AttachedNode;
        static textColor: AttachedNode;
        static text: AttachedNode;
        /**
        * Xamarin.Forms.View
        */
        placementTarget: XF.default.View | Bind;
        /**
        * System.Boolean
        */
        autoHide: boolean | null | Bind;
        /**
        * System.Boolean
        */
        isAnimated: boolean | null | Bind;
        /**
        * Xamarin.CommunityToolkit.UI.Views.IBadgeAnimation
        */
        badgeAnimation: RootObject | Bind;
        /**
        * Xamarin.Forms.Color
        */
        backgroundColor: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        borderColor: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        textColor: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * System.String
        */
        text: string | null | Bind;
    }
    class TabView extends XF.default.ContentView {
        static tabItemsSource: AttachedNode;
        static tabViewItemDataTemplate: AttachedNode;
        static tabContentDataTemplate: AttachedNode;
        static selectedIndex: AttachedNode;
        static tabStripPlacement: AttachedNode;
        static tabStripBackgroundColor: AttachedNode;
        static tabStripBackgroundView: AttachedNode;
        static tabStripBorderColor: AttachedNode;
        static tabContentBackgroundColor: AttachedNode;
        static tabStripHeight: AttachedNode;
        static isTabStripVisible: AttachedNode;
        static tabContentHeight: AttachedNode;
        static tabIndicatorColor: AttachedNode;
        static tabIndicatorHeight: AttachedNode;
        static tabIndicatorWidth: AttachedNode;
        static tabIndicatorView: AttachedNode;
        static tabIndicatorPlacement: AttachedNode;
        static isTabTransitionEnabled: AttachedNode;
        static isSwipeEnabled: AttachedNode;
        /**
        * System.Collections.ObjectModel.ObservableCollection`1[[Xamarin.CommunityToolkit.UI.Views.TabViewItem, Xamarin.CommunityToolkit, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]
        */
        tabItems: any;
        static tabItems: AttachedNode;
        /**
        * System.Collections.IList
        */
        tabItemsSource: any;
        /**
        * Xamarin.Forms.DataTemplate
        */
        tabViewItemDataTemplate: XF.default.DataTemplate | Bind;
        /**
        * Xamarin.Forms.DataTemplate
        */
        tabContentDataTemplate: XF.default.DataTemplate | Bind;
        /**
        * System.Int32
        */
        selectedIndex: number | null | Bind;
        /**
        * Xamarin.CommunityToolkit.UI.Views.TabStripPlacement
        */
        tabStripPlacement: "Top" | "Bottom" | string | number | null | undefined | Bind;
        /**
        * Xamarin.Forms.Color
        */
        tabStripBackgroundColor: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.View
        */
        tabStripBackgroundView: XF.default.View | Bind;
        /**
        * Xamarin.Forms.Color
        */
        tabStripBorderColor: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        tabContentBackgroundColor: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * System.Double
        */
        tabStripHeight: number | null | Bind;
        /**
        * System.Boolean
        */
        isTabStripVisible: boolean | null | Bind;
        /**
        * System.Double
        */
        tabContentHeight: number | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        tabIndicatorColor: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * System.Double
        */
        tabIndicatorHeight: number | null | Bind;
        /**
        * System.Double
        */
        tabIndicatorWidth: number | null | Bind;
        /**
        * Xamarin.Forms.View
        */
        tabIndicatorView: XF.default.View | Bind;
        /**
        * Xamarin.CommunityToolkit.UI.Views.TabIndicatorPlacement
        */
        tabIndicatorPlacement: "Top" | "Center" | "Bottom" | string | number | null | undefined | Bind;
        /**
        * System.Boolean
        */
        isTabTransitionEnabled: boolean | null | Bind;
        /**
        * System.Boolean
        */
        isSwipeEnabled: boolean | null | Bind;
    }
    class TabViewItem extends XF.default.TemplatedView {
        static text: AttachedNode;
        static textColor: AttachedNode;
        static textColorSelected: AttachedNode;
        static fontSize: AttachedNode;
        static fontSizeSelected: AttachedNode;
        static fontFamily: AttachedNode;
        static fontFamilySelected: AttachedNode;
        static fontAttributes: AttachedNode;
        static fontAttributesSelected: AttachedNode;
        static content: AttachedNode;
        static icon: AttachedNode;
        static iconSelected: AttachedNode;
        static isSelected: AttachedNode;
        static badgeText: AttachedNode;
        static tabWidth: AttachedNode;
        static tabAnimation: AttachedNode;
        static badgeTextColor: AttachedNode;
        static badgeBackgroundColor: AttachedNode;
        static badgeBackgroundColorSelected: AttachedNode;
        static badgeBorderColor: AttachedNode;
        static badgeBorderColorSelected: AttachedNode;
        static tapCommand: AttachedNode;
        static currentTextColor: AttachedNode;
        static currentFontSize: AttachedNode;
        static currentIcon: AttachedNode;
        static currentFontFamily: AttachedNode;
        static currentFontAttributes: AttachedNode;
        static currentBadgeBackgroundColor: AttachedNode;
        static currentBadgeBorderColor: AttachedNode;
        static currentContent: AttachedNode;
        /**
        * System.String
        */
        text: string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        textColor: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        textColorSelected: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * System.Double
        */
        fontSize: number | null | Bind;
        /**
        * System.Double
        */
        fontSizeSelected: number | null | Bind;
        /**
        * System.String
        */
        fontFamily: string | null | Bind;
        /**
        * System.String
        */
        fontFamilySelected: string | null | Bind;
        /**
        * Xamarin.Forms.FontAttributes
        */
        fontAttributes: "None" | "Bold" | "Italic" | string | number | null | undefined | Bind;
        /**
        * Xamarin.Forms.FontAttributes
        */
        fontAttributesSelected: "None" | "Bold" | "Italic" | string | number | null | undefined | Bind;
        /**
        * Xamarin.Forms.View
        */
        content: XF.default.View | Bind;
        /**
        * Xamarin.Forms.ImageSource
        */
        icon: /*ImageSource*/ any | Bind;
        /**
        * Xamarin.Forms.ImageSource
        */
        iconSelected: /*ImageSource*/ any | Bind;
        /**
        * System.Boolean
        */
        isSelected: boolean | null | Bind;
        /**
        * System.Double
        */
        tabWidth: number | null | Bind;
        /**
        * Xamarin.CommunityToolkit.UI.Views.ITabViewItemAnimation
        */
        tabAnimation: RootObject | Bind;
        /**
        * System.String
        */
        badgeText: string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        badgeTextColor: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        badgeBackgroundColor: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        badgeBackgroundColorSelected: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        badgeBorderColor: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        badgeBorderColorSelected: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * System.Windows.Input.ICommand
        */
        tapCommand: RootObject | Bind;
        /**
        * Xamarin.Forms.Color
        */
        currentTextColor: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * System.Double
        */
        currentFontSize: number | null | Bind;
        /**
        * Xamarin.Forms.ImageSource
        */
        currentIcon: /*ImageSource*/ any | Bind;
        /**
        * System.String
        */
        currentFontFamily: string | null | Bind;
        /**
        * Xamarin.Forms.FontAttributes
        */
        currentFontAttributes: "None" | "Bold" | "Italic" | string | number | null | undefined | Bind;
        /**
        * Xamarin.Forms.Color
        */
        currentBadgeBackgroundColor: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        currentBadgeBorderColor: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.View
        */
        currentContent: XF.default.View | Bind;
    }
    class UniformGrid extends XF.default.Layout$Generic {
    }
    class GravatarImageExtension extends XCT.GravatarImageSource {
    }
    class PageExtension extends RootObject {
        static playToastAsync: AttachedNode;
        static playSnackBarAsync: AttachedNode;
    }
    class VisualElementExtension extends RootObject {
        static rtAnimations: AttachedNode;
    }
    class IconTintColorEffect extends RootObject {
        static tintColor: AttachedNode;
    }
    class IconTintColorEffectRouter extends XF.default.RoutingEffect {
    }
    class RemoveBorderEffect extends XF.default.RoutingEffect {
    }
    class SafeAreaEffect extends RootObject {
        static safeArea: AttachedNode;
    }
    class SafeAreaEffectRouter extends XF.default.RoutingEffect {
    }
    class SelectAllTextEffect extends XF.default.RoutingEffect {
    }
    class TouchEffect extends XF.default.RoutingEffect {
        static animationDuration: AttachedNode;
        static animationEasing: AttachedNode;
        static pressedAnimationDuration: AttachedNode;
        static pressedAnimationEasing: AttachedNode;
        static normalAnimationDuration: AttachedNode;
        static normalAnimationEasing: AttachedNode;
        static hoveredAnimationDuration: AttachedNode;
        static hoveredAnimationEasing: AttachedNode;
        static pulseCount: AttachedNode;
        static isToggled: AttachedNode;
        static disallowTouchThreshold: AttachedNode;
        static nativeAnimation: AttachedNode;
        static nativeAnimationColor: AttachedNode;
        static nativeAnimationRadius: AttachedNode;
        static nativeAnimationShadowRadius: AttachedNode;
        static normalBackgroundImageSource: AttachedNode;
        static hoveredBackgroundImageSource: AttachedNode;
        static pressedBackgroundImageSource: AttachedNode;
        static backgroundImageAspect: AttachedNode;
        static normalBackgroundImageAspect: AttachedNode;
        static hoveredBackgroundImageAspect: AttachedNode;
        static pressedBackgroundImageAspect: AttachedNode;
        static shouldSetImageOnAnimationEnd: AttachedNode;
        static isAvailable: AttachedNode;
        static shouldMakeChildrenInputTransparent: AttachedNode;
        static command: AttachedNode;
        static longPressCommand: AttachedNode;
        static commandParameter: AttachedNode;
        static longPressCommandParameter: AttachedNode;
        static longPressDuration: AttachedNode;
        static status: AttachedNode;
        static state: AttachedNode;
        static interactionStatus: AttachedNode;
        static hoverStatus: AttachedNode;
        static hoverState: AttachedNode;
        static normalBackgroundColor: AttachedNode;
        static hoveredBackgroundColor: AttachedNode;
        static pressedBackgroundColor: AttachedNode;
        static normalOpacity: AttachedNode;
        static hoveredOpacity: AttachedNode;
        static pressedOpacity: AttachedNode;
        static normalScale: AttachedNode;
        static hoveredScale: AttachedNode;
        static pressedScale: AttachedNode;
        static normalTranslationX: AttachedNode;
        static hoveredTranslationX: AttachedNode;
        static pressedTranslationX: AttachedNode;
        static normalTranslationY: AttachedNode;
        static hoveredTranslationY: AttachedNode;
        static pressedTranslationY: AttachedNode;
        static normalRotation: AttachedNode;
        static hoveredRotation: AttachedNode;
        static pressedRotation: AttachedNode;
        static normalRotationX: AttachedNode;
        static hoveredRotationX: AttachedNode;
        static pressedRotationX: AttachedNode;
        static normalRotationY: AttachedNode;
        static hoveredRotationY: AttachedNode;
        static pressedRotationY: AttachedNode;
        /**
        * System.Boolean
        */
        isAvailable: boolean | null | Bind;
        /**
        * System.Boolean
        */
        shouldMakeChildrenInputTransparent: boolean | null | Bind;
        /**
        * System.Windows.Input.ICommand
        */
        command: RootObject | Bind;
        /**
        * System.Windows.Input.ICommand
        */
        longPressCommand: RootObject | Bind;
        /**
        * System.Object
        */
        commandParameter: RootObject | Bind;
        /**
        * System.Object
        */
        longPressCommandParameter: RootObject | Bind;
        /**
        * System.Int32
        */
        longPressDuration: number | null | Bind;
        /**
        * Xamarin.CommunityToolkit.Effects.TouchStatus
        */
        status: "Started" | "Completed" | "Canceled" | string | number | null | undefined | Bind;
        /**
        * Xamarin.CommunityToolkit.Effects.TouchState
        */
        state: "Normal" | "Pressed" | string | number | null | undefined | Bind;
        /**
        * Xamarin.CommunityToolkit.Effects.TouchInteractionStatus
        */
        interactionStatus: "Started" | "Completed" | string | number | null | undefined | Bind;
        /**
        * Xamarin.CommunityToolkit.Effects.HoverStatus
        */
        hoverStatus: "Entered" | "Exited" | string | number | null | undefined | Bind;
        /**
        * Xamarin.CommunityToolkit.Effects.HoverState
        */
        hoverState: "Normal" | "Hovered" | string | number | null | undefined | Bind;
        /**
        * System.Int32
        */
        disallowTouchThreshold: number | null | Bind;
        /**
        * System.Boolean
        */
        nativeAnimation: boolean | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        nativeAnimationColor: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * System.Int32
        */
        nativeAnimationRadius: number | null | Bind;
        /**
        * System.Int32
        */
        nativeAnimationShadowRadius: number | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        normalBackgroundColor: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        hoveredBackgroundColor: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        pressedBackgroundColor: XF.default.Color | ColorItem | string | null | Bind;
        /**
        * System.Double
        */
        normalOpacity: number | null | Bind;
        /**
        * System.Double
        */
        hoveredOpacity: number | null | Bind;
        /**
        * System.Double
        */
        pressedOpacity: number | null | Bind;
        /**
        * System.Double
        */
        normalScale: number | null | Bind;
        /**
        * System.Double
        */
        hoveredScale: number | null | Bind;
        /**
        * System.Double
        */
        pressedScale: number | null | Bind;
        /**
        * System.Double
        */
        normalTranslationX: number | null | Bind;
        /**
        * System.Double
        */
        hoveredTranslationX: number | null | Bind;
        /**
        * System.Double
        */
        pressedTranslationX: number | null | Bind;
        /**
        * System.Double
        */
        normalTranslationY: number | null | Bind;
        /**
        * System.Double
        */
        hoveredTranslationY: number | null | Bind;
        /**
        * System.Double
        */
        pressedTranslationY: number | null | Bind;
        /**
        * System.Double
        */
        normalRotation: number | null | Bind;
        /**
        * System.Double
        */
        hoveredRotation: number | null | Bind;
        /**
        * System.Double
        */
        pressedRotation: number | null | Bind;
        /**
        * System.Double
        */
        normalRotationX: number | null | Bind;
        /**
        * System.Double
        */
        hoveredRotationX: number | null | Bind;
        /**
        * System.Double
        */
        pressedRotationX: number | null | Bind;
        /**
        * System.Double
        */
        normalRotationY: number | null | Bind;
        /**
        * System.Double
        */
        hoveredRotationY: number | null | Bind;
        /**
        * System.Double
        */
        pressedRotationY: number | null | Bind;
        /**
        * System.Int32
        */
        animationDuration: number | null | Bind;
        /**
        * Xamarin.Forms.Easing
        */
        animationEasing: "Linear" | "SinOut" | "SinIn" | "SinInOut" | "CubicIn" | "CubicOut" | "CubicInOut" | "BounceOut" | "BounceIn" | "SpringIn" | "SpringOut" | XF.default.Easing | Bind | Bind;
        /**
        * System.Int32
        */
        pressedAnimationDuration: number | null | Bind;
        /**
        * Xamarin.Forms.Easing
        */
        pressedAnimationEasing: "Linear" | "SinOut" | "SinIn" | "SinInOut" | "CubicIn" | "CubicOut" | "CubicInOut" | "BounceOut" | "BounceIn" | "SpringIn" | "SpringOut" | XF.default.Easing | Bind | Bind;
        /**
        * System.Int32
        */
        normalAnimationDuration: number | null | Bind;
        /**
        * Xamarin.Forms.Easing
        */
        normalAnimationEasing: "Linear" | "SinOut" | "SinIn" | "SinInOut" | "CubicIn" | "CubicOut" | "CubicInOut" | "BounceOut" | "BounceIn" | "SpringIn" | "SpringOut" | XF.default.Easing | Bind | Bind;
        /**
        * System.Int32
        */
        hoveredAnimationDuration: number | null | Bind;
        /**
        * Xamarin.Forms.Easing
        */
        hoveredAnimationEasing: "Linear" | "SinOut" | "SinIn" | "SinInOut" | "CubicIn" | "CubicOut" | "CubicInOut" | "BounceOut" | "BounceIn" | "SpringIn" | "SpringOut" | XF.default.Easing | Bind | Bind;
        /**
        * System.Int32
        */
        pulseCount: number | null | Bind;
        /**
        * System.Nullable`1[[System.Boolean, System.Private.CoreLib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]
        */
        isToggled: RootObject | Bind;
        /**
        * Xamarin.Forms.ImageSource
        */
        normalBackgroundImageSource: /*ImageSource*/ any | Bind;
        /**
        * Xamarin.Forms.ImageSource
        */
        hoveredBackgroundImageSource: /*ImageSource*/ any | Bind;
        /**
        * Xamarin.Forms.ImageSource
        */
        pressedBackgroundImageSource: /*ImageSource*/ any | Bind;
        /**
        * Xamarin.Forms.Aspect
        */
        backgroundImageAspect: "AspectFit" | "AspectFill" | "Fill" | string | number | null | undefined | Bind;
        /**
        * Xamarin.Forms.Aspect
        */
        normalBackgroundImageAspect: "AspectFit" | "AspectFill" | "Fill" | string | number | null | undefined | Bind;
        /**
        * Xamarin.Forms.Aspect
        */
        hoveredBackgroundImageAspect: "AspectFit" | "AspectFill" | "Fill" | string | number | null | undefined | Bind;
        /**
        * Xamarin.Forms.Aspect
        */
        pressedBackgroundImageAspect: "AspectFit" | "AspectFill" | "Fill" | string | number | null | undefined | Bind;
        /**
        * System.Boolean
        */
        shouldSetImageOnAnimationEnd: boolean | null | Bind;
    }
    class VisualFeedbackEffect extends XF.default.RoutingEffect {
        static feedbackColor: AttachedNode;
    }
    class BoolToObjectConverter extends XCT.BoolToObjectConverter$Generic {
    }
    class BoolToObjectConverter$Generic extends RootObject {
        /**
        *
        */
        trueObject: RootObject | Bind;
        /**
        *
        */
        falseObject: RootObject | Bind;
    }
    class ByteArrayToImageSourceConverter extends RootObject {
    }
    class DateTimeOffsetConverter extends RootObject {
    }
    class DoubleToIntConverter extends RootObject {
        /**
        * System.Double
        */
        ratio: number | null | Bind;
    }
    class EqualConverter extends RootObject {
    }
    class IndexToArrayItemConverter extends RootObject {
    }
    class IntToBoolConverter extends RootObject {
    }
    class InvertedBoolConverter extends RootObject {
    }
    class IsNotNullOrEmptyConverter extends RootObject {
    }
    class IsNullOrEmptyConverter extends RootObject {
    }
    class ItemSelectedEventArgsConverter extends RootObject {
    }
    class ItemTappedEventArgsConverter extends RootObject {
    }
    class ListIsNotNullOrEmptyConverter extends RootObject {
    }
    class ListIsNullOrEmptyConverter extends RootObject {
    }
    class ListToStringConverter extends RootObject {
        /**
        * System.String
        */
        separator: string | null | Bind;
    }
    class MultiConverter extends RootObject {
    }
    class MultiConverterParameter extends XF.default.BindableObject {
        /**
        * System.Type
        */
        converterType: RootObject | Bind;
        /**
        * System.Object
        */
        value: RootObject | Bind;
    }
    class NotEqualConverter extends RootObject {
    }
    class StateToBooleanConverter extends RootObject {
        /**
        * Xamarin.CommunityToolkit.UI.Views.LayoutState
        */
        stateToCompare: "None" | "Loading" | "Saving" | "Success" | "Error" | "Empty" | "Custom" | string | number | null | undefined | Bind;
    }
    class TextCaseConverter extends RootObject {
        /**
        * Xamarin.CommunityToolkit.Converters.TextCaseType
        */
        type: "None" | "Upper" | "Lower" | string | number | null | undefined | Bind;
    }
    class TimeSpanToDoubleConverter extends RootObject {
    }
    class AnimationBehavior extends XCT.EventToCommandBehavior {
        static animationType: AttachedNode;
        /**
        * Xamarin.CommunityToolkit.Behaviors.AnimationBase
        */
        animationType: XCT.AnimationBase | Bind;
    }
    class AnimationBase$Generic extends XF.default.BindableObject {
        static duration: AttachedNode;
        static easingType: AttachedNode;
        /**
        * System.UInt32
        */
        duration: number | null | Bind;
        /**
        * Xamarin.Forms.Easing
        */
        easing: "Linear" | "SinOut" | "SinIn" | "SinInOut" | "CubicIn" | "CubicOut" | "CubicInOut" | "BounceOut" | "BounceIn" | "SpringIn" | "SpringOut" | XF.default.Easing | Bind | Bind;
        static easing: AttachedNode;
    }
    class AnimationBase extends XCT.AnimationBase$Generic {
    }
    class FadeAnimation extends XCT.AnimationBase {
        static fade: AttachedNode;
        /**
        * System.Double
        */
        fade: number | null | Bind;
    }
    class FlipHorizontalAnimation extends XCT.RotateAnimation {
    }
    class FlipVerticalAnimation extends XCT.RotateAnimation {
    }
    class RotateAnimation extends XCT.AnimationBase {
        static rotation: AttachedNode;
        /**
        * System.Double
        */
        rotation: number | null | Bind;
    }
    class ScaleAnimation extends XCT.AnimationBase {
        static scale: AttachedNode;
        /**
        * System.Double
        */
        scale: number | null | Bind;
    }
    class ShakeAnimation extends XCT.AnimationBase {
        static startFactor: AttachedNode;
        /**
        * System.Double
        */
        startFactor: number | null | Bind;
    }
    class EventToCommandBehavior extends RootObject {
        static eventName: AttachedNode;
        static command: AttachedNode;
        static commandParameter: AttachedNode;
        static eventArgsConverter: AttachedNode;
        /**
        * System.String
        */
        eventName: string | null | Bind;
        /**
        * System.Windows.Input.ICommand
        */
        command: RootObject | Bind;
        /**
        * System.Object
        */
        commandParameter: RootObject | Bind;
        /**
        * Xamarin.Forms.IValueConverter
        */
        eventArgsConverter: XF.default.IValueConverter | Bind;
    }
    class ImpliedOrderGridBehavior extends RootObject {
        /**
        * System.Boolean
        */
        throwOnLayoutWarning: boolean | null | Bind;
    }
    class MaskedBehavior extends RootObject {
        static mask: AttachedNode;
        static unMaskedCharacter: AttachedNode;
        /**
        * System.String
        */
        mask: string | null | Bind;
        /**
        * System.Char
        */
        unMaskedCharacter: string | null | Bind;
    }
    class MaxLengthReachedBehavior extends RootObject {
        static command: AttachedNode;
        static shouldDismissKeyboardAutomatically: AttachedNode;
        /**
        * System.Windows.Input.ICommand
        */
        command: RootObject | Bind;
        /**
        * System.Boolean
        */
        shouldDismissKeyboardAutomatically: boolean | null | Bind;
    }
    class UserStoppedTypingBehavior extends RootObject {
        static command: AttachedNode;
        static stoppedTypingTimeThreshold: AttachedNode;
        static minimumLengthThreshold: AttachedNode;
        static shouldDismissKeyboardAutomatically: AttachedNode;
        /**
        * System.Windows.Input.ICommand
        */
        command: RootObject | Bind;
        /**
        * System.Int32
        */
        stoppedTypingTimeThreshold: number | null | Bind;
        /**
        * System.Int32
        */
        minimumLengthThreshold: number | null | Bind;
        /**
        * System.Boolean
        */
        shouldDismissKeyboardAutomatically: boolean | null | Bind;
    }
    class CharactersValidationBehavior extends XCT.TextValidationBehavior {
        static characterType: AttachedNode;
        static minimumCharacterCount: AttachedNode;
        static maximumCharacterCount: AttachedNode;
        /**
        * Xamarin.CommunityToolkit.Behaviors.CharacterType
        */
        characterType: "LowercaseLetter" | "UppercaseLetter" | "Letter" | "Digit" | "Alphanumeric" | "Whitespace" | "NonAlphanumericSymbol" | "Any" | "LowercaseLatinLetter" | "UppercaseLatinLetter" | "LatinLetter" | string | number | null | undefined | Bind;
        /**
        * System.Int32
        */
        minimumCharacterCount: number | null | Bind;
        /**
        * System.Int32
        */
        maximumCharacterCount: number | null | Bind;
    }
    class EmailValidationBehavior extends XCT.TextValidationBehavior {
    }
    class MultiValidationBehavior extends RootObject {
        static error: AttachedNode;
        static errors: AttachedNode;
        /**
        * System.Collections.Generic.List`1[[System.Object, System.Private.CoreLib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]
        */
        errors: any;
        /**
        * System.Collections.Generic.IList`1[[Xamarin.CommunityToolkit.Behaviors.Internals.ValidationBehavior, Xamarin.CommunityToolkit, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]
        */
        children: any;
        static children: AttachedNode;
    }
    class NumericValidationBehavior extends RootObject {
        static minimumValue: AttachedNode;
        static maximumValue: AttachedNode;
        static minimumDecimalPlaces: AttachedNode;
        static maximumDecimalPlaces: AttachedNode;
        /**
        * System.Double
        */
        minimumValue: number | null | Bind;
        /**
        * System.Double
        */
        maximumValue: number | null | Bind;
        /**
        * System.Int32
        */
        minimumDecimalPlaces: number | null | Bind;
        /**
        * System.Int32
        */
        maximumDecimalPlaces: number | null | Bind;
    }
    class RequiredStringValidationBehavior extends RootObject {
        static requiredString: AttachedNode;
        /**
        * System.String
        */
        requiredString: string | null | Bind;
    }
    class TextValidationBehavior extends RootObject {
        static minimumLength: AttachedNode;
        static maximumLength: AttachedNode;
        static decorationFlags: AttachedNode;
        static regexPattern: AttachedNode;
        static regexOptions: AttachedNode;
        /**
        * System.Int32
        */
        minimumLength: number | null | Bind;
        /**
        * System.Int32
        */
        maximumLength: number | null | Bind;
        /**
        * Xamarin.CommunityToolkit.Behaviors.TextDecorationFlags
        */
        decorationFlags: "None" | "TrimStart" | "TrimEnd" | "Trim" | "NullToEmpty" | "NormalizeWhiteSpace" | string | number | null | undefined | Bind;
        /**
        * System.String
        */
        regexPattern: string | null | Bind;
        /**
        * System.Text.RegularExpressions.RegexOptions
        */
        regexOptions: "None" | "IgnoreCase" | "Multiline" | "ExplicitCapture" | "Compiled" | "Singleline" | "IgnorePatternWhitespace" | "RightToLeft" | "ECMAScript" | "CultureInvariant" | string | number | null | undefined | Bind;
    }
    class UriValidationBehavior extends XCT.TextValidationBehavior {
        static uriKind: AttachedNode;
        /**
        * System.UriKind
        */
        uriKind: "RelativeOrAbsolute" | "Absolute" | "Relative" | string | number | null | undefined | Bind;
    }
}
export default XCT;
export declare namespace Xamarin {
    namespace CommunityToolkit {
        namespace UI {
            namespace Views {
                namespace Internals {
                    class BaseTemplatedView$Generic extends XF.default.TemplatedView {
                    }
                }
            }
        }
        namespace Core {
            class FileMediaSource extends RootObject {
                static file: AttachedNode;
                /**
                * System.String
                */
                file: string | null | Bind;
            }
            class MediaSource extends XF.default.Element {
            }
            class StreamMediaSource extends RootObject {
                static stream: AttachedNode;
                /**
                * System.Func`2[[System.Threading.CancellationToken, System.Private.CoreLib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e],[System.Threading.Tasks.Task`1[[System.IO.Stream, System.Private.CoreLib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]], System.Private.CoreLib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]
                */
                stream: RootObject | Bind;
            }
            class UriMediaSource extends RootObject {
                static uri: AttachedNode;
                /**
                * System.Uri
                */
                uri: RootObject | Bind;
            }
        }
        namespace Behaviors {
            namespace Internals {
                class BaseBehavior$Generic extends XF.default.Behavior$Generic {
                }
                class ValidationBehavior extends RootObject {
                    static isValid: AttachedNode;
                    static validStyle: AttachedNode;
                    static invalidStyle: AttachedNode;
                    static flags: AttachedNode;
                    static value: AttachedNode;
                    static valuePropertyName: AttachedNode;
                    static forceValidateCommand: AttachedNode;
                    /**
                    * System.Boolean
                    */
                    isValid: boolean | null | Bind;
                    /**
                    * Xamarin.Forms.Style
                    */
                    validStyle: XF.default.Style | Bind;
                    /**
                    * Xamarin.Forms.Style
                    */
                    invalidStyle: XF.default.Style | Bind;
                    /**
                    * Xamarin.CommunityToolkit.Behaviors.ValidationFlags
                    */
                    flags: "None" | "ValidateOnAttaching" | "ValidateOnFocusing" | "ValidateOnUnfocusing" | "ValidateOnValueChanging" | "ForceMakeValidWhenFocused" | string | number | null | undefined | Bind;
                    /**
                    * System.Object
                    */
                    value: RootObject | Bind;
                    /**
                    * System.String
                    */
                    valuePropertyName: string | null | Bind;
                    /**
                    * System.Windows.Input.ICommand
                    */
                    forceValidateCommand: RootObject | Bind;
                }
            }
        }
    }
}
//# sourceMappingURL=XCT.d.ts.map