(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@web-atoms/core/dist/core/XNode", "./XF"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.Xamarin = void 0;
    //tslint:disable
    const XNode_1 = require("@web-atoms/core/dist/core/XNode");
    const XF = require("./XF");
    const assemblyName = `Xamarin.CommunityToolkit, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null`;
    let ns = ``;
    function create(name, ns) {
        return {
            configurable: true,
            enumerable: true,
            get() {
                const t = bridge.getClass(`${ns}.${name}, ${assemblyName}`);
                Object.defineProperty(this, name, {
                    configurable: true,
                    enumerable: true,
                    writable: true,
                    value: t
                });
                return t;
            }
        };
    }
    var XCT;
    (function (XCT) {
    })(XCT || (XCT = {}));
    exports.default = XCT;
    var Xamarin;
    (function (Xamarin) {
        let CommunityToolkit;
        (function (CommunityToolkit) {
            let UI;
            (function (UI) {
                let Views;
                (function (Views) {
                    let Internals;
                    (function (Internals) {
                    })(Internals = Views.Internals || (Views.Internals = {}));
                })(Views = UI.Views || (UI.Views = {}));
            })(UI = CommunityToolkit.UI || (CommunityToolkit.UI = {}));
            let Core;
            (function (Core) {
            })(Core = CommunityToolkit.Core || (CommunityToolkit.Core = {}));
            let Behaviors;
            (function (Behaviors) {
                let Internals;
                (function (Internals) {
                })(Internals = Behaviors.Internals || (Behaviors.Internals = {}));
            })(Behaviors = CommunityToolkit.Behaviors || (CommunityToolkit.Behaviors = {}));
        })(CommunityToolkit = Xamarin.CommunityToolkit || (Xamarin.CommunityToolkit = {}));
    })(Xamarin = exports.Xamarin || (exports.Xamarin = {}));
    ns = "XCT";
    Object.defineProperties(XCT, {
        AvatarView: create("AvatarView", "Xamarin.CommunityToolkit.UI.Views"),
        BadgeView: create("BadgeView", "Xamarin.CommunityToolkit.UI.Views"),
        CameraView: create("CameraView", "Xamarin.CommunityToolkit.UI.Views"),
        DockLayout: create("DockLayout", "Xamarin.CommunityToolkit.UI.Views"),
        Expander: create("Expander", "Xamarin.CommunityToolkit.UI.Views"),
        GravatarImageSource: create("GravatarImageSource", "Xamarin.CommunityToolkit.UI.Views"),
        MediaElement: create("MediaElement", "Xamarin.CommunityToolkit.UI.Views"),
        RangeSlider: create("RangeSlider", "Xamarin.CommunityToolkit.UI.Views"),
        Shield: create("Shield", "Xamarin.CommunityToolkit.UI.Views"),
        SideMenuView: create("SideMenuView", "Xamarin.CommunityToolkit.UI.Views"),
        StateLayout: create("StateLayout", "Xamarin.CommunityToolkit.UI.Views"),
        StateView: create("StateView", "Xamarin.CommunityToolkit.UI.Views"),
        TabBadgeTemplate: create("TabBadgeTemplate", "Xamarin.CommunityToolkit.UI.Views"),
        TabBadgeView: create("TabBadgeView", "Xamarin.CommunityToolkit.UI.Views"),
        TabView: create("TabView", "Xamarin.CommunityToolkit.UI.Views"),
        TabViewItem: create("TabViewItem", "Xamarin.CommunityToolkit.UI.Views"),
        UniformGrid: create("UniformGrid", "Xamarin.CommunityToolkit.UI.Views"),
        GravatarImageExtension: create("GravatarImageExtension", "Xamarin.CommunityToolkit.Extensions"),
        PageExtension: create("PageExtension", "Xamarin.CommunityToolkit.Extensions"),
        VisualElementExtension: create("VisualElementExtension", "Xamarin.CommunityToolkit.Extensions"),
        IconTintColorEffect: create("IconTintColorEffect", "Xamarin.CommunityToolkit.Effects"),
        IconTintColorEffectRouter: create("IconTintColorEffectRouter", "Xamarin.CommunityToolkit.Effects"),
        RemoveBorderEffect: create("RemoveBorderEffect", "Xamarin.CommunityToolkit.Effects"),
        SafeAreaEffect: create("SafeAreaEffect", "Xamarin.CommunityToolkit.Effects"),
        SafeAreaEffectRouter: create("SafeAreaEffectRouter", "Xamarin.CommunityToolkit.Effects"),
        SelectAllTextEffect: create("SelectAllTextEffect", "Xamarin.CommunityToolkit.Effects"),
        TouchEffect: create("TouchEffect", "Xamarin.CommunityToolkit.Effects"),
        VisualFeedbackEffect: create("VisualFeedbackEffect", "Xamarin.CommunityToolkit.Effects"),
        BoolToObjectConverter: create("BoolToObjectConverter", "Xamarin.CommunityToolkit.Converters"),
        BoolToObjectConverter$Generic: create("BoolToObjectConverter`1", "Xamarin.CommunityToolkit.Converters"),
        ByteArrayToImageSourceConverter: create("ByteArrayToImageSourceConverter", "Xamarin.CommunityToolkit.Converters"),
        DateTimeOffsetConverter: create("DateTimeOffsetConverter", "Xamarin.CommunityToolkit.Converters"),
        DoubleToIntConverter: create("DoubleToIntConverter", "Xamarin.CommunityToolkit.Converters"),
        EqualConverter: create("EqualConverter", "Xamarin.CommunityToolkit.Converters"),
        IndexToArrayItemConverter: create("IndexToArrayItemConverter", "Xamarin.CommunityToolkit.Converters"),
        IntToBoolConverter: create("IntToBoolConverter", "Xamarin.CommunityToolkit.Converters"),
        InvertedBoolConverter: create("InvertedBoolConverter", "Xamarin.CommunityToolkit.Converters"),
        IsNotNullOrEmptyConverter: create("IsNotNullOrEmptyConverter", "Xamarin.CommunityToolkit.Converters"),
        IsNullOrEmptyConverter: create("IsNullOrEmptyConverter", "Xamarin.CommunityToolkit.Converters"),
        ItemSelectedEventArgsConverter: create("ItemSelectedEventArgsConverter", "Xamarin.CommunityToolkit.Converters"),
        ItemTappedEventArgsConverter: create("ItemTappedEventArgsConverter", "Xamarin.CommunityToolkit.Converters"),
        ListIsNotNullOrEmptyConverter: create("ListIsNotNullOrEmptyConverter", "Xamarin.CommunityToolkit.Converters"),
        ListIsNullOrEmptyConverter: create("ListIsNullOrEmptyConverter", "Xamarin.CommunityToolkit.Converters"),
        ListToStringConverter: create("ListToStringConverter", "Xamarin.CommunityToolkit.Converters"),
        MultiConverter: create("MultiConverter", "Xamarin.CommunityToolkit.Converters"),
        MultiConverterParameter: create("MultiConverterParameter", "Xamarin.CommunityToolkit.Converters"),
        NotEqualConverter: create("NotEqualConverter", "Xamarin.CommunityToolkit.Converters"),
        StateToBooleanConverter: create("StateToBooleanConverter", "Xamarin.CommunityToolkit.Converters"),
        TextCaseConverter: create("TextCaseConverter", "Xamarin.CommunityToolkit.Converters"),
        TimeSpanToDoubleConverter: create("TimeSpanToDoubleConverter", "Xamarin.CommunityToolkit.Converters"),
        AnimationBehavior: create("AnimationBehavior", "Xamarin.CommunityToolkit.Behaviors"),
        AnimationBase$Generic: create("AnimationBase`1", "Xamarin.CommunityToolkit.Behaviors"),
        AnimationBase: create("AnimationBase", "Xamarin.CommunityToolkit.Behaviors"),
        FadeAnimation: create("FadeAnimation", "Xamarin.CommunityToolkit.Behaviors"),
        FlipHorizontalAnimation: create("FlipHorizontalAnimation", "Xamarin.CommunityToolkit.Behaviors"),
        FlipVerticalAnimation: create("FlipVerticalAnimation", "Xamarin.CommunityToolkit.Behaviors"),
        RotateAnimation: create("RotateAnimation", "Xamarin.CommunityToolkit.Behaviors"),
        ScaleAnimation: create("ScaleAnimation", "Xamarin.CommunityToolkit.Behaviors"),
        ShakeAnimation: create("ShakeAnimation", "Xamarin.CommunityToolkit.Behaviors"),
        EventToCommandBehavior: create("EventToCommandBehavior", "Xamarin.CommunityToolkit.Behaviors"),
        ImpliedOrderGridBehavior: create("ImpliedOrderGridBehavior", "Xamarin.CommunityToolkit.Behaviors"),
        MaskedBehavior: create("MaskedBehavior", "Xamarin.CommunityToolkit.Behaviors"),
        MaxLengthReachedBehavior: create("MaxLengthReachedBehavior", "Xamarin.CommunityToolkit.Behaviors"),
        UserStoppedTypingBehavior: create("UserStoppedTypingBehavior", "Xamarin.CommunityToolkit.Behaviors"),
        CharactersValidationBehavior: create("CharactersValidationBehavior", "Xamarin.CommunityToolkit.Behaviors"),
        EmailValidationBehavior: create("EmailValidationBehavior", "Xamarin.CommunityToolkit.Behaviors"),
        MultiValidationBehavior: create("MultiValidationBehavior", "Xamarin.CommunityToolkit.Behaviors"),
        NumericValidationBehavior: create("NumericValidationBehavior", "Xamarin.CommunityToolkit.Behaviors"),
        RequiredStringValidationBehavior: create("RequiredStringValidationBehavior", "Xamarin.CommunityToolkit.Behaviors"),
        TextValidationBehavior: create("TextValidationBehavior", "Xamarin.CommunityToolkit.Behaviors"),
        UriValidationBehavior: create("UriValidationBehavior", "Xamarin.CommunityToolkit.Behaviors"),
    });
    ns = "Xamarin.CommunityToolkit.UI.Views.Internals";
    Object.defineProperties(Xamarin.CommunityToolkit.UI.Views.Internals, {
        BaseTemplatedView$Generic: create("BaseTemplatedView`1", ns),
    });
    ns = "Xamarin.CommunityToolkit.Core";
    Object.defineProperties(Xamarin.CommunityToolkit.Core, {
        FileMediaSource: create("FileMediaSource", ns),
        MediaSource: create("MediaSource", ns),
        StreamMediaSource: create("StreamMediaSource", ns),
        UriMediaSource: create("UriMediaSource", ns),
    });
    ns = "Xamarin.CommunityToolkit.Behaviors.Internals";
    Object.defineProperties(Xamarin.CommunityToolkit.Behaviors.Internals, {
        BaseBehavior$Generic: create("BaseBehavior`1", ns),
        ValidationBehavior: create("ValidationBehavior", ns),
    });
});
//# sourceMappingURL=XCT.js.map