import { RootObject, AttachedNode } from "@web-atoms/core/dist/core/XNode";
import Bind from "@web-atoms/core/dist/core/Bind";
import { ColorItem } from "@web-atoms/core/dist/core/Colors";
declare namespace XF {
    class AbsoluteLayout extends XF.Layout$Generic {
        static autoSize: number | null;
        static layoutBounds: AttachedNode;
        static layoutFlags: AttachedNode;
        /**
        * Xamarin.Forms.AbsoluteLayout+IAbsoluteList`1[[Xamarin.Forms.View, Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null]]
        */
        children: RootObject | Bind;
    }
    class ActivityIndicator extends XF.View {
        static isRunning: AttachedNode;
        static color: AttachedNode;
        /**
        * Xamarin.Forms.Color
        */
        color: XF.Color | ColorItem | string | null | Bind;
        /**
        * System.Boolean
        */
        isRunning: boolean | null | Bind;
    }
    class AdaptiveTrigger extends XF.StateTriggerBase {
        static minWindowHeight: AttachedNode;
        static minWindowWidth: AttachedNode;
        /**
        * System.Double
        */
        minWindowHeight: number | null | Bind;
        /**
        * System.Double
        */
        minWindowWidth: number | null | Bind;
    }
    class Application extends XF.Element {
        static logWarningsToApplicationOutput: boolean | null;
        static current: XF.Application;
        /**
        * Xamarin.Forms.IDispatcher
        */
        dispatcher: RootObject | Bind;
        /**
        * Xamarin.Forms.IAppLinks
        */
        appLinks: RootObject | Bind;
        /**
        * Xamarin.Forms.Page
        */
        mainPage: XF.Page | Bind;
        static mainPage: AttachedNode;
        /**
        * System.Collections.Generic.IDictionary`2[[System.String, System.Private.CoreLib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e],[System.Object, System.Private.CoreLib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]
        */
        properties: RootObject | Bind;
        /**
        * Xamarin.Forms.ResourceDictionary
        */
        resources: any;
        static resources: AttachedNode;
        /**
        * Xamarin.Forms.OSAppTheme
        */
        userAppTheme: "Unspecified" | "Light" | "Dark" | Bind;
        /**
        * Xamarin.Forms.OSAppTheme
        */
        requestedTheme: "Unspecified" | "Light" | "Dark" | Bind;
    }
    class AppLinkEntry extends XF.Element {
        static title: AttachedNode;
        static description: AttachedNode;
        static thumbnail: AttachedNode;
        static appLinkUri: AttachedNode;
        static isLinkActive: AttachedNode;
        /**
        * System.Uri
        */
        appLinkUri: RootObject | Bind;
        /**
        * System.String
        */
        description: string | null | Bind;
        /**
        * System.Boolean
        */
        isLinkActive: boolean | null | Bind;
        /**
        * System.Collections.Generic.IDictionary`2[[System.String, System.Private.CoreLib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e],[System.String, System.Private.CoreLib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]
        */
        keyValues: RootObject | Bind;
        /**
        * Xamarin.Forms.ImageSource
        */
        thumbnail: /*ImageSource*/ any | Bind;
        /**
        * System.String
        */
        title: string | null | Bind;
    }
    class AutomationProperties extends RootObject {
        static helpText: AttachedNode;
        static isInAccessibleTree: AttachedNode;
        static labeledBy: AttachedNode;
        static name: AttachedNode;
    }
    class BaseMenuItem extends XF.Element {
    }
    class BindableLayout extends RootObject {
        static itemsSource: AttachedNode;
        static itemTemplate: AttachedNode;
        static itemTemplateSelector: AttachedNode;
        static emptyView: AttachedNode;
        static emptyViewTemplate: AttachedNode;
    }
    class BindableObject extends RootObject {
        static inheritedBindingContext: AttachedNode;
        static bindingContext: AttachedNode;
        /**
        * Xamarin.Forms.IDispatcher
        */
        dispatcher: RootObject | Bind;
        /**
        * System.Object
        */
        bindingContext: RootObject | Bind;
    }
    class Binding extends XF.BindingBase {
        static doNothing: RootObject;
        static selfPath: string;
        /**
        * Xamarin.Forms.IValueConverter
        */
        converter: XF.IValueConverter | Bind;
        static converter: AttachedNode;
        /**
        * System.Object
        */
        converterParameter: RootObject | Bind;
        /**
        * System.String
        */
        path: string | null | Bind;
        /**
        * System.Object
        */
        source: RootObject | Bind;
    }
    class BindingBase extends RootObject {
        /**
        * Xamarin.Forms.BindingMode
        */
        mode: "Default" | "TwoWay" | "OneWay" | "OneWayToSource" | "OneTime" | Bind;
        /**
        * System.String
        */
        stringFormat: string | null | Bind;
        /**
        * System.Object
        */
        targetNullValue: RootObject | Bind;
        /**
        * System.Object
        */
        fallbackValue: RootObject | Bind;
    }
    class BoxView extends XF.View {
        static color: AttachedNode;
        static cornerRadius: AttachedNode;
        /**
        * Xamarin.Forms.Color
        */
        color: XF.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.CornerRadius
        */
        cornerRadius: /*CornerRadius*/ any | Bind;
    }
    class Brush extends XF.Element {
        static default: "AliceBlue" | "AntiqueWhite" | "Aqua" | "Aquamarine" | "Azure" | "Beige" | "Bisque" | "Black" | "BlanchedAlmond" | "Blue" | "BlueViolet" | "Brown" | "BurlyWood" | "CadetBlue" | "Chartreuse" | "Chocolate" | "Coral" | "CornflowerBlue" | "Cornsilk" | "Crimson" | "Cyan" | "DarkBlue" | "DarkCyan" | "DarkGoldenrod" | "DarkGray" | "DarkGreen" | "DarkKhaki" | "DarkMagenta" | "DarkOliveGreen" | "DarkOrange" | "DarkOrchid" | "DarkRed" | "DarkSalmon" | "DarkSeaGreen" | "DarkSlateBlue" | "DarkSlateGray" | "DarkTurquoise" | "DarkViolet" | "DeepPink" | "DeepSkyBlue" | "DimGray" | "DodgerBlue" | "Firebrick" | "FloralWhite" | "ForestGreen" | "Fuchsia" | "Gainsboro" | "GhostWhite" | "Gold" | "Goldenrod" | "Gray" | "Green" | "GreenYellow" | "Honeydew" | "HotPink" | "IndianRed" | "Indigo" | "Ivory" | "Khaki" | "Lavender" | "LavenderBlush" | "LawnGreen" | "LemonChiffon" | "LightBlue" | "LightCoral" | "LightCyan" | "LightGoldenrodYellow" | "LightGray" | "LightGreen" | "LightPink" | "LightSalmon" | "LightSeaGreen" | "LightSkyBlue" | "LightSlateGray" | "LightSteelBlue" | "LightYellow" | "Lime" | "LimeGreen" | "Linen" | "Magenta" | "Maroon" | "MediumAquamarine" | "MediumBlue" | "MediumOrchid" | "MediumPurple" | "MediumSeaGreen" | "MediumSlateBlue" | "MediumSpringGreen" | "MediumTurquoise" | "MediumVioletRed" | "MidnightBlue" | "MintCream" | "MistyRose" | "Moccasin" | "NavajoWhite" | "Navy" | "OldLace" | "Olive" | "OliveDrab" | "Orange" | "OrangeRed" | "Orchid" | "PaleGoldenrod" | "PaleGreen" | "PaleTurquoise" | "PaleVioletRed" | "PapayaWhip" | "PeachPuff" | "Peru" | "Pink" | "Plum" | "PowderBlue" | "Purple" | "Red" | "RosyBrown" | "RoyalBlue" | "SaddleBrown" | "Salmon" | "SandyBrown" | "SeaGreen" | "SeaShell" | "Sienna" | "Silver" | "SkyBlue" | "SlateBlue" | "SlateGray" | "Snow" | "SpringGreen" | "SteelBlue" | "Tan" | "Teal" | "Thistle" | "Tomato" | "Transparent" | "Turquoise" | "Violet" | "Wheat" | "White" | "WhiteSmoke" | "Yellow" | "YellowGreen" | XF.Brush | Bind;
        static aliceBlue: XF.SolidColorBrush;
        static antiqueWhite: XF.SolidColorBrush;
        static aqua: XF.SolidColorBrush;
        static aquamarine: XF.SolidColorBrush;
        static azure: XF.SolidColorBrush;
        static beige: XF.SolidColorBrush;
        static bisque: XF.SolidColorBrush;
        static black: XF.SolidColorBrush;
        static blanchedAlmond: XF.SolidColorBrush;
        static blue: XF.SolidColorBrush;
        static blueViolet: XF.SolidColorBrush;
        static brown: XF.SolidColorBrush;
        static burlyWood: XF.SolidColorBrush;
        static cadetBlue: XF.SolidColorBrush;
        static chartreuse: XF.SolidColorBrush;
        static chocolate: XF.SolidColorBrush;
        static coral: XF.SolidColorBrush;
        static cornflowerBlue: XF.SolidColorBrush;
        static cornsilk: XF.SolidColorBrush;
        static crimson: XF.SolidColorBrush;
        static cyan: XF.SolidColorBrush;
        static darkBlue: XF.SolidColorBrush;
        static darkCyan: XF.SolidColorBrush;
        static darkGoldenrod: XF.SolidColorBrush;
        static darkGray: XF.SolidColorBrush;
        static darkGreen: XF.SolidColorBrush;
        static darkKhaki: XF.SolidColorBrush;
        static darkMagenta: XF.SolidColorBrush;
        static darkOliveGreen: XF.SolidColorBrush;
        static darkOrange: XF.SolidColorBrush;
        static darkOrchid: XF.SolidColorBrush;
        static darkRed: XF.SolidColorBrush;
        static darkSalmon: XF.SolidColorBrush;
        static darkSeaGreen: XF.SolidColorBrush;
        static darkSlateBlue: XF.SolidColorBrush;
        static darkSlateGray: XF.SolidColorBrush;
        static darkTurquoise: XF.SolidColorBrush;
        static darkViolet: XF.SolidColorBrush;
        static deepPink: XF.SolidColorBrush;
        static deepSkyBlue: XF.SolidColorBrush;
        static dimGray: XF.SolidColorBrush;
        static dodgerBlue: XF.SolidColorBrush;
        static firebrick: XF.SolidColorBrush;
        static floralWhite: XF.SolidColorBrush;
        static forestGreen: XF.SolidColorBrush;
        static fuchsia: XF.SolidColorBrush;
        static gainsboro: XF.SolidColorBrush;
        static ghostWhite: XF.SolidColorBrush;
        static gold: XF.SolidColorBrush;
        static goldenrod: XF.SolidColorBrush;
        static gray: XF.SolidColorBrush;
        static green: XF.SolidColorBrush;
        static greenYellow: XF.SolidColorBrush;
        static honeydew: XF.SolidColorBrush;
        static hotPink: XF.SolidColorBrush;
        static indianRed: XF.SolidColorBrush;
        static indigo: XF.SolidColorBrush;
        static ivory: XF.SolidColorBrush;
        static khaki: XF.SolidColorBrush;
        static lavender: XF.SolidColorBrush;
        static lavenderBlush: XF.SolidColorBrush;
        static lawnGreen: XF.SolidColorBrush;
        static lemonChiffon: XF.SolidColorBrush;
        static lightBlue: XF.SolidColorBrush;
        static lightCoral: XF.SolidColorBrush;
        static lightCyan: XF.SolidColorBrush;
        static lightGoldenrodYellow: XF.SolidColorBrush;
        static lightGray: XF.SolidColorBrush;
        static lightGreen: XF.SolidColorBrush;
        static lightPink: XF.SolidColorBrush;
        static lightSalmon: XF.SolidColorBrush;
        static lightSeaGreen: XF.SolidColorBrush;
        static lightSkyBlue: XF.SolidColorBrush;
        static lightSlateGray: XF.SolidColorBrush;
        static lightSteelBlue: XF.SolidColorBrush;
        static lightYellow: XF.SolidColorBrush;
        static lime: XF.SolidColorBrush;
        static limeGreen: XF.SolidColorBrush;
        static linen: XF.SolidColorBrush;
        static magenta: XF.SolidColorBrush;
        static maroon: XF.SolidColorBrush;
        static mediumAquamarine: XF.SolidColorBrush;
        static mediumBlue: XF.SolidColorBrush;
        static mediumOrchid: XF.SolidColorBrush;
        static mediumPurple: XF.SolidColorBrush;
        static mediumSeaGreen: XF.SolidColorBrush;
        static mediumSlateBlue: XF.SolidColorBrush;
        static mediumSpringGreen: XF.SolidColorBrush;
        static mediumTurquoise: XF.SolidColorBrush;
        static mediumVioletRed: XF.SolidColorBrush;
        static midnightBlue: XF.SolidColorBrush;
        static mintCream: XF.SolidColorBrush;
        static mistyRose: XF.SolidColorBrush;
        static moccasin: XF.SolidColorBrush;
        static navajoWhite: XF.SolidColorBrush;
        static navy: XF.SolidColorBrush;
        static oldLace: XF.SolidColorBrush;
        static olive: XF.SolidColorBrush;
        static oliveDrab: XF.SolidColorBrush;
        static orange: XF.SolidColorBrush;
        static orangeRed: XF.SolidColorBrush;
        static orchid: XF.SolidColorBrush;
        static paleGoldenrod: XF.SolidColorBrush;
        static paleGreen: XF.SolidColorBrush;
        static paleTurquoise: XF.SolidColorBrush;
        static paleVioletRed: XF.SolidColorBrush;
        static papayaWhip: XF.SolidColorBrush;
        static peachPuff: XF.SolidColorBrush;
        static peru: XF.SolidColorBrush;
        static pink: XF.SolidColorBrush;
        static plum: XF.SolidColorBrush;
        static powderBlue: XF.SolidColorBrush;
        static purple: XF.SolidColorBrush;
        static red: XF.SolidColorBrush;
        static rosyBrown: XF.SolidColorBrush;
        static royalBlue: XF.SolidColorBrush;
        static saddleBrown: XF.SolidColorBrush;
        static salmon: XF.SolidColorBrush;
        static sandyBrown: XF.SolidColorBrush;
        static seaGreen: XF.SolidColorBrush;
        static seaShell: XF.SolidColorBrush;
        static sienna: XF.SolidColorBrush;
        static silver: XF.SolidColorBrush;
        static skyBlue: XF.SolidColorBrush;
        static slateBlue: XF.SolidColorBrush;
        static slateGray: XF.SolidColorBrush;
        static snow: XF.SolidColorBrush;
        static springGreen: XF.SolidColorBrush;
        static steelBlue: XF.SolidColorBrush;
        static tan: XF.SolidColorBrush;
        static teal: XF.SolidColorBrush;
        static thistle: XF.SolidColorBrush;
        static tomato: XF.SolidColorBrush;
        static transparent: XF.SolidColorBrush;
        static turquoise: XF.SolidColorBrush;
        static violet: XF.SolidColorBrush;
        static wheat: XF.SolidColorBrush;
        static white: XF.SolidColorBrush;
        static whiteSmoke: XF.SolidColorBrush;
        static yellow: XF.SolidColorBrush;
        static yellowGreen: XF.SolidColorBrush;
        /**
        * System.Boolean
        */
        isEmpty: boolean | null | Bind;
    }
    class Button extends XF.View {
        static command: AttachedNode;
        static commandParameter: AttachedNode;
        static contentLayout: AttachedNode;
        static text: AttachedNode;
        static textColor: AttachedNode;
        static characterSpacing: AttachedNode;
        static font: AttachedNode;
        static fontFamily: AttachedNode;
        static fontSize: AttachedNode;
        static textTransform: AttachedNode;
        static fontAttributes: AttachedNode;
        static borderWidth: AttachedNode;
        static borderColor: AttachedNode;
        static borderRadius: AttachedNode;
        static cornerRadius: AttachedNode;
        static imageSource: AttachedNode;
        static image: AttachedNode;
        static padding: AttachedNode;
        static isPressed: AttachedNode;
        /**
        * Xamarin.Forms.Thickness
        */
        padding: /*Thickness*/ any | Bind;
        /**
        * Xamarin.Forms.Color
        */
        borderColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * System.Int32
        */
        cornerRadius: number | null | Bind;
        /**
        * System.Double
        */
        borderWidth: number | null | Bind;
        /**
        * Xamarin.Forms.Button+ButtonContentLayout
        */
        contentLayout: /*ButtonContentLayout*/ any | Bind;
        /**
        * System.Windows.Input.ICommand
        */
        command: RootObject | Bind;
        /**
        * System.Object
        */
        commandParameter: RootObject | Bind;
        /**
        * Xamarin.Forms.Font
        */
        font: /*Font*/ any | Bind;
        /**
        * Xamarin.Forms.ImageSource
        */
        imageSource: /*ImageSource*/ any | Bind;
        /**
        * System.String
        */
        text: string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        textColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * System.Double
        */
        characterSpacing: number | null | Bind;
        /**
        * System.Boolean
        */
        isPressed: boolean | null | Bind;
        /**
        * Xamarin.Forms.FontAttributes
        */
        fontAttributes: "None" | "Bold" | "Italic" | Bind;
        /**
        * System.String
        */
        fontFamily: string | null | Bind;
        /**
        * System.Double
        */
        fontSize: number | null | Bind;
        /**
        * Xamarin.Forms.TextTransform
        */
        textTransform: "None" | "Default" | "Lowercase" | "Uppercase" | Bind;
    }
    class CarouselPage extends XF.MultiPage$Generic {
    }
    class Cell extends XF.Element {
        static isEnabled: AttachedNode;
        static defaultCellHeight: number;
        /**
        * System.Collections.Generic.IList`1[[Xamarin.Forms.MenuItem, Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null]]
        */
        contextActions: any;
        static contextActions: AttachedNode;
        /**
        * System.Boolean
        */
        hasContextActions: boolean | null | Bind;
        /**
        * System.Boolean
        */
        isContextActionsLegacyModeEnabled: boolean | null | Bind;
        /**
        * System.Double
        */
        height: number | null | Bind;
        /**
        * System.Boolean
        */
        isEnabled: boolean | null | Bind;
        /**
        * System.Double
        */
        renderHeight: number | null | Bind;
    }
    class EntryCell extends XF.Cell {
        static text: AttachedNode;
        static label: AttachedNode;
        static placeholder: AttachedNode;
        static labelColor: AttachedNode;
        static keyboard: AttachedNode;
        static horizontalTextAlignment: AttachedNode;
        static verticalTextAlignment: AttachedNode;
        static xAlign: AttachedNode;
        /**
        * Xamarin.Forms.TextAlignment
        */
        horizontalTextAlignment: "Start" | "Center" | "End" | Bind;
        /**
        * Xamarin.Forms.TextAlignment
        */
        verticalTextAlignment: "Start" | "Center" | "End" | Bind;
        /**
        * Xamarin.Forms.Keyboard
        */
        keyboard: /*Keyboard*/ any | Bind;
        /**
        * System.String
        */
        label: string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        labelColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * System.String
        */
        placeholder: string | null | Bind;
        /**
        * System.String
        */
        text: string | null | Bind;
    }
    class ImageCell extends XF.TextCell {
        static imageSource: AttachedNode;
        /**
        * Xamarin.Forms.ImageSource
        */
        imageSource: /*ImageSource*/ any | Bind;
    }
    class SwitchCell extends XF.Cell {
        static on: AttachedNode;
        static text: AttachedNode;
        static onColor: AttachedNode;
        /**
        * Xamarin.Forms.Color
        */
        onColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * System.Boolean
        */
        on: boolean | null | Bind;
        /**
        * System.String
        */
        text: string | null | Bind;
    }
    class TextCell extends XF.Cell {
        static command: AttachedNode;
        static commandParameter: AttachedNode;
        static text: AttachedNode;
        static detail: AttachedNode;
        static textColor: AttachedNode;
        static detailColor: AttachedNode;
        /**
        * System.Windows.Input.ICommand
        */
        command: RootObject | Bind;
        /**
        * System.Object
        */
        commandParameter: RootObject | Bind;
        /**
        * System.String
        */
        detail: string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        detailColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * System.String
        */
        text: string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        textColor: XF.Color | ColorItem | string | null | Bind;
    }
    class ViewCell extends XF.Cell {
        /**
        * Xamarin.Forms.View
        */
        view: XF.View | Bind;
        static view: AttachedNode;
    }
    class CheckBox extends XF.View {
        static isChecked: AttachedNode;
        static color: AttachedNode;
        static isCheckedVisualState: string;
        /**
        * Xamarin.Forms.Color
        */
        color: XF.Color | ColorItem | string | null | Bind;
        /**
        * System.Boolean
        */
        isChecked: boolean | null | Bind;
    }
    class ClickGestureRecognizer extends XF.GestureRecognizer {
        static command: AttachedNode;
        static commandParameter: AttachedNode;
        static numberOfClicksRequired: AttachedNode;
        static buttons: AttachedNode;
        /**
        * System.Windows.Input.ICommand
        */
        command: RootObject | Bind;
        /**
        * System.Object
        */
        commandParameter: RootObject | Bind;
        /**
        * System.Int32
        */
        numberOfClicksRequired: number | null | Bind;
        /**
        * Xamarin.Forms.ButtonsMask
        */
        buttons: "Primary" | "Secondary" | Bind;
    }
    class Color extends RootObject {
        static default: XF.Color | ColorItem | string | null;
        static accent: XF.Color | ColorItem | string | null;
        static aliceBlue: XF.Color;
        static antiqueWhite: XF.Color;
        static aqua: XF.Color;
        static aquamarine: XF.Color;
        static azure: XF.Color;
        static beige: XF.Color;
        static bisque: XF.Color;
        static black: XF.Color;
        static blanchedAlmond: XF.Color;
        static blue: XF.Color;
        static blueViolet: XF.Color;
        static brown: XF.Color;
        static burlyWood: XF.Color;
        static cadetBlue: XF.Color;
        static chartreuse: XF.Color;
        static chocolate: XF.Color;
        static coral: XF.Color;
        static cornflowerBlue: XF.Color;
        static cornsilk: XF.Color;
        static crimson: XF.Color;
        static cyan: XF.Color;
        static darkBlue: XF.Color;
        static darkCyan: XF.Color;
        static darkGoldenrod: XF.Color;
        static darkGray: XF.Color;
        static darkGreen: XF.Color;
        static darkKhaki: XF.Color;
        static darkMagenta: XF.Color;
        static darkOliveGreen: XF.Color;
        static darkOrange: XF.Color;
        static darkOrchid: XF.Color;
        static darkRed: XF.Color;
        static darkSalmon: XF.Color;
        static darkSeaGreen: XF.Color;
        static darkSlateBlue: XF.Color;
        static darkSlateGray: XF.Color;
        static darkTurquoise: XF.Color;
        static darkViolet: XF.Color;
        static deepPink: XF.Color;
        static deepSkyBlue: XF.Color;
        static dimGray: XF.Color;
        static dodgerBlue: XF.Color;
        static firebrick: XF.Color;
        static floralWhite: XF.Color;
        static forestGreen: XF.Color;
        static fuchsia: XF.Color;
        static fuschia: XF.Color;
        static gainsboro: XF.Color;
        static ghostWhite: XF.Color;
        static gold: XF.Color;
        static goldenrod: XF.Color;
        static gray: XF.Color;
        static green: XF.Color;
        static greenYellow: XF.Color;
        static honeydew: XF.Color;
        static hotPink: XF.Color;
        static indianRed: XF.Color;
        static indigo: XF.Color;
        static ivory: XF.Color;
        static khaki: XF.Color;
        static lavender: XF.Color;
        static lavenderBlush: XF.Color;
        static lawnGreen: XF.Color;
        static lemonChiffon: XF.Color;
        static lightBlue: XF.Color;
        static lightCoral: XF.Color;
        static lightCyan: XF.Color;
        static lightGoldenrodYellow: XF.Color;
        static lightGray: XF.Color;
        static lightGreen: XF.Color;
        static lightPink: XF.Color;
        static lightSalmon: XF.Color;
        static lightSeaGreen: XF.Color;
        static lightSkyBlue: XF.Color;
        static lightSlateGray: XF.Color;
        static lightSteelBlue: XF.Color;
        static lightYellow: XF.Color;
        static lime: XF.Color;
        static limeGreen: XF.Color;
        static linen: XF.Color;
        static magenta: XF.Color;
        static maroon: XF.Color;
        static mediumAquamarine: XF.Color;
        static mediumBlue: XF.Color;
        static mediumOrchid: XF.Color;
        static mediumPurple: XF.Color;
        static mediumSeaGreen: XF.Color;
        static mediumSlateBlue: XF.Color;
        static mediumSpringGreen: XF.Color;
        static mediumTurquoise: XF.Color;
        static mediumVioletRed: XF.Color;
        static midnightBlue: XF.Color;
        static mintCream: XF.Color;
        static mistyRose: XF.Color;
        static moccasin: XF.Color;
        static navajoWhite: XF.Color;
        static navy: XF.Color;
        static oldLace: XF.Color;
        static olive: XF.Color;
        static oliveDrab: XF.Color;
        static orange: XF.Color;
        static orangeRed: XF.Color;
        static orchid: XF.Color;
        static paleGoldenrod: XF.Color;
        static paleGreen: XF.Color;
        static paleTurquoise: XF.Color;
        static paleVioletRed: XF.Color;
        static papayaWhip: XF.Color;
        static peachPuff: XF.Color;
        static peru: XF.Color;
        static pink: XF.Color;
        static plum: XF.Color;
        static powderBlue: XF.Color;
        static purple: XF.Color;
        static red: XF.Color;
        static rosyBrown: XF.Color;
        static royalBlue: XF.Color;
        static saddleBrown: XF.Color;
        static salmon: XF.Color;
        static sandyBrown: XF.Color;
        static seaGreen: XF.Color;
        static seaShell: XF.Color;
        static sienna: XF.Color;
        static silver: XF.Color;
        static skyBlue: XF.Color;
        static slateBlue: XF.Color;
        static slateGray: XF.Color;
        static snow: XF.Color;
        static springGreen: XF.Color;
        static steelBlue: XF.Color;
        static tan: XF.Color;
        static teal: XF.Color;
        static thistle: XF.Color;
        static tomato: XF.Color;
        static transparent: XF.Color;
        static turquoise: XF.Color;
        static violet: XF.Color;
        static wheat: XF.Color;
        static white: XF.Color;
        static whiteSmoke: XF.Color;
        static yellow: XF.Color;
        static yellowGreen: XF.Color;
        /**
        * System.Double
        */
        a: number | null | Bind;
        /**
        * System.Double
        */
        r: number | null | Bind;
        /**
        * System.Double
        */
        g: number | null | Bind;
        /**
        * System.Double
        */
        b: number | null | Bind;
        /**
        * System.Double
        */
        hue: number | null | Bind;
        /**
        * System.Double
        */
        saturation: number | null | Bind;
        /**
        * System.Double
        */
        luminosity: number | null | Bind;
    }
    class ColumnDefinition extends XF.BindableObject {
        static width: AttachedNode;
        /**
        * Xamarin.Forms.GridLength
        */
        width: "Auto" | number | string | Bind;
    }
    class CompareStateTrigger extends XF.StateTriggerBase {
        static property: AttachedNode;
        static value: AttachedNode;
        /**
        * System.Object
        */
        property: RootObject | Bind;
        /**
        * System.Object
        */
        value: RootObject | Bind;
    }
    class CompressedLayout extends RootObject {
        static isHeadless: AttachedNode;
        static headlessOffset: AttachedNode;
    }
    class Constraint extends RootObject {
        static ativeToView: AttachedNode;
    }
    class ContentPage extends XF.TemplatedPage {
        static content: AttachedNode;
        /**
        * Xamarin.Forms.View
        */
        content: XF.View | Bind;
    }
    class ContentPresenter extends XF.Layout {
        static content: AttachedNode;
        /**
        * Xamarin.Forms.View
        */
        content: XF.View | Bind;
    }
    class ContentView extends XF.TemplatedView {
        static content: AttachedNode;
        /**
        * Xamarin.Forms.View
        */
        content: XF.View | Bind;
    }
    class ControlTemplate extends XF.ElementTemplate {
    }
    class DataTemplate extends XF.ElementTemplate {
        /**
        * System.Collections.Generic.IDictionary`2[[Xamarin.Forms.BindableProperty, Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null],[Xamarin.Forms.BindingBase, Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null]]
        */
        bindings: RootObject | Bind;
        /**
        * System.Collections.Generic.IDictionary`2[[Xamarin.Forms.BindableProperty, Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null],[System.Object, System.Private.CoreLib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]
        */
        values: RootObject | Bind;
    }
    class DataTemplateSelector extends XF.DataTemplate {
    }
    class DatePicker extends XF.View {
        static format: AttachedNode;
        static date: AttachedNode;
        static minimumDate: AttachedNode;
        static maximumDate: AttachedNode;
        static textColor: AttachedNode;
        static characterSpacing: AttachedNode;
        static fontFamily: AttachedNode;
        static fontSize: AttachedNode;
        static fontAttributes: AttachedNode;
        static textTransform: AttachedNode;
        /**
        * System.DateTime
        */
        date: Date | null | Bind;
        /**
        * System.String
        */
        format: string | null | Bind;
        /**
        * Xamarin.Forms.TextTransform
        */
        textTransform: "None" | "Default" | "Lowercase" | "Uppercase" | Bind;
        /**
        * System.DateTime
        */
        maximumDate: Date | null | Bind;
        /**
        * System.DateTime
        */
        minimumDate: Date | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        textColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * System.Double
        */
        characterSpacing: number | null | Bind;
        /**
        * Xamarin.Forms.FontAttributes
        */
        fontAttributes: "None" | "Bold" | "Italic" | Bind;
        /**
        * System.String
        */
        fontFamily: string | null | Bind;
        /**
        * System.Double
        */
        fontSize: number | null | Bind;
    }
    class DeviceStateTrigger extends XF.StateTriggerBase {
        static device: AttachedNode;
        /**
        * System.String
        */
        device: string | null | Bind;
    }
    class DragGestureRecognizer extends XF.GestureRecognizer {
        static canDrag: AttachedNode;
        static dropCompletedCommand: AttachedNode;
        static dropCompletedCommandParameter: AttachedNode;
        static dragStartingCommand: AttachedNode;
        static dragStartingCommandParameter: AttachedNode;
        /**
        * System.Boolean
        */
        canDrag: boolean | null | Bind;
        /**
        * System.Windows.Input.ICommand
        */
        dropCompletedCommand: RootObject | Bind;
        /**
        * System.Object
        */
        dropCompletedCommandParameter: RootObject | Bind;
        /**
        * System.Windows.Input.ICommand
        */
        dragStartingCommand: RootObject | Bind;
        /**
        * System.Object
        */
        dragStartingCommandParameter: RootObject | Bind;
    }
    class DropGestureRecognizer extends XF.GestureRecognizer {
        static allowDrop: AttachedNode;
        static dragOverCommand: AttachedNode;
        static dragOverCommandParameter: AttachedNode;
        static dragLeaveCommand: AttachedNode;
        static dragLeaveCommandParameter: AttachedNode;
        static dropCommand: AttachedNode;
        static dropCommandParameter: AttachedNode;
        /**
        * System.Boolean
        */
        allowDrop: boolean | null | Bind;
        /**
        * System.Windows.Input.ICommand
        */
        dragOverCommand: RootObject | Bind;
        /**
        * System.Object
        */
        dragOverCommandParameter: RootObject | Bind;
        /**
        * System.Windows.Input.ICommand
        */
        dragLeaveCommand: RootObject | Bind;
        /**
        * System.Object
        */
        dragLeaveCommandParameter: RootObject | Bind;
        /**
        * System.Windows.Input.ICommand
        */
        dropCommand: RootObject | Bind;
        /**
        * System.Object
        */
        dropCommandParameter: RootObject | Bind;
    }
    class Easing extends RootObject {
        static linear: XF.Easing;
        static sinOut: XF.Easing;
        static sinIn: XF.Easing;
        static sinInOut: XF.Easing;
        static cubicIn: XF.Easing;
        static cubicOut: XF.Easing;
        static cubicInOut: XF.Easing;
        static bounceOut: XF.Easing;
        static bounceIn: XF.Easing;
        static springIn: XF.Easing;
        static springOut: XF.Easing;
    }
    class Editor extends XF.InputView {
        static text: AttachedNode;
        static fontFamily: AttachedNode;
        static fontSize: AttachedNode;
        static fontAttributes: AttachedNode;
        static textColor: AttachedNode;
        static characterSpacing: AttachedNode;
        static placeholder: AttachedNode;
        static placeholderColor: AttachedNode;
        static isTextPredictionEnabled: AttachedNode;
        static autoSize: AttachedNode;
        /**
        * Xamarin.Forms.EditorAutoSizeOption
        */
        autoSize: "Disabled" | "TextChanges" | Bind;
        /**
        * Xamarin.Forms.FontAttributes
        */
        fontAttributes: "None" | "Bold" | "Italic" | Bind;
        /**
        * System.Boolean
        */
        isTextPredictionEnabled: boolean | null | Bind;
        /**
        * System.String
        */
        fontFamily: string | null | Bind;
        /**
        * System.Double
        */
        fontSize: number | null | Bind;
    }
    class Effect extends RootObject {
        /**
        * Xamarin.Forms.Element
        */
        element: XF.Element | Bind;
        static element: AttachedNode;
        /**
        * System.Boolean
        */
        isAttached: boolean | null | Bind;
        /**
        * System.String
        */
        resolveId: string | null | Bind;
    }
    class Element extends XF.BindableObject {
        static menu: AttachedNode;
        static automationId: AttachedNode;
        static classId: AttachedNode;
        /**
        * System.String
        */
        automationId: string | null | Bind;
        /**
        * System.String
        */
        classId: string | null | Bind;
        /**
        * System.Collections.Generic.IList`1[[Xamarin.Forms.Effect, Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null]]
        */
        effects: any;
        static effects: AttachedNode;
        /**
        * System.Guid
        */
        id: RootObject | Bind;
        /**
        * System.String
        */
        styleId: string | null | Bind;
        /**
        * Xamarin.Forms.Element
        */
        parent: XF.Element | Bind;
        static parent: AttachedNode;
    }
    class ElementTemplate extends RootObject {
    }
    class Entry extends XF.InputView {
        static returnType: AttachedNode;
        static returnCommand: AttachedNode;
        static returnCommandParameter: AttachedNode;
        static placeholder: AttachedNode;
        static placeholderColor: AttachedNode;
        static isPassword: AttachedNode;
        static text: AttachedNode;
        static textColor: AttachedNode;
        static characterSpacing: AttachedNode;
        static horizontalTextAlignment: AttachedNode;
        static verticalTextAlignment: AttachedNode;
        static fontFamily: AttachedNode;
        static fontSize: AttachedNode;
        static fontAttributes: AttachedNode;
        static isTextPredictionEnabled: AttachedNode;
        static cursorPosition: AttachedNode;
        static selectionLength: AttachedNode;
        static clearButtonVisibility: AttachedNode;
        /**
        * Xamarin.Forms.TextAlignment
        */
        horizontalTextAlignment: "Start" | "Center" | "End" | Bind;
        /**
        * Xamarin.Forms.TextAlignment
        */
        verticalTextAlignment: "Start" | "Center" | "End" | Bind;
        /**
        * System.Boolean
        */
        isPassword: boolean | null | Bind;
        /**
        * Xamarin.Forms.FontAttributes
        */
        fontAttributes: "None" | "Bold" | "Italic" | Bind;
        /**
        * System.String
        */
        fontFamily: string | null | Bind;
        /**
        * System.Double
        */
        fontSize: number | null | Bind;
        /**
        * System.Boolean
        */
        isTextPredictionEnabled: boolean | null | Bind;
        /**
        * Xamarin.Forms.ReturnType
        */
        returnType: "Default" | "Done" | "Go" | "Next" | "Search" | "Send" | Bind;
        /**
        * System.Int32
        */
        cursorPosition: number | null | Bind;
        /**
        * System.Int32
        */
        selectionLength: number | null | Bind;
        /**
        * System.Windows.Input.ICommand
        */
        returnCommand: RootObject | Bind;
        /**
        * System.Object
        */
        returnCommandParameter: RootObject | Bind;
        /**
        * Xamarin.Forms.ClearButtonVisibility
        */
        clearButtonVisibility: "Never" | "WhileEditing" | Bind;
    }
    class FileImageSource extends XF.ImageSource {
        static file: AttachedNode;
        /**
        * System.Boolean
        */
        isEmpty: boolean | null | Bind;
        /**
        * System.String
        */
        file: string | null | Bind;
    }
    class FlexLayout extends XF.Layout$Generic {
        static order: AttachedNode;
        static grow: AttachedNode;
        static shrink: AttachedNode;
        static alignSelf: AttachedNode;
        static basis: AttachedNode;
        static direction: AttachedNode;
        static justifyContent: AttachedNode;
        static alignContent: AttachedNode;
        static alignItems: AttachedNode;
        static position: AttachedNode;
        static wrap: AttachedNode;
        /**
        * Xamarin.Forms.FlexDirection
        */
        direction: "Row" | "RowReverse" | "Column" | "ColumnReverse" | Bind;
        /**
        * Xamarin.Forms.FlexJustify
        */
        justifyContent: "Center" | "Start" | "End" | "SpaceBetween" | "SpaceAround" | "SpaceEvenly" | Bind;
        /**
        * Xamarin.Forms.FlexAlignContent
        */
        alignContent: "Stretch" | "Center" | "Start" | "End" | "SpaceBetween" | "SpaceAround" | "SpaceEvenly" | Bind;
        /**
        * Xamarin.Forms.FlexAlignItems
        */
        alignItems: "Stretch" | "Center" | "Start" | "End" | Bind;
        /**
        * Xamarin.Forms.FlexPosition
        */
        position: "Relative" | "Absolute" | Bind;
        /**
        * Xamarin.Forms.FlexWrap
        */
        wrap: "NoWrap" | "Wrap" | "Reverse" | Bind;
    }
    class FlyoutPage extends XF.Page {
        static isGestureEnabled: AttachedNode;
        static isPresented: AttachedNode;
        static flyoutLayoutBehavior: AttachedNode;
        /**
        * Xamarin.Forms.Page
        */
        detail: XF.Page | Bind;
        static detail: AttachedNode;
        /**
        * System.Boolean
        */
        isGestureEnabled: boolean | null | Bind;
        /**
        * System.Boolean
        */
        isPresented: boolean | null | Bind;
        /**
        * Xamarin.Forms.Page
        */
        flyout: XF.Page | Bind;
        static flyout: AttachedNode;
        /**
        * Xamarin.Forms.FlyoutLayoutBehavior
        */
        flyoutLayoutBehavior: "Default" | "SplitOnLandscape" | "Split" | "Popover" | "SplitOnPortrait" | Bind;
    }
    class MasterDetailPage extends XF.FlyoutPage {
        static masterBehavior: AttachedNode;
        /**
        * Xamarin.Forms.Page
        */
        master: XF.Page | Bind;
        static master: AttachedNode;
        /**
        * Xamarin.Forms.MasterBehavior
        */
        masterBehavior: "Default" | "SplitOnLandscape" | "Split" | "Popover" | "SplitOnPortrait" | Bind;
    }
    class FontImageSource extends XF.ImageSource {
        static color: AttachedNode;
        static fontFamily: AttachedNode;
        static glyph: AttachedNode;
        static size: AttachedNode;
        /**
        * System.Boolean
        */
        isEmpty: boolean | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        color: XF.Color | ColorItem | string | null | Bind;
        /**
        * System.String
        */
        fontFamily: string | null | Bind;
        /**
        * System.String
        */
        glyph: string | null | Bind;
        /**
        * System.Double
        */
        size: number | null | Bind;
    }
    class FormattedString extends XF.Element {
        /**
        * System.Collections.Generic.IList`1[[Xamarin.Forms.Span, Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null]]
        */
        spans: any;
        static spans: AttachedNode;
    }
    class Frame extends XF.ContentView {
        static outlineColor: AttachedNode;
        static borderColor: AttachedNode;
        static hasShadow: AttachedNode;
        static cornerRadius: AttachedNode;
        /**
        * System.Boolean
        */
        hasShadow: boolean | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        borderColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * System.Single
        */
        cornerRadius: number | null | Bind;
    }
    class GestureElement extends XF.Element {
        /**
        * System.Collections.Generic.IList`1[[Xamarin.Forms.IGestureRecognizer, Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null]]
        */
        gestureRecognizers: any;
        static gestureRecognizers: AttachedNode;
    }
    class GestureRecognizer extends XF.Element {
    }
    class GradientBrush extends XF.Brush {
        static gradientStops: AttachedNode;
        /**
        * Xamarin.Forms.GradientStopCollection
        */
        gradientStops: any;
    }
    class GradientStop extends XF.Element {
        static color: AttachedNode;
        static offset: AttachedNode;
        /**
        * Xamarin.Forms.Color
        */
        color: XF.Color | ColorItem | string | null | Bind;
        /**
        * System.Single
        */
        offset: number | null | Bind;
    }
    class Grid extends XF.Layout$Generic {
        static column: AttachedNode;
        static columnSpan: AttachedNode;
        static row: AttachedNode;
        static rowSpan: AttachedNode;
        static rowSpacing: AttachedNode;
        static columnSpacing: AttachedNode;
        static columnDefinitions: AttachedNode;
        static rowDefinitions: AttachedNode;
        /**
        * Xamarin.Forms.Grid+IGridList`1[[Xamarin.Forms.View, Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null]]
        */
        children: RootObject | Bind;
        /**
        * Xamarin.Forms.ColumnDefinitionCollection
        */
        columnDefinitions: any;
        /**
        * System.Double
        */
        columnSpacing: number | null | Bind;
        /**
        * Xamarin.Forms.RowDefinitionCollection
        */
        rowDefinitions: any;
        /**
        * System.Double
        */
        rowSpacing: number | null | Bind;
    }
    class HtmlWebViewSource extends XF.WebViewSource {
        static html: AttachedNode;
        static baseUrl: AttachedNode;
        /**
        * System.String
        */
        baseUrl: string | null | Bind;
        /**
        * System.String
        */
        html: string | null | Bind;
    }
    class Image extends XF.View {
        static source: AttachedNode;
        static aspect: AttachedNode;
        static isOpaque: AttachedNode;
        static isLoading: AttachedNode;
        static isAnimationPlaying: AttachedNode;
        /**
        * Xamarin.Forms.Aspect
        */
        aspect: "AspectFit" | "AspectFill" | "Fill" | Bind;
        /**
        * System.Boolean
        */
        isLoading: boolean | null | Bind;
        /**
        * System.Boolean
        */
        isOpaque: boolean | null | Bind;
        /**
        * System.Boolean
        */
        isAnimationPlaying: boolean | null | Bind;
        /**
        * Xamarin.Forms.ImageSource
        */
        source: /*ImageSource*/ any | Bind;
    }
    class ImageButton extends XF.View {
        static command: AttachedNode;
        static commandParameter: AttachedNode;
        static cornerRadius: AttachedNode;
        static borderWidth: AttachedNode;
        static borderColor: AttachedNode;
        static source: AttachedNode;
        static aspect: AttachedNode;
        static isOpaque: AttachedNode;
        static isLoading: AttachedNode;
        static isPressed: AttachedNode;
        static padding: AttachedNode;
        /**
        * Xamarin.Forms.Color
        */
        borderColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * System.Int32
        */
        cornerRadius: number | null | Bind;
        /**
        * System.Double
        */
        borderWidth: number | null | Bind;
        /**
        * Xamarin.Forms.Aspect
        */
        aspect: "AspectFit" | "AspectFill" | "Fill" | Bind;
        /**
        * System.Boolean
        */
        isLoading: boolean | null | Bind;
        /**
        * System.Boolean
        */
        isPressed: boolean | null | Bind;
        /**
        * System.Boolean
        */
        isOpaque: boolean | null | Bind;
        /**
        * System.Windows.Input.ICommand
        */
        command: RootObject | Bind;
        /**
        * System.Object
        */
        commandParameter: RootObject | Bind;
        /**
        * Xamarin.Forms.ImageSource
        */
        source: /*ImageSource*/ any | Bind;
        /**
        * Xamarin.Forms.Thickness
        */
        padding: /*Thickness*/ any | Bind;
    }
    class ImageSource extends XF.Element {
        /**
        * System.Boolean
        */
        isEmpty: boolean | null | Bind;
    }
    class IndicatorView extends XF.TemplatedView {
        static indicatorsShape: AttachedNode;
        static position: AttachedNode;
        static count: AttachedNode;
        static maximumVisible: AttachedNode;
        static indicatorTemplate: AttachedNode;
        static hideSingle: AttachedNode;
        static indicatorColor: AttachedNode;
        static selectedIndicatorColor: AttachedNode;
        static indicatorSize: AttachedNode;
        static itemsSource: AttachedNode;
        /**
        * Xamarin.Forms.IndicatorShape
        */
        indicatorsShape: "Circle" | "Square" | Bind;
        /**
        * Xamarin.Forms.Layout`1[[Xamarin.Forms.View, Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null]]
        */
        indicatorLayout: XF.Layout$Generic | Bind;
        static indicatorLayout: AttachedNode;
        /**
        * System.Int32
        */
        position: number | null | Bind;
        /**
        * System.Int32
        */
        count: number | null | Bind;
        /**
        * System.Int32
        */
        maximumVisible: number | null | Bind;
        /**
        * Xamarin.Forms.DataTemplate
        */
        indicatorTemplate: XF.DataTemplate | Bind;
        /**
        * System.Boolean
        */
        hideSingle: boolean | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        indicatorColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        selectedIndicatorColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * System.Double
        */
        indicatorSize: number | null | Bind;
        /**
        * System.Collections.IEnumerable
        */
        itemsSource: RootObject | Bind;
    }
    class InputView extends XF.View {
        static text: AttachedNode;
        static keyboard: AttachedNode;
        static isSpellCheckEnabled: AttachedNode;
        static maxLength: AttachedNode;
        static isReadOnly: AttachedNode;
        static placeholder: AttachedNode;
        static placeholderColor: AttachedNode;
        static textColor: AttachedNode;
        static characterSpacing: AttachedNode;
        static textTransform: AttachedNode;
        /**
        * System.Int32
        */
        maxLength: number | null | Bind;
        /**
        * System.String
        */
        text: string | null | Bind;
        /**
        * Xamarin.Forms.Keyboard
        */
        keyboard: /*Keyboard*/ any | Bind;
        /**
        * System.Boolean
        */
        isSpellCheckEnabled: boolean | null | Bind;
        /**
        * System.Boolean
        */
        isReadOnly: boolean | null | Bind;
        /**
        * System.String
        */
        placeholder: string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        placeholderColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        textColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * System.Double
        */
        characterSpacing: number | null | Bind;
        /**
        * Xamarin.Forms.TextTransform
        */
        textTransform: "None" | "Default" | "Lowercase" | "Uppercase" | Bind;
    }
    class Behavior extends XF.BindableObject {
    }
    class Behavior$Generic extends XF.Behavior {
    }
    class BindingCondition extends RootObject {
        /**
        * Xamarin.Forms.BindingBase
        */
        binding: XF.BindingBase | Bind;
        static binding: AttachedNode;
        /**
        * System.Object
        */
        value: RootObject | Bind;
    }
    class DataTrigger extends XF.TriggerBase {
        /**
        * Xamarin.Forms.BindingBase
        */
        binding: XF.BindingBase | Bind;
        static binding: AttachedNode;
        /**
        * System.Collections.Generic.IList`1[[Xamarin.Forms.Setter, Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null]]
        */
        setters: any;
        static setters: AttachedNode;
        /**
        * System.Object
        */
        value: RootObject | Bind;
    }
    class EventTrigger extends XF.TriggerBase {
        /**
        * System.Collections.Generic.IList`1[[Xamarin.Forms.TriggerAction, Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null]]
        */
        actions: any;
        static actions: AttachedNode;
        /**
        * System.String
        */
        event: string | null | Bind;
    }
    class MultiTrigger extends XF.TriggerBase {
        /**
        * System.Collections.Generic.IList`1[[Xamarin.Forms.Condition, Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null]]
        */
        conditions: any;
        static conditions: AttachedNode;
        /**
        * System.Collections.Generic.IList`1[[Xamarin.Forms.Setter, Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null]]
        */
        setters: any;
        static setters: AttachedNode;
    }
    class Trigger extends XF.TriggerBase {
        /**
        * Xamarin.Forms.BindableProperty
        */
        property: /*BindableProperty*/ any | Bind;
        /**
        * System.Collections.Generic.IList`1[[Xamarin.Forms.Setter, Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null]]
        */
        setters: any;
        static setters: AttachedNode;
        /**
        * System.Object
        */
        value: RootObject | Bind;
    }
    class TriggerBase extends XF.BindableObject {
        /**
        * System.Collections.Generic.IList`1[[Xamarin.Forms.TriggerAction, Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null]]
        */
        enterActions: any;
        static enterActions: AttachedNode;
        /**
        * System.Collections.Generic.IList`1[[Xamarin.Forms.TriggerAction, Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null]]
        */
        exitActions: any;
        static exitActions: AttachedNode;
        /**
        * System.Boolean
        */
        isSealed: boolean | null | Bind;
        /**
        * System.Type
        */
        targetType: RootObject | Bind;
    }
    class ItemsView$Generic extends XF.View {
        static itemsSource: AttachedNode;
        static itemTemplate: AttachedNode;
        /**
        * System.Collections.IEnumerable
        */
        itemsSource: RootObject | Bind;
        /**
        * Xamarin.Forms.DataTemplate
        */
        itemTemplate: XF.DataTemplate | Bind;
    }
    class CarouselView extends XF.ItemsView {
        static loop: AttachedNode;
        static peekAreaInsets: AttachedNode;
        static visibleViews: AttachedNode;
        static isDragging: AttachedNode;
        static isBounceEnabled: AttachedNode;
        static isSwipeEnabled: AttachedNode;
        static isScrollAnimated: AttachedNode;
        static currentItem: AttachedNode;
        static currentItemChangedCommand: AttachedNode;
        static currentItemChangedCommandParameter: AttachedNode;
        static position: AttachedNode;
        static positionChangedCommand: AttachedNode;
        static positionChangedCommandParameter: AttachedNode;
        static itemsLayout: AttachedNode;
        static currentItemVisualState: string;
        static nextItemVisualState: string;
        static previousItemVisualState: string;
        static defaultItemVisualState: string;
        /**
        * System.Boolean
        */
        loop: boolean | null | Bind;
        /**
        * Xamarin.Forms.Thickness
        */
        peekAreaInsets: /*Thickness*/ any | Bind;
        /**
        * System.Collections.ObjectModel.ObservableCollection`1[[Xamarin.Forms.View, Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null]]
        */
        visibleViews: any;
        /**
        * System.Boolean
        */
        isDragging: boolean | null | Bind;
        /**
        * System.Boolean
        */
        isBounceEnabled: boolean | null | Bind;
        /**
        * System.Boolean
        */
        isSwipeEnabled: boolean | null | Bind;
        /**
        * System.Boolean
        */
        isScrollAnimated: boolean | null | Bind;
        /**
        * System.Object
        */
        currentItem: RootObject | Bind;
        /**
        * System.Windows.Input.ICommand
        */
        currentItemChangedCommand: RootObject | Bind;
        /**
        * System.Object
        */
        currentItemChangedCommandParameter: RootObject | Bind;
        /**
        * System.Int32
        */
        position: number | null | Bind;
        /**
        * System.Windows.Input.ICommand
        */
        positionChangedCommand: RootObject | Bind;
        /**
        * System.Object
        */
        positionChangedCommandParameter: RootObject | Bind;
        /**
        * Xamarin.Forms.LinearItemsLayout
        */
        itemsLayout: XF.LinearItemsLayout | Bind;
        /**
        * Xamarin.Forms.IndicatorView
        */
        indicatorView: XF.IndicatorView | Bind;
        static indicatorView: AttachedNode;
    }
    class CollectionView extends XF.GroupableItemsView {
    }
    class GridItemsLayout extends XF.ItemsLayout {
        static span: AttachedNode;
        static verticalItemSpacing: AttachedNode;
        static horizontalItemSpacing: AttachedNode;
        /**
        * System.Int32
        */
        span: number | null | Bind;
        /**
        * System.Double
        */
        verticalItemSpacing: number | null | Bind;
        /**
        * System.Double
        */
        horizontalItemSpacing: number | null | Bind;
    }
    class GroupableItemsView extends XF.SelectableItemsView {
        static isGrouped: AttachedNode;
        static groupHeaderTemplate: AttachedNode;
        static groupFooterTemplate: AttachedNode;
        /**
        * System.Boolean
        */
        isGrouped: boolean | null | Bind;
        /**
        * Xamarin.Forms.DataTemplate
        */
        groupHeaderTemplate: XF.DataTemplate | Bind;
        /**
        * Xamarin.Forms.DataTemplate
        */
        groupFooterTemplate: XF.DataTemplate | Bind;
    }
    class ItemsLayout extends XF.BindableObject {
        static snapPointsAlignment: AttachedNode;
        static snapPointsType: AttachedNode;
        /**
        * Xamarin.Forms.ItemsLayoutOrientation
        */
        orientation: "Vertical" | "Horizontal" | Bind;
        /**
        * Xamarin.Forms.SnapPointsAlignment
        */
        snapPointsAlignment: "Start" | "Center" | "End" | Bind;
        /**
        * Xamarin.Forms.SnapPointsType
        */
        snapPointsType: "None" | "Mandatory" | "MandatorySingle" | Bind;
    }
    class ItemsView extends XF.View {
        static emptyView: AttachedNode;
        static emptyViewTemplate: AttachedNode;
        static itemsSource: AttachedNode;
        static remainingItemsThresholdReachedCommand: AttachedNode;
        static remainingItemsThresholdReachedCommandParameter: AttachedNode;
        static horizontalScrollBarVisibility: AttachedNode;
        static verticalScrollBarVisibility: AttachedNode;
        static remainingItemsThreshold: AttachedNode;
        static itemTemplate: AttachedNode;
        static itemsUpdatingScrollMode: AttachedNode;
        /**
        * System.Object
        */
        emptyView: RootObject | Bind;
        /**
        * Xamarin.Forms.DataTemplate
        */
        emptyViewTemplate: XF.DataTemplate | Bind;
        /**
        * System.Collections.IEnumerable
        */
        itemsSource: RootObject | Bind;
        /**
        * System.Windows.Input.ICommand
        */
        remainingItemsThresholdReachedCommand: RootObject | Bind;
        /**
        * System.Object
        */
        remainingItemsThresholdReachedCommandParameter: RootObject | Bind;
        /**
        * Xamarin.Forms.ScrollBarVisibility
        */
        horizontalScrollBarVisibility: "Default" | "Always" | "Never" | Bind;
        /**
        * Xamarin.Forms.ScrollBarVisibility
        */
        verticalScrollBarVisibility: "Default" | "Always" | "Never" | Bind;
        /**
        * System.Int32
        */
        remainingItemsThreshold: number | null | Bind;
        /**
        * Xamarin.Forms.DataTemplate
        */
        itemTemplate: XF.DataTemplate | Bind;
        /**
        * Xamarin.Forms.ItemsUpdatingScrollMode
        */
        itemsUpdatingScrollMode: "KeepItemsInView" | "KeepScrollOffset" | "KeepLastItemInView" | Bind;
    }
    class LinearItemsLayout extends XF.ItemsLayout {
        static vertical: RootObject;
        static horizontal: RootObject;
        static carouselVertical: RootObject;
        static itemSpacing: AttachedNode;
        /**
        * System.Double
        */
        itemSpacing: number | null | Bind;
    }
    class SelectableItemsView extends XF.StructuredItemsView {
        static selectionMode: AttachedNode;
        static selectedItem: AttachedNode;
        static selectedItems: AttachedNode;
        static selectionChangedCommand: AttachedNode;
        static selectionChangedCommandParameter: AttachedNode;
        /**
        * System.Object
        */
        selectedItem: RootObject | Bind;
        /**
        * System.Collections.Generic.IList`1[[System.Object, System.Private.CoreLib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]
        */
        selectedItems: any;
        /**
        * System.Windows.Input.ICommand
        */
        selectionChangedCommand: RootObject | Bind;
        /**
        * System.Object
        */
        selectionChangedCommandParameter: RootObject | Bind;
        /**
        * Xamarin.Forms.SelectionMode
        */
        selectionMode: "None" | "Single" | "Multiple" | Bind;
    }
    class StructuredItemsView extends XF.ItemsView {
        static header: AttachedNode;
        static headerTemplate: AttachedNode;
        static footer: AttachedNode;
        static footerTemplate: AttachedNode;
        static itemsLayout: AttachedNode;
        static itemSizingStrategy: AttachedNode;
        /**
        * System.Object
        */
        header: RootObject | Bind;
        /**
        * Xamarin.Forms.DataTemplate
        */
        headerTemplate: XF.DataTemplate | Bind;
        /**
        * System.Object
        */
        footer: RootObject | Bind;
        /**
        * Xamarin.Forms.DataTemplate
        */
        footerTemplate: XF.DataTemplate | Bind;
        /**
        * Xamarin.Forms.IItemsLayout
        */
        itemsLayout: /*IItemsLayout*/ any | Bind;
        /**
        * Xamarin.Forms.ItemSizingStrategy
        */
        itemSizingStrategy: "MeasureAllItems" | "MeasureFirstItem" | Bind;
    }
    class IValueConverter extends RootObject {
    }
    class Label extends XF.View {
        static horizontalTextAlignment: AttachedNode;
        static xAlign: AttachedNode;
        static verticalTextAlignment: AttachedNode;
        static yAlign: AttachedNode;
        static textColor: AttachedNode;
        static characterSpacing: AttachedNode;
        static font: AttachedNode;
        static text: AttachedNode;
        static fontFamily: AttachedNode;
        static fontSize: AttachedNode;
        static fontAttributes: AttachedNode;
        static textTransform: AttachedNode;
        static textDecorations: AttachedNode;
        static formattedText: AttachedNode;
        static lineBreakMode: AttachedNode;
        static lineHeight: AttachedNode;
        static maxLines: AttachedNode;
        static padding: AttachedNode;
        static textType: AttachedNode;
        /**
        * Xamarin.Forms.TextTransform
        */
        textTransform: "None" | "Default" | "Lowercase" | "Uppercase" | Bind;
        /**
        * Xamarin.Forms.FormattedString
        */
        formattedText: XF.FormattedString | Bind;
        /**
        * Xamarin.Forms.TextAlignment
        */
        horizontalTextAlignment: "Start" | "Center" | "End" | Bind;
        /**
        * Xamarin.Forms.LineBreakMode
        */
        lineBreakMode: "NoWrap" | "WordWrap" | "CharacterWrap" | "HeadTruncation" | "TailTruncation" | "MiddleTruncation" | Bind;
        /**
        * System.String
        */
        text: string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        textColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * System.Double
        */
        characterSpacing: number | null | Bind;
        /**
        * Xamarin.Forms.TextAlignment
        */
        verticalTextAlignment: "Start" | "Center" | "End" | Bind;
        /**
        * Xamarin.Forms.FontAttributes
        */
        fontAttributes: "None" | "Bold" | "Italic" | Bind;
        /**
        * Xamarin.Forms.TextDecorations
        */
        textDecorations: "None" | "Underline" | "Strikethrough" | Bind;
        /**
        * System.String
        */
        fontFamily: string | null | Bind;
        /**
        * System.Double
        */
        fontSize: number | null | Bind;
        /**
        * System.Double
        */
        lineHeight: number | null | Bind;
        /**
        * System.Int32
        */
        maxLines: number | null | Bind;
        /**
        * Xamarin.Forms.Thickness
        */
        padding: /*Thickness*/ any | Bind;
        /**
        * Xamarin.Forms.TextType
        */
        textType: "Text" | "Html" | Bind;
    }
    class Layout$Generic extends XF.Layout {
        /**
        *
        */
        children: any;
        static children: AttachedNode;
    }
    class Layout extends XF.View {
        static outChildIntoBoundingRegion: AttachedNode;
        static isClippedToBounds: AttachedNode;
        static cascadeInputTransparent: AttachedNode;
        static padding: AttachedNode;
        /**
        * System.Boolean
        */
        isClippedToBounds: boolean | null | Bind;
        /**
        * Xamarin.Forms.Thickness
        */
        padding: /*Thickness*/ any | Bind;
        /**
        * System.Boolean
        */
        cascadeInputTransparent: boolean | null | Bind;
    }
    class LayoutOptions extends RootObject {
        static start: XF.LayoutOptions;
        static center: XF.LayoutOptions;
        static end: XF.LayoutOptions;
        static fill: XF.LayoutOptions;
        static startAndExpand: XF.LayoutOptions;
        static centerAndExpand: XF.LayoutOptions;
        static endAndExpand: XF.LayoutOptions;
        static fillAndExpand: XF.LayoutOptions;
        /**
        * Xamarin.Forms.LayoutAlignment
        */
        alignment: "Start" | "Center" | "End" | "Fill" | Bind;
        /**
        * System.Boolean
        */
        expands: boolean | null | Bind;
    }
    class LinearGradientBrush extends XF.GradientBrush {
        static startPoint: AttachedNode;
        static endPoint: AttachedNode;
        /**
        * System.Boolean
        */
        isEmpty: boolean | null | Bind;
        /**
        * Xamarin.Forms.Point
        */
        startPoint: "Zero" | XF.Point | Bind | Bind;
        /**
        * Xamarin.Forms.Point
        */
        endPoint: "Zero" | XF.Point | Bind | Bind;
    }
    class ListView extends XF.ItemsView$Generic {
        static isPullToRefreshEnabled: AttachedNode;
        static isRefreshing: AttachedNode;
        static refreshCommand: AttachedNode;
        static header: AttachedNode;
        static headerTemplate: AttachedNode;
        static footer: AttachedNode;
        static footerTemplate: AttachedNode;
        static selectedItem: AttachedNode;
        static selectionMode: AttachedNode;
        static hasUnevenRows: AttachedNode;
        static rowHeight: AttachedNode;
        static groupHeaderTemplate: AttachedNode;
        static isGroupingEnabled: AttachedNode;
        static separatorVisibility: AttachedNode;
        static separatorColor: AttachedNode;
        static refreshControlColor: AttachedNode;
        static horizontalScrollBarVisibility: AttachedNode;
        static verticalScrollBarVisibility: AttachedNode;
        /**
        * System.Object
        */
        footer: RootObject | Bind;
        /**
        * Xamarin.Forms.DataTemplate
        */
        footerTemplate: XF.DataTemplate | Bind;
        /**
        * Xamarin.Forms.BindingBase
        */
        groupDisplayBinding: XF.BindingBase | Bind;
        static groupDisplayBinding: AttachedNode;
        /**
        * Xamarin.Forms.DataTemplate
        */
        groupHeaderTemplate: XF.DataTemplate | Bind;
        /**
        * Xamarin.Forms.BindingBase
        */
        groupShortNameBinding: XF.BindingBase | Bind;
        static groupShortNameBinding: AttachedNode;
        /**
        * System.Boolean
        */
        hasUnevenRows: boolean | null | Bind;
        /**
        * System.Object
        */
        header: RootObject | Bind;
        /**
        * Xamarin.Forms.DataTemplate
        */
        headerTemplate: XF.DataTemplate | Bind;
        /**
        * System.Boolean
        */
        isGroupingEnabled: boolean | null | Bind;
        /**
        * System.Boolean
        */
        isPullToRefreshEnabled: boolean | null | Bind;
        /**
        * System.Boolean
        */
        isRefreshing: boolean | null | Bind;
        /**
        * System.Windows.Input.ICommand
        */
        refreshCommand: RootObject | Bind;
        /**
        * System.Int32
        */
        rowHeight: number | null | Bind;
        /**
        * System.Object
        */
        selectedItem: RootObject | Bind;
        /**
        * Xamarin.Forms.ListViewSelectionMode
        */
        selectionMode: "None" | "Single" | Bind;
        /**
        * Xamarin.Forms.Color
        */
        separatorColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        refreshControlColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.SeparatorVisibility
        */
        separatorVisibility: "Default" | "None" | Bind;
        /**
        * Xamarin.Forms.ScrollBarVisibility
        */
        horizontalScrollBarVisibility: "Default" | "Always" | "Never" | Bind;
        /**
        * Xamarin.Forms.ScrollBarVisibility
        */
        verticalScrollBarVisibility: "Default" | "Always" | "Never" | Bind;
        /**
        * Xamarin.Forms.ListViewCachingStrategy
        */
        cachingStrategy: "RetainElement" | "RecycleElement" | "RecycleElementAndDataTemplate" | Bind;
    }
    class Menu extends XF.BaseMenuItem {
        /**
        * Xamarin.Forms.Menu
        */
        item: any;
        static item: AttachedNode;
        /**
        * System.String
        */
        text: string | null | Bind;
        /**
        * System.Collections.ObjectModel.ObservableCollection`1[[Xamarin.Forms.MenuItem, Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null]]
        */
        items: any;
        static items: AttachedNode;
        /**
        * System.Int32
        */
        count: number | null | Bind;
        /**
        * System.Boolean
        */
        isReadOnly: boolean | null | Bind;
    }
    class MenuItem extends XF.BaseMenuItem {
        static accelerator: AttachedNode;
        static command: AttachedNode;
        static commandParameter: AttachedNode;
        static isDestructive: AttachedNode;
        static iconImageSource: AttachedNode;
        static icon: AttachedNode;
        static isEnabled: AttachedNode;
        static text: AttachedNode;
        /**
        * System.Windows.Input.ICommand
        */
        command: RootObject | Bind;
        /**
        * System.Object
        */
        commandParameter: RootObject | Bind;
        /**
        * Xamarin.Forms.ImageSource
        */
        iconImageSource: /*ImageSource*/ any | Bind;
        /**
        * System.Boolean
        */
        isDestructive: boolean | null | Bind;
        /**
        * System.String
        */
        text: string | null | Bind;
        /**
        * System.Boolean
        */
        isEnabled: boolean | null | Bind;
        /**
        * System.Collections.Generic.IList`1[[System.String, System.Private.CoreLib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]
        */
        styleClass: any;
        static styleClass: AttachedNode;
        /**
        * System.Collections.Generic.IList`1[[System.String, System.Private.CoreLib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]
        */
        class: any;
        static class: AttachedNode;
        /**
        * System.String
        */
        isEnabledPropertyName: string | null | Bind;
    }
    class MultiBinding extends XF.BindingBase {
        /**
        * Xamarin.Forms.IMultiValueConverter
        */
        converter: RootObject | Bind;
        /**
        * System.Object
        */
        converterParameter: RootObject | Bind;
        /**
        * System.Collections.Generic.IList`1[[Xamarin.Forms.BindingBase, Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null]]
        */
        bindings: any;
        static bindings: AttachedNode;
    }
    class MultiPage$Generic extends XF.Page {
        static index: AttachedNode;
        static itemsSource: AttachedNode;
        static itemTemplate: AttachedNode;
        static selectedItem: AttachedNode;
        /**
        * System.Collections.IEnumerable
        */
        itemsSource: RootObject | Bind;
        /**
        * Xamarin.Forms.DataTemplate
        */
        itemTemplate: XF.DataTemplate | Bind;
        /**
        * System.Object
        */
        selectedItem: RootObject | Bind;
        /**
        *
        */
        currentPage: RootObject | Bind;
        static currentPage: AttachedNode;
        /**
        *
        */
        children: any;
        static children: AttachedNode;
    }
    class NameScopeExtensions extends RootObject {
        static dByName: AttachedNode;
    }
    class NavigationPage extends XF.Page {
        static backButtonTitle: AttachedNode;
        static hasBackButton: AttachedNode;
        static hasNavigationBar: AttachedNode;
        static titleIcon: AttachedNode;
        static titleIconImageSource: AttachedNode;
        static titleView: AttachedNode;
        static iconColor: AttachedNode;
        static tint: AttachedNode;
        static barBackgroundColor: AttachedNode;
        static barBackground: AttachedNode;
        static barTextColor: AttachedNode;
        static currentPage: AttachedNode;
        static rootPage: AttachedNode;
        /**
        * Xamarin.Forms.Color
        */
        barBackgroundColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Brush
        */
        barBackground: "AliceBlue" | "AntiqueWhite" | "Aqua" | "Aquamarine" | "Azure" | "Beige" | "Bisque" | "Black" | "BlanchedAlmond" | "Blue" | "BlueViolet" | "Brown" | "BurlyWood" | "CadetBlue" | "Chartreuse" | "Chocolate" | "Coral" | "CornflowerBlue" | "Cornsilk" | "Crimson" | "Cyan" | "DarkBlue" | "DarkCyan" | "DarkGoldenrod" | "DarkGray" | "DarkGreen" | "DarkKhaki" | "DarkMagenta" | "DarkOliveGreen" | "DarkOrange" | "DarkOrchid" | "DarkRed" | "DarkSalmon" | "DarkSeaGreen" | "DarkSlateBlue" | "DarkSlateGray" | "DarkTurquoise" | "DarkViolet" | "DeepPink" | "DeepSkyBlue" | "DimGray" | "DodgerBlue" | "Firebrick" | "FloralWhite" | "ForestGreen" | "Fuchsia" | "Gainsboro" | "GhostWhite" | "Gold" | "Goldenrod" | "Gray" | "Green" | "GreenYellow" | "Honeydew" | "HotPink" | "IndianRed" | "Indigo" | "Ivory" | "Khaki" | "Lavender" | "LavenderBlush" | "LawnGreen" | "LemonChiffon" | "LightBlue" | "LightCoral" | "LightCyan" | "LightGoldenrodYellow" | "LightGray" | "LightGreen" | "LightPink" | "LightSalmon" | "LightSeaGreen" | "LightSkyBlue" | "LightSlateGray" | "LightSteelBlue" | "LightYellow" | "Lime" | "LimeGreen" | "Linen" | "Magenta" | "Maroon" | "MediumAquamarine" | "MediumBlue" | "MediumOrchid" | "MediumPurple" | "MediumSeaGreen" | "MediumSlateBlue" | "MediumSpringGreen" | "MediumTurquoise" | "MediumVioletRed" | "MidnightBlue" | "MintCream" | "MistyRose" | "Moccasin" | "NavajoWhite" | "Navy" | "OldLace" | "Olive" | "OliveDrab" | "Orange" | "OrangeRed" | "Orchid" | "PaleGoldenrod" | "PaleGreen" | "PaleTurquoise" | "PaleVioletRed" | "PapayaWhip" | "PeachPuff" | "Peru" | "Pink" | "Plum" | "PowderBlue" | "Purple" | "Red" | "RosyBrown" | "RoyalBlue" | "SaddleBrown" | "Salmon" | "SandyBrown" | "SeaGreen" | "SeaShell" | "Sienna" | "Silver" | "SkyBlue" | "SlateBlue" | "SlateGray" | "Snow" | "SpringGreen" | "SteelBlue" | "Tan" | "Teal" | "Thistle" | "Tomato" | "Transparent" | "Turquoise" | "Violet" | "Wheat" | "White" | "WhiteSmoke" | "Yellow" | "YellowGreen" | XF.Brush | Bind | Bind;
        /**
        * Xamarin.Forms.Color
        */
        barTextColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Page
        */
        currentPage: XF.Page | Bind;
        /**
        * Xamarin.Forms.Page
        */
        rootPage: XF.Page | Bind;
    }
    class NullEffect extends XF.Effect {
    }
    class OpenGLView extends XF.View {
        static hasRenderLoop: AttachedNode;
        /**
        * System.Boolean
        */
        hasRenderLoop: boolean | null | Bind;
        /**
        * System.Action`1[[Xamarin.Forms.Rectangle, Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null]]
        */
        onDisplay: RootObject | Bind;
    }
    class OrientationStateTrigger extends XF.StateTriggerBase {
        static orientation: AttachedNode;
        /**
        * Xamarin.Forms.Internals.DeviceOrientation
        */
        orientation: "Portrait" | "Landscape" | "PortraitUp" | "PortraitDown" | "LandscapeLeft" | "LandscapeRight" | "Other" | Bind;
    }
    class Page extends XF.VisualElement {
        static backgroundImageSource: AttachedNode;
        static backgroundImage: AttachedNode;
        static isBusy: AttachedNode;
        static padding: AttachedNode;
        static title: AttachedNode;
        static iconImageSource: AttachedNode;
        static icon: AttachedNode;
        static busySetSignalName: string;
        static alertSignalName: string;
        static promptSignalName: string;
        static actionSheetSignalName: string;
        /**
        * Xamarin.Forms.ImageSource
        */
        backgroundImageSource: /*ImageSource*/ any | Bind;
        /**
        * Xamarin.Forms.ImageSource
        */
        iconImageSource: /*ImageSource*/ any | Bind;
        /**
        * System.Boolean
        */
        isBusy: boolean | null | Bind;
        /**
        * Xamarin.Forms.Thickness
        */
        padding: /*Thickness*/ any | Bind;
        /**
        * System.String
        */
        title: string | null | Bind;
        /**
        * System.Collections.Generic.IList`1[[Xamarin.Forms.ToolbarItem, Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null]]
        */
        toolbarItems: any;
        static toolbarItems: AttachedNode;
    }
    class PanGestureRecognizer extends XF.GestureRecognizer {
        static touchPoints: AttachedNode;
        /**
        * System.Int32
        */
        touchPoints: number | null | Bind;
    }
    class Picker extends XF.View {
        static textColor: AttachedNode;
        static characterSpacing: AttachedNode;
        static title: AttachedNode;
        static titleColor: AttachedNode;
        static selectedIndex: AttachedNode;
        static itemsSource: AttachedNode;
        static selectedItem: AttachedNode;
        static fontFamily: AttachedNode;
        static fontSize: AttachedNode;
        static fontAttributes: AttachedNode;
        static horizontalTextAlignment: AttachedNode;
        static verticalTextAlignment: AttachedNode;
        static textTransform: AttachedNode;
        /**
        * Xamarin.Forms.FontAttributes
        */
        fontAttributes: "None" | "Bold" | "Italic" | Bind;
        /**
        * System.String
        */
        fontFamily: string | null | Bind;
        /**
        * System.Double
        */
        fontSize: number | null | Bind;
        /**
        * Xamarin.Forms.TextTransform
        */
        textTransform: "None" | "Default" | "Lowercase" | "Uppercase" | Bind;
        /**
        * System.Collections.Generic.IList`1[[System.String, System.Private.CoreLib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]
        */
        items: any;
        static items: AttachedNode;
        /**
        * System.Collections.IList
        */
        itemsSource: any;
        /**
        * System.Int32
        */
        selectedIndex: number | null | Bind;
        /**
        * System.Object
        */
        selectedItem: RootObject | Bind;
        /**
        * Xamarin.Forms.Color
        */
        textColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * System.Double
        */
        characterSpacing: number | null | Bind;
        /**
        * System.String
        */
        title: string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        titleColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.TextAlignment
        */
        horizontalTextAlignment: "Start" | "Center" | "End" | Bind;
        /**
        * Xamarin.Forms.TextAlignment
        */
        verticalTextAlignment: "Start" | "Center" | "End" | Bind;
        /**
        * Xamarin.Forms.BindingBase
        */
        itemDisplayBinding: XF.BindingBase | Bind;
        static itemDisplayBinding: AttachedNode;
    }
    class PinchGestureRecognizer extends XF.GestureRecognizer {
    }
    class PlatformEffect$Generic extends XF.Effect {
        /**
        *
        */
        container: RootObject | Bind;
        /**
        *
        */
        control: RootObject | Bind;
    }
    class Point extends RootObject {
        static zero: XF.Point;
        /**
        * System.Double
        */
        x: number | null | Bind;
        /**
        * System.Double
        */
        y: number | null | Bind;
        /**
        * System.Boolean
        */
        isEmpty: boolean | null | Bind;
    }
    class ProgressBar extends XF.View {
        static progressColor: AttachedNode;
        static progress: AttachedNode;
        /**
        * Xamarin.Forms.Color
        */
        progressColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * System.Double
        */
        progress: number | null | Bind;
    }
    class RadialGradientBrush extends XF.GradientBrush {
        static center: AttachedNode;
        static radius: AttachedNode;
        /**
        * System.Boolean
        */
        isEmpty: boolean | null | Bind;
        /**
        * Xamarin.Forms.Point
        */
        center: "Zero" | XF.Point | Bind | Bind;
        /**
        * System.Double
        */
        radius: number | null | Bind;
    }
    class RadioButton extends XF.TemplatedView {
        static defaultTemplate: XF.ControlTemplate;
        static content: AttachedNode;
        static value: AttachedNode;
        static isChecked: AttachedNode;
        static groupName: AttachedNode;
        static textColor: AttachedNode;
        static characterSpacing: AttachedNode;
        static textTransform: AttachedNode;
        static fontAttributes: AttachedNode;
        static fontFamily: AttachedNode;
        static fontSize: AttachedNode;
        static borderColor: AttachedNode;
        static cornerRadius: AttachedNode;
        static borderWidth: AttachedNode;
        static checkedVisualState: string;
        static uncheckedVisualState: string;
        static templateRootName: string;
        static checkedIndicator: string;
        static uncheckedButton: string;
        /**
        * System.Object
        */
        content: RootObject | Bind;
        /**
        * System.Object
        */
        value: RootObject | Bind;
        /**
        * System.Boolean
        */
        isChecked: boolean | null | Bind;
        /**
        * System.String
        */
        groupName: string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        textColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * System.Double
        */
        characterSpacing: number | null | Bind;
        /**
        * Xamarin.Forms.TextTransform
        */
        textTransform: "None" | "Default" | "Lowercase" | "Uppercase" | Bind;
        /**
        * Xamarin.Forms.FontAttributes
        */
        fontAttributes: "None" | "Bold" | "Italic" | Bind;
        /**
        * System.String
        */
        fontFamily: string | null | Bind;
        /**
        * System.Double
        */
        fontSize: number | null | Bind;
        /**
        * System.Double
        */
        borderWidth: number | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        borderColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * System.Int32
        */
        cornerRadius: number | null | Bind;
    }
    class RadioButtonGroup extends RootObject {
        static groupName: AttachedNode;
        static selectedValue: AttachedNode;
    }
    class Rect extends RootObject {
        static zero: XF.Rect;
        /**
        * System.Double
        */
        x: number | null | Bind;
        /**
        * System.Double
        */
        y: number | null | Bind;
        /**
        * System.Double
        */
        width: number | null | Bind;
        /**
        * System.Double
        */
        height: number | null | Bind;
        /**
        * System.Double
        */
        top: number | null | Bind;
        /**
        * System.Double
        */
        bottom: number | null | Bind;
        /**
        * System.Double
        */
        right: number | null | Bind;
        /**
        * System.Double
        */
        left: number | null | Bind;
        /**
        * System.Boolean
        */
        isEmpty: boolean | null | Bind;
        /**
        * Xamarin.Forms.Size
        */
        size: "Zero" | XF.Size | Bind | Bind;
        static size: AttachedNode;
        /**
        * Xamarin.Forms.Point
        */
        location: "Zero" | XF.Point | Bind | Bind;
        static location: AttachedNode;
        /**
        * Xamarin.Forms.Point
        */
        center: "Zero" | XF.Point | Bind | Bind;
        static center: AttachedNode;
    }
    class RefreshView extends XF.ContentView {
        static isRefreshing: AttachedNode;
        static command: AttachedNode;
        static commandParameter: AttachedNode;
        static refreshColor: AttachedNode;
        /**
        * System.Boolean
        */
        isRefreshing: boolean | null | Bind;
        /**
        * System.Windows.Input.ICommand
        */
        command: RootObject | Bind;
        /**
        * System.Object
        */
        commandParameter: RootObject | Bind;
        /**
        * Xamarin.Forms.Color
        */
        refreshColor: XF.Color | ColorItem | string | null | Bind;
    }
    class RelativeBindingSource extends RootObject {
        static self: XF.RelativeBindingSource;
        static templatedParent: XF.RelativeBindingSource;
        /**
        * Xamarin.Forms.RelativeBindingSourceMode
        */
        mode: "TemplatedParent" | "Self" | "FindAncestor" | "FindAncestorBindingContext" | Bind;
        static mode: AttachedNode;
        /**
        * System.Type
        */
        ancestorType: RootObject | Bind;
        /**
        * System.Int32
        */
        ancestorLevel: number | null | Bind;
    }
    class RelativeBindingSourceMode extends RootObject {
        static templatedParent: "TemplatedParent" | "Self" | "FindAncestor" | "FindAncestorBindingContext";
        static self: "TemplatedParent" | "Self" | "FindAncestor" | "FindAncestorBindingContext";
        static findAncestor: "TemplatedParent" | "Self" | "FindAncestor" | "FindAncestorBindingContext";
        static findAncestorBindingContext: "TemplatedParent" | "Self" | "FindAncestor" | "FindAncestorBindingContext";
    }
    class RelativeLayout extends XF.Layout$Generic {
        static boundsConstraint: AttachedNode;
        static heightConstraint: AttachedNode;
        static widthConstraint: AttachedNode;
        static xConstraint: AttachedNode;
        static yConstraint: AttachedNode;
        /**
        * Xamarin.Forms.RelativeLayout+IRelativeList`1[[Xamarin.Forms.View, Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null]]
        */
        children: RootObject | Bind;
    }
    class Routing extends RootObject {
        static route: AttachedNode;
    }
    class RoutingEffect extends XF.Effect {
    }
    class RowDefinition extends XF.BindableObject {
        static height: AttachedNode;
        /**
        * Xamarin.Forms.GridLength
        */
        height: "Auto" | number | string | Bind;
    }
    class ScrollView extends XF.Layout {
        static orientation: AttachedNode;
        static scrollX: AttachedNode;
        static scrollY: AttachedNode;
        static contentSize: AttachedNode;
        static horizontalScrollBarVisibility: AttachedNode;
        static verticalScrollBarVisibility: AttachedNode;
        /**
        * Xamarin.Forms.View
        */
        content: XF.View | Bind;
        static content: AttachedNode;
        /**
        * Xamarin.Forms.Size
        */
        contentSize: "Zero" | XF.Size | Bind | Bind;
        /**
        * Xamarin.Forms.ScrollOrientation
        */
        orientation: "Vertical" | "Horizontal" | "Both" | "Neither" | Bind;
        /**
        * System.Double
        */
        scrollX: number | null | Bind;
        /**
        * System.Double
        */
        scrollY: number | null | Bind;
        /**
        * Xamarin.Forms.ScrollBarVisibility
        */
        horizontalScrollBarVisibility: "Default" | "Always" | "Never" | Bind;
        /**
        * Xamarin.Forms.ScrollBarVisibility
        */
        verticalScrollBarVisibility: "Default" | "Always" | "Never" | Bind;
    }
    class SearchBar extends XF.InputView {
        static searchCommand: AttachedNode;
        static searchCommandParameter: AttachedNode;
        static text: AttachedNode;
        static cancelButtonColor: AttachedNode;
        static placeholder: AttachedNode;
        static placeholderColor: AttachedNode;
        static fontFamily: AttachedNode;
        static fontSize: AttachedNode;
        static fontAttributes: AttachedNode;
        static horizontalTextAlignment: AttachedNode;
        static verticalTextAlignment: AttachedNode;
        static textColor: AttachedNode;
        static characterSpacing: AttachedNode;
        /**
        * Xamarin.Forms.Color
        */
        cancelButtonColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.TextAlignment
        */
        horizontalTextAlignment: "Start" | "Center" | "End" | Bind;
        /**
        * Xamarin.Forms.TextAlignment
        */
        verticalTextAlignment: "Start" | "Center" | "End" | Bind;
        /**
        * System.Windows.Input.ICommand
        */
        searchCommand: RootObject | Bind;
        /**
        * System.Object
        */
        searchCommandParameter: RootObject | Bind;
        /**
        * Xamarin.Forms.FontAttributes
        */
        fontAttributes: "None" | "Bold" | "Italic" | Bind;
        /**
        * System.String
        */
        fontFamily: string | null | Bind;
        /**
        * System.Double
        */
        fontSize: number | null | Bind;
    }
    class BackButtonBehavior extends XF.BindableObject {
        static commandParameter: AttachedNode;
        static command: AttachedNode;
        static iconOverride: AttachedNode;
        static isEnabled: AttachedNode;
        static textOverride: AttachedNode;
        /**
        * System.Windows.Input.ICommand
        */
        command: RootObject | Bind;
        /**
        * System.Object
        */
        commandParameter: RootObject | Bind;
        /**
        * Xamarin.Forms.ImageSource
        */
        iconOverride: /*ImageSource*/ any | Bind;
        /**
        * System.Boolean
        */
        isEnabled: boolean | null | Bind;
        /**
        * System.String
        */
        textOverride: string | null | Bind;
    }
    class BaseShellItem extends XF.NavigableElement {
        static flyoutIcon: AttachedNode;
        static icon: AttachedNode;
        static isChecked: AttachedNode;
        static isEnabled: AttachedNode;
        static title: AttachedNode;
        static tabIndex: AttachedNode;
        static isTabStop: AttachedNode;
        static isVisible: AttachedNode;
        /**
        * Xamarin.Forms.ImageSource
        */
        flyoutIcon: /*ImageSource*/ any | Bind;
        /**
        * Xamarin.Forms.ImageSource
        */
        icon: /*ImageSource*/ any | Bind;
        /**
        * System.Boolean
        */
        isChecked: boolean | null | Bind;
        /**
        * System.Boolean
        */
        isEnabled: boolean | null | Bind;
        /**
        * System.String
        */
        route: string | null | Bind;
        /**
        * System.String
        */
        title: string | null | Bind;
        /**
        * System.Int32
        */
        tabIndex: number | null | Bind;
        /**
        * System.Boolean
        */
        isTabStop: boolean | null | Bind;
        /**
        * System.Boolean
        */
        isVisible: boolean | null | Bind;
        /**
        * System.Boolean
        */
        flyoutItemIsVisible: boolean | null | Bind;
    }
    class NavigableElement extends XF.Element {
        static navigation: AttachedNode;
        static style: AttachedNode;
        /**
        * Xamarin.Forms.INavigation
        */
        navigation: RootObject | Bind;
        /**
        * Xamarin.Forms.Style
        */
        style: XF.Style | Bind;
        /**
        * System.Collections.Generic.IList`1[[System.String, System.Private.CoreLib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]
        */
        styleClass: any;
        static styleClass: AttachedNode;
        /**
        * System.Collections.Generic.IList`1[[System.String, System.Private.CoreLib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]
        */
        class: any;
        static class: AttachedNode;
    }
    class SearchHandler extends XF.BindableObject {
        static isFocusedPropertyKey: RootObject;
        static isFocused: AttachedNode;
        static keyboard: AttachedNode;
        static horizontalTextAlignment: AttachedNode;
        static verticalTextAlignment: AttachedNode;
        static textColor: AttachedNode;
        static characterSpacing: AttachedNode;
        static cancelButtonColor: AttachedNode;
        static fontFamily: AttachedNode;
        static fontSize: AttachedNode;
        static fontAttributes: AttachedNode;
        static placeholder: AttachedNode;
        static placeholderColor: AttachedNode;
        static textTransform: AttachedNode;
        static backgroundColor: AttachedNode;
        static clearIconHelpText: AttachedNode;
        static clearIconName: AttachedNode;
        static clearIcon: AttachedNode;
        static clearPlaceholderCommandParameter: AttachedNode;
        static clearPlaceholderCommand: AttachedNode;
        static clearPlaceholderEnabled: AttachedNode;
        static clearPlaceholderHelpText: AttachedNode;
        static clearPlaceholderIcon: AttachedNode;
        static clearPlaceholderName: AttachedNode;
        static commandParameter: AttachedNode;
        static command: AttachedNode;
        static displayMemberName: AttachedNode;
        static isSearchEnabled: AttachedNode;
        static itemsSource: AttachedNode;
        static itemTemplate: AttachedNode;
        static queryIconHelpText: AttachedNode;
        static queryIconName: AttachedNode;
        static queryIcon: AttachedNode;
        static query: AttachedNode;
        static searchBoxVisibility: AttachedNode;
        static selectedItem: AttachedNode;
        static showsResults: AttachedNode;
        /**
        * System.Boolean
        */
        isFocused: boolean | null | Bind;
        /**
        * Xamarin.Forms.Keyboard
        */
        keyboard: /*Keyboard*/ any | Bind;
        /**
        * Xamarin.Forms.TextAlignment
        */
        horizontalTextAlignment: "Start" | "Center" | "End" | Bind;
        /**
        * Xamarin.Forms.TextAlignment
        */
        verticalTextAlignment: "Start" | "Center" | "End" | Bind;
        /**
        * Xamarin.Forms.Color
        */
        textColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.TextTransform
        */
        textTransform: "None" | "Default" | "Lowercase" | "Uppercase" | Bind;
        /**
        * Xamarin.Forms.Color
        */
        cancelButtonColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.FontAttributes
        */
        fontAttributes: "None" | "Bold" | "Italic" | Bind;
        /**
        * System.String
        */
        fontFamily: string | null | Bind;
        /**
        * System.Double
        */
        characterSpacing: number | null | Bind;
        /**
        * System.Double
        */
        fontSize: number | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        placeholderColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * System.String
        */
        placeholder: string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        backgroundColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.ImageSource
        */
        clearIcon: /*ImageSource*/ any | Bind;
        /**
        * System.String
        */
        clearIconHelpText: string | null | Bind;
        /**
        * System.String
        */
        clearIconName: string | null | Bind;
        /**
        * System.Windows.Input.ICommand
        */
        clearPlaceholderCommand: RootObject | Bind;
        /**
        * System.Object
        */
        clearPlaceholderCommandParameter: RootObject | Bind;
        /**
        * System.Boolean
        */
        clearPlaceholderEnabled: boolean | null | Bind;
        /**
        * System.String
        */
        clearPlaceholderHelpText: string | null | Bind;
        /**
        * Xamarin.Forms.ImageSource
        */
        clearPlaceholderIcon: /*ImageSource*/ any | Bind;
        /**
        * System.String
        */
        clearPlaceholderName: string | null | Bind;
        /**
        * System.Windows.Input.ICommand
        */
        command: RootObject | Bind;
        /**
        * System.Object
        */
        commandParameter: RootObject | Bind;
        /**
        * System.String
        */
        displayMemberName: string | null | Bind;
        /**
        * System.Boolean
        */
        isSearchEnabled: boolean | null | Bind;
        /**
        * System.Collections.IEnumerable
        */
        itemsSource: RootObject | Bind;
        /**
        * Xamarin.Forms.DataTemplate
        */
        itemTemplate: XF.DataTemplate | Bind;
        /**
        * System.String
        */
        query: string | null | Bind;
        /**
        * Xamarin.Forms.ImageSource
        */
        queryIcon: /*ImageSource*/ any | Bind;
        /**
        * System.String
        */
        queryIconHelpText: string | null | Bind;
        /**
        * System.String
        */
        queryIconName: string | null | Bind;
        /**
        * Xamarin.Forms.SearchBoxVisibility
        */
        searchBoxVisibility: "Hidden" | "Collapsible" | "Expanded" | Bind;
        /**
        * System.Object
        */
        selectedItem: RootObject | Bind;
        /**
        * System.Boolean
        */
        showsResults: boolean | null | Bind;
    }
    class Shell extends XF.Page {
        static current: XF.Shell;
        static flyoutItemIsVisible: AttachedNode;
        static menuItemTemplate: AttachedNode;
        static itemTemplate: AttachedNode;
        static backButtonBehavior: AttachedNode;
        static presentationMode: AttachedNode;
        static flyoutBehavior: AttachedNode;
        static flyoutWidth: AttachedNode;
        static flyoutHeight: AttachedNode;
        static navBarIsVisible: AttachedNode;
        static navBarHasShadow: AttachedNode;
        static searchHandler: AttachedNode;
        static tabBarIsVisible: AttachedNode;
        static titleView: AttachedNode;
        static backgroundColor: AttachedNode;
        static disabledColor: AttachedNode;
        static foregroundColor: AttachedNode;
        static tabBarBackgroundColor: AttachedNode;
        static tabBarDisabledColor: AttachedNode;
        static tabBarForegroundColor: AttachedNode;
        static tabBarTitleColor: AttachedNode;
        static tabBarUnselectedColor: AttachedNode;
        static titleColor: AttachedNode;
        static unselectedColor: AttachedNode;
        static flyoutBackdrop: AttachedNode;
        static currentItem: AttachedNode;
        static currentState: AttachedNode;
        static flyoutBackgroundImage: AttachedNode;
        static flyoutBackgroundImageAspect: AttachedNode;
        static flyoutBackgroundColor: AttachedNode;
        static flyoutBackground: AttachedNode;
        static flyoutHeaderBehavior: AttachedNode;
        static flyoutHeader: AttachedNode;
        static flyoutFooter: AttachedNode;
        static flyoutHeaderTemplate: AttachedNode;
        static flyoutFooterTemplate: AttachedNode;
        static flyoutIsPresented: AttachedNode;
        static items: AttachedNode;
        static flyoutIcon: AttachedNode;
        static flyoutVerticalScrollMode: AttachedNode;
        static flyoutContent: AttachedNode;
        static flyoutContentTemplate: AttachedNode;
        /**
        * Xamarin.Forms.Page
        */
        currentPage: XF.Page | Bind;
        static currentPage: AttachedNode;
        /**
        * Xamarin.Forms.ScrollMode
        */
        flyoutVerticalScrollMode: "Disabled" | "Enabled" | "Auto" | Bind;
        /**
        * Xamarin.Forms.ImageSource
        */
        flyoutIcon: /*ImageSource*/ any | Bind;
        /**
        * Xamarin.Forms.ShellItem
        */
        currentItem: XF.ShellItem | Bind;
        /**
        * Xamarin.Forms.ShellNavigationState
        */
        currentState: RootObject | Bind;
        /**
        * Xamarin.Forms.ImageSource
        */
        flyoutBackgroundImage: /*ImageSource*/ any | Bind;
        /**
        * Xamarin.Forms.Aspect
        */
        flyoutBackgroundImageAspect: "AspectFit" | "AspectFill" | "Fill" | Bind;
        /**
        * Xamarin.Forms.Color
        */
        flyoutBackgroundColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Brush
        */
        flyoutBackground: "AliceBlue" | "AntiqueWhite" | "Aqua" | "Aquamarine" | "Azure" | "Beige" | "Bisque" | "Black" | "BlanchedAlmond" | "Blue" | "BlueViolet" | "Brown" | "BurlyWood" | "CadetBlue" | "Chartreuse" | "Chocolate" | "Coral" | "CornflowerBlue" | "Cornsilk" | "Crimson" | "Cyan" | "DarkBlue" | "DarkCyan" | "DarkGoldenrod" | "DarkGray" | "DarkGreen" | "DarkKhaki" | "DarkMagenta" | "DarkOliveGreen" | "DarkOrange" | "DarkOrchid" | "DarkRed" | "DarkSalmon" | "DarkSeaGreen" | "DarkSlateBlue" | "DarkSlateGray" | "DarkTurquoise" | "DarkViolet" | "DeepPink" | "DeepSkyBlue" | "DimGray" | "DodgerBlue" | "Firebrick" | "FloralWhite" | "ForestGreen" | "Fuchsia" | "Gainsboro" | "GhostWhite" | "Gold" | "Goldenrod" | "Gray" | "Green" | "GreenYellow" | "Honeydew" | "HotPink" | "IndianRed" | "Indigo" | "Ivory" | "Khaki" | "Lavender" | "LavenderBlush" | "LawnGreen" | "LemonChiffon" | "LightBlue" | "LightCoral" | "LightCyan" | "LightGoldenrodYellow" | "LightGray" | "LightGreen" | "LightPink" | "LightSalmon" | "LightSeaGreen" | "LightSkyBlue" | "LightSlateGray" | "LightSteelBlue" | "LightYellow" | "Lime" | "LimeGreen" | "Linen" | "Magenta" | "Maroon" | "MediumAquamarine" | "MediumBlue" | "MediumOrchid" | "MediumPurple" | "MediumSeaGreen" | "MediumSlateBlue" | "MediumSpringGreen" | "MediumTurquoise" | "MediumVioletRed" | "MidnightBlue" | "MintCream" | "MistyRose" | "Moccasin" | "NavajoWhite" | "Navy" | "OldLace" | "Olive" | "OliveDrab" | "Orange" | "OrangeRed" | "Orchid" | "PaleGoldenrod" | "PaleGreen" | "PaleTurquoise" | "PaleVioletRed" | "PapayaWhip" | "PeachPuff" | "Peru" | "Pink" | "Plum" | "PowderBlue" | "Purple" | "Red" | "RosyBrown" | "RoyalBlue" | "SaddleBrown" | "Salmon" | "SandyBrown" | "SeaGreen" | "SeaShell" | "Sienna" | "Silver" | "SkyBlue" | "SlateBlue" | "SlateGray" | "Snow" | "SpringGreen" | "SteelBlue" | "Tan" | "Teal" | "Thistle" | "Tomato" | "Transparent" | "Turquoise" | "Violet" | "Wheat" | "White" | "WhiteSmoke" | "Yellow" | "YellowGreen" | XF.Brush | Bind | Bind;
        /**
        * Xamarin.Forms.Brush
        */
        flyoutBackdrop: "AliceBlue" | "AntiqueWhite" | "Aqua" | "Aquamarine" | "Azure" | "Beige" | "Bisque" | "Black" | "BlanchedAlmond" | "Blue" | "BlueViolet" | "Brown" | "BurlyWood" | "CadetBlue" | "Chartreuse" | "Chocolate" | "Coral" | "CornflowerBlue" | "Cornsilk" | "Crimson" | "Cyan" | "DarkBlue" | "DarkCyan" | "DarkGoldenrod" | "DarkGray" | "DarkGreen" | "DarkKhaki" | "DarkMagenta" | "DarkOliveGreen" | "DarkOrange" | "DarkOrchid" | "DarkRed" | "DarkSalmon" | "DarkSeaGreen" | "DarkSlateBlue" | "DarkSlateGray" | "DarkTurquoise" | "DarkViolet" | "DeepPink" | "DeepSkyBlue" | "DimGray" | "DodgerBlue" | "Firebrick" | "FloralWhite" | "ForestGreen" | "Fuchsia" | "Gainsboro" | "GhostWhite" | "Gold" | "Goldenrod" | "Gray" | "Green" | "GreenYellow" | "Honeydew" | "HotPink" | "IndianRed" | "Indigo" | "Ivory" | "Khaki" | "Lavender" | "LavenderBlush" | "LawnGreen" | "LemonChiffon" | "LightBlue" | "LightCoral" | "LightCyan" | "LightGoldenrodYellow" | "LightGray" | "LightGreen" | "LightPink" | "LightSalmon" | "LightSeaGreen" | "LightSkyBlue" | "LightSlateGray" | "LightSteelBlue" | "LightYellow" | "Lime" | "LimeGreen" | "Linen" | "Magenta" | "Maroon" | "MediumAquamarine" | "MediumBlue" | "MediumOrchid" | "MediumPurple" | "MediumSeaGreen" | "MediumSlateBlue" | "MediumSpringGreen" | "MediumTurquoise" | "MediumVioletRed" | "MidnightBlue" | "MintCream" | "MistyRose" | "Moccasin" | "NavajoWhite" | "Navy" | "OldLace" | "Olive" | "OliveDrab" | "Orange" | "OrangeRed" | "Orchid" | "PaleGoldenrod" | "PaleGreen" | "PaleTurquoise" | "PaleVioletRed" | "PapayaWhip" | "PeachPuff" | "Peru" | "Pink" | "Plum" | "PowderBlue" | "Purple" | "Red" | "RosyBrown" | "RoyalBlue" | "SaddleBrown" | "Salmon" | "SandyBrown" | "SeaGreen" | "SeaShell" | "Sienna" | "Silver" | "SkyBlue" | "SlateBlue" | "SlateGray" | "Snow" | "SpringGreen" | "SteelBlue" | "Tan" | "Teal" | "Thistle" | "Tomato" | "Transparent" | "Turquoise" | "Violet" | "Wheat" | "White" | "WhiteSmoke" | "Yellow" | "YellowGreen" | XF.Brush | Bind | Bind;
        /**
        * System.Double
        */
        flyoutWidth: number | null | Bind;
        /**
        * System.Double
        */
        flyoutHeight: number | null | Bind;
        /**
        * Xamarin.Forms.FlyoutBehavior
        */
        flyoutBehavior: "Disabled" | "Flyout" | "Locked" | Bind;
        /**
        * System.Object
        */
        flyoutHeader: RootObject | Bind;
        /**
        * System.Object
        */
        flyoutFooter: RootObject | Bind;
        /**
        * Xamarin.Forms.FlyoutHeaderBehavior
        */
        flyoutHeaderBehavior: "Default" | "Fixed" | "Scroll" | "CollapseOnScroll" | Bind;
        /**
        * Xamarin.Forms.DataTemplate
        */
        flyoutHeaderTemplate: XF.DataTemplate | Bind;
        /**
        * Xamarin.Forms.DataTemplate
        */
        flyoutFooterTemplate: XF.DataTemplate | Bind;
        /**
        * System.Boolean
        */
        flyoutIsPresented: boolean | null | Bind;
        /**
        * System.Collections.Generic.IList`1[[Xamarin.Forms.ShellItem, Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null]]
        */
        items: any;
        /**
        * Xamarin.Forms.DataTemplate
        */
        itemTemplate: XF.DataTemplate | Bind;
        /**
        * Xamarin.Forms.DataTemplate
        */
        menuItemTemplate: XF.DataTemplate | Bind;
        /**
        * System.Collections.IEnumerable
        */
        flyoutItems: RootObject | Bind;
        /**
        * System.Object
        */
        flyoutContent: RootObject | Bind;
        /**
        * Xamarin.Forms.DataTemplate
        */
        flyoutContentTemplate: XF.DataTemplate | Bind;
    }
    class ShellContent extends XF.BaseShellItem {
        static menuItems: AttachedNode;
        static content: AttachedNode;
        static contentTemplate: AttachedNode;
        /**
        * Xamarin.Forms.MenuItemCollection
        */
        menuItems: any;
        /**
        * System.Object
        */
        content: RootObject | Bind;
        /**
        * Xamarin.Forms.DataTemplate
        */
        contentTemplate: XF.DataTemplate | Bind;
    }
    class ShellGroupItem extends XF.BaseShellItem {
        static flyoutDisplayOptions: AttachedNode;
        /**
        * Xamarin.Forms.FlyoutDisplayOptions
        */
        flyoutDisplayOptions: "AsSingleItem" | "AsMultipleItems" | Bind;
    }
    class FlyoutItem extends XF.ShellItem {
        static isVisible: AttachedNode;
        static labelStyle: string;
        static imageStyle: string;
        static layoutStyle: string;
    }
    class TabBar extends XF.ShellItem {
    }
    class ShellItem extends XF.ShellGroupItem {
        static currentItem: AttachedNode;
        static items: AttachedNode;
        /**
        * Xamarin.Forms.ShellSection
        */
        currentItem: XF.ShellSection | Bind;
        /**
        * System.Collections.Generic.IList`1[[Xamarin.Forms.ShellSection, Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null]]
        */
        items: any;
    }
    class Tab extends XF.ShellSection {
    }
    class ShellSection extends XF.ShellGroupItem {
        static currentItem: AttachedNode;
        static items: AttachedNode;
        /**
        * Xamarin.Forms.ShellContent
        */
        currentItem: XF.ShellContent | Bind;
        /**
        * System.Collections.Generic.IList`1[[Xamarin.Forms.ShellContent, Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null]]
        */
        items: any;
        /**
        * System.Collections.Generic.IReadOnlyList`1[[Xamarin.Forms.Page, Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null]]
        */
        stack: RootObject | Bind;
    }
    class Size extends RootObject {
        static zero: XF.Size;
        /**
        * System.Boolean
        */
        isZero: boolean | null | Bind;
        /**
        * System.Double
        */
        width: number | null | Bind;
        /**
        * System.Double
        */
        height: number | null | Bind;
    }
    class Slider extends XF.View {
        static minimum: AttachedNode;
        static maximum: AttachedNode;
        static value: AttachedNode;
        static minimumTrackColor: AttachedNode;
        static maximumTrackColor: AttachedNode;
        static thumbColor: AttachedNode;
        static thumbImageSource: AttachedNode;
        static thumbImage: AttachedNode;
        static dragStartedCommand: AttachedNode;
        static dragCompletedCommand: AttachedNode;
        /**
        * Xamarin.Forms.Color
        */
        minimumTrackColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        maximumTrackColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        thumbColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.ImageSource
        */
        thumbImageSource: /*ImageSource*/ any | Bind;
        /**
        * System.Windows.Input.ICommand
        */
        dragStartedCommand: RootObject | Bind;
        /**
        * System.Windows.Input.ICommand
        */
        dragCompletedCommand: RootObject | Bind;
        /**
        * System.Double
        */
        maximum: number | null | Bind;
        /**
        * System.Double
        */
        minimum: number | null | Bind;
        /**
        * System.Double
        */
        value: number | null | Bind;
    }
    class SolidColorBrush extends XF.Brush {
        static color: AttachedNode;
        /**
        * System.Boolean
        */
        isEmpty: boolean | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        color: XF.Color | ColorItem | string | null | Bind;
    }
    class Span extends XF.GestureElement {
        static style: AttachedNode;
        static textDecorations: AttachedNode;
        static textTransform: AttachedNode;
        static backgroundColor: AttachedNode;
        static textColor: AttachedNode;
        static characterSpacing: AttachedNode;
        static foregroundColor: AttachedNode;
        static text: AttachedNode;
        static font: AttachedNode;
        static fontFamily: AttachedNode;
        static fontSize: AttachedNode;
        static fontAttributes: AttachedNode;
        static lineHeight: AttachedNode;
        /**
        * Xamarin.Forms.Style
        */
        style: XF.Style | Bind;
        /**
        * Xamarin.Forms.Color
        */
        backgroundColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        textColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * System.Double
        */
        characterSpacing: number | null | Bind;
        /**
        * Xamarin.Forms.TextTransform
        */
        textTransform: "None" | "Default" | "Lowercase" | "Uppercase" | Bind;
        /**
        * Xamarin.Forms.Color
        */
        foregroundColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * System.String
        */
        text: string | null | Bind;
        /**
        * Xamarin.Forms.FontAttributes
        */
        fontAttributes: "None" | "Bold" | "Italic" | Bind;
        /**
        * System.String
        */
        fontFamily: string | null | Bind;
        /**
        * System.Double
        */
        fontSize: number | null | Bind;
        /**
        * Xamarin.Forms.TextDecorations
        */
        textDecorations: "None" | "Underline" | "Strikethrough" | Bind;
        /**
        * System.Double
        */
        lineHeight: number | null | Bind;
    }
    class StackLayout extends XF.Layout$Generic {
        static orientation: AttachedNode;
        static spacing: AttachedNode;
        /**
        * Xamarin.Forms.StackOrientation
        */
        orientation: "Vertical" | "Horizontal" | Bind;
        /**
        * System.Double
        */
        spacing: number | null | Bind;
    }
    class StateTrigger extends XF.StateTriggerBase {
        static isActive: AttachedNode;
        /**
        * System.Boolean
        */
        isActive: boolean | null | Bind;
    }
    class StateTriggerBase extends XF.BindableObject {
        /**
        * System.Boolean
        */
        isActive: boolean | null | Bind;
        /**
        * System.Boolean
        */
        isAttached: boolean | null | Bind;
    }
    class Stepper extends XF.View {
        static maximum: AttachedNode;
        static minimum: AttachedNode;
        static value: AttachedNode;
        static increment: AttachedNode;
        static stepperPosition: AttachedNode;
        /**
        * System.Double
        */
        increment: number | null | Bind;
        /**
        * System.Double
        */
        maximum: number | null | Bind;
        /**
        * System.Double
        */
        minimum: number | null | Bind;
        /**
        * System.Double
        */
        value: number | null | Bind;
    }
    class StreamImageSource extends XF.ImageSource {
        static stream: AttachedNode;
        /**
        * System.Boolean
        */
        isEmpty: boolean | null | Bind;
        /**
        * System.Func`2[[System.Threading.CancellationToken, System.Private.CoreLib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e],[System.Threading.Tasks.Task`1[[System.IO.Stream, System.Private.CoreLib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]], System.Private.CoreLib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]
        */
        stream: RootObject | Bind;
    }
    class Style extends RootObject {
        /**
        * System.Boolean
        */
        applyToDerivedTypes: boolean | null | Bind;
        /**
        * Xamarin.Forms.Style
        */
        basedOn: XF.Style | Bind;
        static basedOn: AttachedNode;
        /**
        * System.String
        */
        baseResourceKey: string | null | Bind;
        /**
        * System.Collections.Generic.IList`1[[Xamarin.Forms.Behavior, Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null]]
        */
        behaviors: any;
        static behaviors: AttachedNode;
        /**
        * System.Boolean
        */
        canCascade: boolean | null | Bind;
        /**
        * System.String
        */
        class: string | null | Bind;
        /**
        * System.Collections.Generic.IList`1[[Xamarin.Forms.Setter, Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null]]
        */
        setters: any;
        static setters: AttachedNode;
        /**
        * System.Collections.Generic.IList`1[[Xamarin.Forms.TriggerBase, Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null]]
        */
        triggers: any;
        static triggers: AttachedNode;
        /**
        * System.Type
        */
        targetType: RootObject | Bind;
    }
    class SwipeGestureRecognizer extends XF.GestureRecognizer {
        static command: AttachedNode;
        static commandParameter: AttachedNode;
        static direction: AttachedNode;
        static threshold: AttachedNode;
        /**
        * System.Windows.Input.ICommand
        */
        command: RootObject | Bind;
        /**
        * System.Object
        */
        commandParameter: RootObject | Bind;
        /**
        * Xamarin.Forms.SwipeDirection
        */
        direction: "Right" | "Left" | "Up" | "Down" | Bind;
        /**
        * System.UInt32
        */
        threshold: number | null | Bind;
    }
    class SwipeItem extends XF.MenuItem {
        static backgroundColor: AttachedNode;
        static isVisible: AttachedNode;
        /**
        * Xamarin.Forms.Color
        */
        backgroundColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * System.Boolean
        */
        isVisible: boolean | null | Bind;
    }
    class SwipeItems extends XF.Element {
        static mode: AttachedNode;
        static swipeBehaviorOnInvoked: AttachedNode;
        /**
        * Xamarin.Forms.SwipeMode
        */
        mode: "Reveal" | "Execute" | Bind;
        /**
        * Xamarin.Forms.SwipeBehaviorOnInvoked
        */
        swipeBehaviorOnInvoked: "Auto" | "Close" | "RemainOpen" | Bind;
        /**
        * Xamarin.Forms.ISwipeItem
        */
        item: RootObject | Bind;
        /**
        * System.Int32
        */
        count: number | null | Bind;
        /**
        * System.Boolean
        */
        isReadOnly: boolean | null | Bind;
    }
    class SwipeItemView extends XF.ContentView {
        static command: AttachedNode;
        static commandParameter: AttachedNode;
        /**
        * System.Windows.Input.ICommand
        */
        command: RootObject | Bind;
        /**
        * System.Object
        */
        commandParameter: RootObject | Bind;
    }
    class SwipeView extends XF.ContentView {
        static threshold: AttachedNode;
        static leftItems: AttachedNode;
        static rightItems: AttachedNode;
        static topItems: AttachedNode;
        static bottomItems: AttachedNode;
        /**
        * System.Double
        */
        threshold: number | null | Bind;
        /**
        * Xamarin.Forms.SwipeItems
        */
        leftItems: any;
        /**
        * Xamarin.Forms.SwipeItems
        */
        rightItems: any;
        /**
        * Xamarin.Forms.SwipeItems
        */
        topItems: any;
        /**
        * Xamarin.Forms.SwipeItems
        */
        bottomItems: any;
    }
    class Switch extends XF.View {
        static isToggled: AttachedNode;
        static onColor: AttachedNode;
        static thumbColor: AttachedNode;
        static switchOnVisualState: string;
        static switchOffVisualState: string;
        /**
        * Xamarin.Forms.Color
        */
        onColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        thumbColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * System.Boolean
        */
        isToggled: boolean | null | Bind;
    }
    class TabbedPage extends XF.MultiPage$Generic {
        static barBackgroundColor: AttachedNode;
        static barBackground: AttachedNode;
        static barTextColor: AttachedNode;
        static unselectedTabColor: AttachedNode;
        static selectedTabColor: AttachedNode;
        /**
        * Xamarin.Forms.Color
        */
        barBackgroundColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Brush
        */
        barBackground: "AliceBlue" | "AntiqueWhite" | "Aqua" | "Aquamarine" | "Azure" | "Beige" | "Bisque" | "Black" | "BlanchedAlmond" | "Blue" | "BlueViolet" | "Brown" | "BurlyWood" | "CadetBlue" | "Chartreuse" | "Chocolate" | "Coral" | "CornflowerBlue" | "Cornsilk" | "Crimson" | "Cyan" | "DarkBlue" | "DarkCyan" | "DarkGoldenrod" | "DarkGray" | "DarkGreen" | "DarkKhaki" | "DarkMagenta" | "DarkOliveGreen" | "DarkOrange" | "DarkOrchid" | "DarkRed" | "DarkSalmon" | "DarkSeaGreen" | "DarkSlateBlue" | "DarkSlateGray" | "DarkTurquoise" | "DarkViolet" | "DeepPink" | "DeepSkyBlue" | "DimGray" | "DodgerBlue" | "Firebrick" | "FloralWhite" | "ForestGreen" | "Fuchsia" | "Gainsboro" | "GhostWhite" | "Gold" | "Goldenrod" | "Gray" | "Green" | "GreenYellow" | "Honeydew" | "HotPink" | "IndianRed" | "Indigo" | "Ivory" | "Khaki" | "Lavender" | "LavenderBlush" | "LawnGreen" | "LemonChiffon" | "LightBlue" | "LightCoral" | "LightCyan" | "LightGoldenrodYellow" | "LightGray" | "LightGreen" | "LightPink" | "LightSalmon" | "LightSeaGreen" | "LightSkyBlue" | "LightSlateGray" | "LightSteelBlue" | "LightYellow" | "Lime" | "LimeGreen" | "Linen" | "Magenta" | "Maroon" | "MediumAquamarine" | "MediumBlue" | "MediumOrchid" | "MediumPurple" | "MediumSeaGreen" | "MediumSlateBlue" | "MediumSpringGreen" | "MediumTurquoise" | "MediumVioletRed" | "MidnightBlue" | "MintCream" | "MistyRose" | "Moccasin" | "NavajoWhite" | "Navy" | "OldLace" | "Olive" | "OliveDrab" | "Orange" | "OrangeRed" | "Orchid" | "PaleGoldenrod" | "PaleGreen" | "PaleTurquoise" | "PaleVioletRed" | "PapayaWhip" | "PeachPuff" | "Peru" | "Pink" | "Plum" | "PowderBlue" | "Purple" | "Red" | "RosyBrown" | "RoyalBlue" | "SaddleBrown" | "Salmon" | "SandyBrown" | "SeaGreen" | "SeaShell" | "Sienna" | "Silver" | "SkyBlue" | "SlateBlue" | "SlateGray" | "Snow" | "SpringGreen" | "SteelBlue" | "Tan" | "Teal" | "Thistle" | "Tomato" | "Transparent" | "Turquoise" | "Violet" | "Wheat" | "White" | "WhiteSmoke" | "Yellow" | "YellowGreen" | XF.Brush | Bind | Bind;
        /**
        * Xamarin.Forms.Color
        */
        barTextColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        unselectedTabColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        selectedTabColor: XF.Color | ColorItem | string | null | Bind;
    }
    class TableRoot extends XF.TableSectionBase$Generic {
    }
    class TableSectionBase$Generic extends XF.TableSectionBase {
        /**
        * System.Int32
        */
        count: number | null | Bind;
        /**
        *
        */
        item: RootObject | Bind;
        static item: AttachedNode;
    }
    class TableSection extends XF.TableSectionBase$Generic {
    }
    class TableSectionBase extends XF.BindableObject {
        static title: AttachedNode;
        static textColor: AttachedNode;
        /**
        * System.String
        */
        title: string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        textColor: XF.Color | ColorItem | string | null | Bind;
    }
    class TableView extends XF.View {
        static rowHeight: AttachedNode;
        static hasUnevenRows: AttachedNode;
        /**
        * System.Boolean
        */
        hasUnevenRows: boolean | null | Bind;
        /**
        * Xamarin.Forms.TableIntent
        */
        intent: "Menu" | "Settings" | "Form" | "Data" | Bind;
        /**
        * Xamarin.Forms.TableRoot
        */
        root: any;
        static root: AttachedNode;
        /**
        * System.Int32
        */
        rowHeight: number | null | Bind;
    }
    class TapGestureRecognizer extends XF.GestureRecognizer {
        static command: AttachedNode;
        static commandParameter: AttachedNode;
        static numberOfTapsRequired: AttachedNode;
        static tappedCallback: AttachedNode;
        static tappedCallbackParameter: AttachedNode;
        /**
        * System.Windows.Input.ICommand
        */
        command: RootObject | Bind;
        /**
        * System.Object
        */
        commandParameter: RootObject | Bind;
        /**
        * System.Int32
        */
        numberOfTapsRequired: number | null | Bind;
    }
    class TemplateBinding extends XF.BindingBase {
        /**
        * Xamarin.Forms.IValueConverter
        */
        converter: XF.IValueConverter | Bind;
        static converter: AttachedNode;
        /**
        * System.Object
        */
        converterParameter: RootObject | Bind;
        /**
        * System.String
        */
        path: string | null | Bind;
    }
    class TemplatedPage extends XF.Page {
        static controlTemplate: AttachedNode;
        /**
        * Xamarin.Forms.ControlTemplate
        */
        controlTemplate: XF.ControlTemplate | Bind;
    }
    class TemplatedView extends XF.Layout {
        static controlTemplate: AttachedNode;
        /**
        * Xamarin.Forms.ControlTemplate
        */
        controlTemplate: XF.ControlTemplate | Bind;
    }
    class TimePicker extends XF.View {
        static format: AttachedNode;
        static textColor: AttachedNode;
        static characterSpacing: AttachedNode;
        static time: AttachedNode;
        static fontFamily: AttachedNode;
        static fontSize: AttachedNode;
        static fontAttributes: AttachedNode;
        static textTransform: AttachedNode;
        /**
        * System.String
        */
        format: string | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        textColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * System.Double
        */
        characterSpacing: number | null | Bind;
        /**
        * System.TimeSpan
        */
        time: RootObject | Bind;
        /**
        * Xamarin.Forms.FontAttributes
        */
        fontAttributes: "None" | "Bold" | "Italic" | Bind;
        /**
        * System.String
        */
        fontFamily: string | null | Bind;
        /**
        * System.Double
        */
        fontSize: number | null | Bind;
        /**
        * Xamarin.Forms.TextTransform
        */
        textTransform: "None" | "Default" | "Lowercase" | "Uppercase" | Bind;
    }
    class ToolbarItem extends XF.MenuItem {
        /**
        * Xamarin.Forms.ToolbarItemOrder
        */
        order: "Default" | "Primary" | "Secondary" | Bind;
        /**
        * System.Int32
        */
        priority: number | null | Bind;
    }
    class UriImageSource extends XF.ImageSource {
        static uri: AttachedNode;
        /**
        * System.Boolean
        */
        isEmpty: boolean | null | Bind;
        /**
        * System.TimeSpan
        */
        cacheValidity: RootObject | Bind;
        /**
        * System.Boolean
        */
        cachingEnabled: boolean | null | Bind;
        /**
        * System.Uri
        */
        uri: RootObject | Bind;
    }
    class UrlWebViewSource extends XF.WebViewSource {
        static url: AttachedNode;
        /**
        * System.String
        */
        url: string | null | Bind;
    }
    class View extends XF.VisualElement {
        static verticalOptions: AttachedNode;
        static horizontalOptions: AttachedNode;
        static margin: AttachedNode;
        /**
        * System.Collections.Generic.IList`1[[Xamarin.Forms.IGestureRecognizer, Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null]]
        */
        gestureRecognizers: any;
        static gestureRecognizers: AttachedNode;
        /**
        * Xamarin.Forms.LayoutOptions
        */
        horizontalOptions: "Start" | "Center" | "End" | "Fill" | "StartAndExpand" | "CenterAndExpand" | "EndAndExpand" | "FillAndExpand" | XF.LayoutOptions | Bind | Bind;
        /**
        * Xamarin.Forms.Thickness
        */
        margin: /*Thickness*/ any | Bind;
        /**
        * Xamarin.Forms.LayoutOptions
        */
        verticalOptions: "Start" | "Center" | "End" | "Fill" | "StartAndExpand" | "CenterAndExpand" | "EndAndExpand" | "FillAndExpand" | XF.LayoutOptions | Bind | Bind;
    }
    class VisualElement extends XF.NavigableElement {
        static navigation: AttachedNode;
        static style: AttachedNode;
        static inputTransparent: AttachedNode;
        static isEnabled: AttachedNode;
        static x: AttachedNode;
        static y: AttachedNode;
        static anchorX: AttachedNode;
        static anchorY: AttachedNode;
        static translationX: AttachedNode;
        static translationY: AttachedNode;
        static width: AttachedNode;
        static height: AttachedNode;
        static rotation: AttachedNode;
        static rotationX: AttachedNode;
        static rotationY: AttachedNode;
        static scale: AttachedNode;
        static scaleX: AttachedNode;
        static scaleY: AttachedNode;
        static clip: AttachedNode;
        static visual: AttachedNode;
        static isVisible: AttachedNode;
        static opacity: AttachedNode;
        static backgroundColor: AttachedNode;
        static background: AttachedNode;
        static behaviors: AttachedNode;
        static triggers: AttachedNode;
        static widthRequest: AttachedNode;
        static heightRequest: AttachedNode;
        static minimumWidthRequest: AttachedNode;
        static minimumHeightRequest: AttachedNode;
        static isFocusedPropertyKey: RootObject;
        static isFocused: AttachedNode;
        static flowDirection: AttachedNode;
        static tabIndex: AttachedNode;
        static isTabStop: AttachedNode;
        /**
        * Xamarin.Forms.IVisual
        */
        visual: /*IVisual*/ any | Bind;
        /**
        * Xamarin.Forms.FlowDirection
        */
        flowDirection: "MatchParent" | "LeftToRight" | "RightToLeft" | Bind;
        /**
        * System.Double
        */
        anchorX: number | null | Bind;
        /**
        * System.Double
        */
        anchorY: number | null | Bind;
        /**
        * Xamarin.Forms.Color
        */
        backgroundColor: XF.Color | ColorItem | string | null | Bind;
        /**
        * Xamarin.Forms.Brush
        */
        background: "AliceBlue" | "AntiqueWhite" | "Aqua" | "Aquamarine" | "Azure" | "Beige" | "Bisque" | "Black" | "BlanchedAlmond" | "Blue" | "BlueViolet" | "Brown" | "BurlyWood" | "CadetBlue" | "Chartreuse" | "Chocolate" | "Coral" | "CornflowerBlue" | "Cornsilk" | "Crimson" | "Cyan" | "DarkBlue" | "DarkCyan" | "DarkGoldenrod" | "DarkGray" | "DarkGreen" | "DarkKhaki" | "DarkMagenta" | "DarkOliveGreen" | "DarkOrange" | "DarkOrchid" | "DarkRed" | "DarkSalmon" | "DarkSeaGreen" | "DarkSlateBlue" | "DarkSlateGray" | "DarkTurquoise" | "DarkViolet" | "DeepPink" | "DeepSkyBlue" | "DimGray" | "DodgerBlue" | "Firebrick" | "FloralWhite" | "ForestGreen" | "Fuchsia" | "Gainsboro" | "GhostWhite" | "Gold" | "Goldenrod" | "Gray" | "Green" | "GreenYellow" | "Honeydew" | "HotPink" | "IndianRed" | "Indigo" | "Ivory" | "Khaki" | "Lavender" | "LavenderBlush" | "LawnGreen" | "LemonChiffon" | "LightBlue" | "LightCoral" | "LightCyan" | "LightGoldenrodYellow" | "LightGray" | "LightGreen" | "LightPink" | "LightSalmon" | "LightSeaGreen" | "LightSkyBlue" | "LightSlateGray" | "LightSteelBlue" | "LightYellow" | "Lime" | "LimeGreen" | "Linen" | "Magenta" | "Maroon" | "MediumAquamarine" | "MediumBlue" | "MediumOrchid" | "MediumPurple" | "MediumSeaGreen" | "MediumSlateBlue" | "MediumSpringGreen" | "MediumTurquoise" | "MediumVioletRed" | "MidnightBlue" | "MintCream" | "MistyRose" | "Moccasin" | "NavajoWhite" | "Navy" | "OldLace" | "Olive" | "OliveDrab" | "Orange" | "OrangeRed" | "Orchid" | "PaleGoldenrod" | "PaleGreen" | "PaleTurquoise" | "PaleVioletRed" | "PapayaWhip" | "PeachPuff" | "Peru" | "Pink" | "Plum" | "PowderBlue" | "Purple" | "Red" | "RosyBrown" | "RoyalBlue" | "SaddleBrown" | "Salmon" | "SandyBrown" | "SeaGreen" | "SeaShell" | "Sienna" | "Silver" | "SkyBlue" | "SlateBlue" | "SlateGray" | "Snow" | "SpringGreen" | "SteelBlue" | "Tan" | "Teal" | "Thistle" | "Tomato" | "Transparent" | "Turquoise" | "Violet" | "Wheat" | "White" | "WhiteSmoke" | "Yellow" | "YellowGreen" | XF.Brush | Bind | Bind;
        /**
        * System.Collections.Generic.IList`1[[Xamarin.Forms.Behavior, Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null]]
        */
        behaviors: any;
        /**
        * Xamarin.Forms.Rectangle
        */
        bounds: "Zero" | XF.Rectangle | Bind | Bind;
        /**
        * System.Double
        */
        height: number | null | Bind;
        /**
        * System.Double
        */
        heightRequest: number | null | Bind;
        /**
        * System.Boolean
        */
        inputTransparent: boolean | null | Bind;
        /**
        * System.Boolean
        */
        isEnabled: boolean | null | Bind;
        /**
        * System.Boolean
        */
        isFocused: boolean | null | Bind;
        /**
        * System.Boolean
        */
        isVisible: boolean | null | Bind;
        /**
        * System.Double
        */
        minimumHeightRequest: number | null | Bind;
        /**
        * System.Double
        */
        minimumWidthRequest: number | null | Bind;
        /**
        * System.Double
        */
        opacity: number | null | Bind;
        /**
        * System.Double
        */
        rotation: number | null | Bind;
        /**
        * System.Double
        */
        rotationX: number | null | Bind;
        /**
        * System.Double
        */
        rotationY: number | null | Bind;
        /**
        * System.Double
        */
        scale: number | null | Bind;
        /**
        * System.Double
        */
        scaleX: number | null | Bind;
        /**
        * System.Double
        */
        scaleY: number | null | Bind;
        /**
        * System.Int32
        */
        tabIndex: number | null | Bind;
        /**
        * System.Boolean
        */
        isTabStop: boolean | null | Bind;
        /**
        * System.Double
        */
        translationX: number | null | Bind;
        /**
        * System.Double
        */
        translationY: number | null | Bind;
        /**
        * System.Collections.Generic.IList`1[[Xamarin.Forms.TriggerBase, Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null]]
        */
        triggers: any;
        /**
        * System.Double
        */
        width: number | null | Bind;
        /**
        * System.Double
        */
        widthRequest: number | null | Bind;
        /**
        * System.Double
        */
        x: number | null | Bind;
        /**
        * System.Double
        */
        y: number | null | Bind;
        /**
        * Xamarin.Forms.Shapes.Geometry
        */
        clip: XF.Geometry | Bind;
        /**
        * Xamarin.Forms.ResourceDictionary
        */
        resources: any;
        static resources: AttachedNode;
    }
    class VisualStateManager extends RootObject {
        static visualStateGroups: AttachedNode;
        static oState: AttachedNode;
    }
    class WebView extends XF.View {
        static source: AttachedNode;
        static canGoBack: AttachedNode;
        static canGoForward: AttachedNode;
        static cookies: AttachedNode;
        /**
        * System.Boolean
        */
        canGoBack: boolean | null | Bind;
        /**
        * System.Boolean
        */
        canGoForward: boolean | null | Bind;
        /**
        * System.Net.CookieContainer
        */
        cookies: RootObject | Bind;
        /**
        * Xamarin.Forms.WebViewSource
        */
        source: XF.WebViewSource | Bind;
    }
    class WebViewSource extends XF.BindableObject {
    }
    class StyleSheet extends RootObject {
    }
    class ArcSegment extends XF.PathSegment {
        static point: AttachedNode;
        static size: AttachedNode;
        static rotationAngle: AttachedNode;
        static sweepDirection: AttachedNode;
        static isLargeArc: AttachedNode;
        /**
        * Xamarin.Forms.Point
        */
        point: "Zero" | XF.Point | Bind | Bind;
        /**
        * Xamarin.Forms.Size
        */
        size: "Zero" | XF.Size | Bind | Bind;
        /**
        * System.Double
        */
        rotationAngle: number | null | Bind;
        /**
        * Xamarin.Forms.SweepDirection
        */
        sweepDirection: "CounterClockwise" | "Clockwise" | Bind;
        /**
        * System.Boolean
        */
        isLargeArc: boolean | null | Bind;
    }
    class BezierSegment extends XF.PathSegment {
        static point1: AttachedNode;
        static point2: AttachedNode;
        static point3: AttachedNode;
        /**
        * Xamarin.Forms.Point
        */
        point1: "Zero" | XF.Point | Bind | Bind;
        /**
        * Xamarin.Forms.Point
        */
        point2: "Zero" | XF.Point | Bind | Bind;
        /**
        * Xamarin.Forms.Point
        */
        point3: "Zero" | XF.Point | Bind | Bind;
    }
    class CompositeTransform extends XF.Transform {
        static centerX: AttachedNode;
        static centerY: AttachedNode;
        static scaleX: AttachedNode;
        static scaleY: AttachedNode;
        static skewX: AttachedNode;
        static skewY: AttachedNode;
        static rotation: AttachedNode;
        static translateX: AttachedNode;
        static translateY: AttachedNode;
        /**
        * System.Double
        */
        centerX: number | null | Bind;
        /**
        * System.Double
        */
        centerY: number | null | Bind;
        /**
        * System.Double
        */
        scaleX: number | null | Bind;
        /**
        * System.Double
        */
        scaleY: number | null | Bind;
        /**
        * System.Double
        */
        skewX: number | null | Bind;
        /**
        * System.Double
        */
        skewY: number | null | Bind;
        /**
        * System.Double
        */
        rotation: number | null | Bind;
        /**
        * System.Double
        */
        translateX: number | null | Bind;
        /**
        * System.Double
        */
        translateY: number | null | Bind;
    }
    class Ellipse extends XF.Shape {
    }
    class EllipseGeometry extends XF.Geometry {
        static center: AttachedNode;
        static radiusX: AttachedNode;
        static radiusY: AttachedNode;
        /**
        * Xamarin.Forms.Point
        */
        center: "Zero" | XF.Point | Bind | Bind;
        /**
        * System.Double
        */
        radiusX: number | null | Bind;
        /**
        * System.Double
        */
        radiusY: number | null | Bind;
    }
    class Geometry extends XF.BindableObject {
    }
    class GeometryGroup extends XF.Geometry {
        static children: AttachedNode;
        static fillRule: AttachedNode;
        /**
        * Xamarin.Forms.Shapes.GeometryCollection
        */
        children: any;
        /**
        * Xamarin.Forms.Shapes.FillRule
        */
        fillRule: "EvenOdd" | "Nonzero" | Bind;
    }
    class GeometryHelper extends RootObject {
        static ttenGeometry: AttachedNode;
    }
    class Line extends XF.Shape {
        static x1: AttachedNode;
        static y1: AttachedNode;
        static x2: AttachedNode;
        static y2: AttachedNode;
        /**
        * System.Double
        */
        x1: number | null | Bind;
        /**
        * System.Double
        */
        y1: number | null | Bind;
        /**
        * System.Double
        */
        x2: number | null | Bind;
        /**
        * System.Double
        */
        y2: number | null | Bind;
    }
    class LineGeometry extends XF.Geometry {
        static startPoint: AttachedNode;
        static endPoint: AttachedNode;
        /**
        * Xamarin.Forms.Point
        */
        startPoint: "Zero" | XF.Point | Bind | Bind;
        /**
        * Xamarin.Forms.Point
        */
        endPoint: "Zero" | XF.Point | Bind | Bind;
    }
    class LineSegment extends XF.PathSegment {
        static point: AttachedNode;
        /**
        * Xamarin.Forms.Point
        */
        point: "Zero" | XF.Point | Bind | Bind;
    }
    class MatrixTransform extends XF.Transform {
        static matrix: AttachedNode;
        /**
        * Xamarin.Forms.Shapes.Matrix
        */
        matrix: /*Matrix*/ any | Bind;
    }
    class Path extends XF.Shape {
        static data: AttachedNode;
        static renderTransform: AttachedNode;
        /**
        * Xamarin.Forms.Shapes.Geometry
        */
        data: XF.Geometry | Bind;
        /**
        * Xamarin.Forms.Shapes.Transform
        */
        renderTransform: /*Transform*/ any | Bind;
    }
    class PathFigure extends XF.BindableObject {
        static segments: AttachedNode;
        static startPoint: AttachedNode;
        static isClosed: AttachedNode;
        static isFilled: AttachedNode;
        /**
        * Xamarin.Forms.Shapes.PathSegmentCollection
        */
        segments: any;
        /**
        * Xamarin.Forms.Point
        */
        startPoint: "Zero" | XF.Point | Bind | Bind;
        /**
        * System.Boolean
        */
        isClosed: boolean | null | Bind;
        /**
        * System.Boolean
        */
        isFilled: boolean | null | Bind;
    }
    class PathGeometry extends XF.Geometry {
        static figures: AttachedNode;
        static fillRule: AttachedNode;
        /**
        * Xamarin.Forms.Shapes.PathFigureCollection
        */
        figures: any;
        /**
        * Xamarin.Forms.Shapes.FillRule
        */
        fillRule: "EvenOdd" | "Nonzero" | Bind;
    }
    class PathSegment extends XF.BindableObject {
    }
    class PolyBezierSegment extends XF.PathSegment {
        static points: AttachedNode;
        /**
        * Xamarin.Forms.Shapes.PointCollection
        */
        points: any;
    }
    class Polygon extends XF.Shape {
        static points: AttachedNode;
        static fillRule: AttachedNode;
        /**
        * Xamarin.Forms.Shapes.PointCollection
        */
        points: any;
        /**
        * Xamarin.Forms.Shapes.FillRule
        */
        fillRule: "EvenOdd" | "Nonzero" | Bind;
    }
    class Polyline extends XF.Shape {
        static points: AttachedNode;
        static fillRule: AttachedNode;
        /**
        * Xamarin.Forms.Shapes.PointCollection
        */
        points: any;
        /**
        * Xamarin.Forms.Shapes.FillRule
        */
        fillRule: "EvenOdd" | "Nonzero" | Bind;
    }
    class PolyLineSegment extends XF.PathSegment {
        static points: AttachedNode;
        /**
        * Xamarin.Forms.Shapes.PointCollection
        */
        points: any;
    }
    class PolyQuadraticBezierSegment extends XF.PathSegment {
        static points: AttachedNode;
        /**
        * Xamarin.Forms.Shapes.PointCollection
        */
        points: any;
    }
    class QuadraticBezierSegment extends XF.PathSegment {
        static point1: AttachedNode;
        static point2: AttachedNode;
        /**
        * Xamarin.Forms.Point
        */
        point1: "Zero" | XF.Point | Bind | Bind;
        /**
        * Xamarin.Forms.Point
        */
        point2: "Zero" | XF.Point | Bind | Bind;
    }
    class Rectangle extends XF.Shape {
        static radiusX: AttachedNode;
        static radiusY: AttachedNode;
        /**
        * System.Double
        */
        radiusX: number | null | Bind;
        /**
        * System.Double
        */
        radiusY: number | null | Bind;
    }
    class RectangleGeometry extends XF.Geometry {
        static rect: AttachedNode;
        /**
        * Xamarin.Forms.Rect
        */
        rect: "Zero" | XF.Rect | Bind | Bind;
    }
    class RotateTransform extends XF.Transform {
        static angle: AttachedNode;
        static centerX: AttachedNode;
        static centerY: AttachedNode;
        /**
        * System.Double
        */
        angle: number | null | Bind;
        /**
        * System.Double
        */
        centerX: number | null | Bind;
        /**
        * System.Double
        */
        centerY: number | null | Bind;
    }
    class RoundRectangleGeometry extends XF.GeometryGroup {
        static rect: AttachedNode;
        static cornerRadius: AttachedNode;
        /**
        * Xamarin.Forms.Rect
        */
        rect: "Zero" | XF.Rect | Bind | Bind;
        /**
        * Xamarin.Forms.CornerRadius
        */
        cornerRadius: /*CornerRadius*/ any | Bind;
    }
    class ScaleTransform extends XF.Transform {
        static scaleX: AttachedNode;
        static scaleY: AttachedNode;
        static centerX: AttachedNode;
        static centerY: AttachedNode;
        /**
        * System.Double
        */
        scaleX: number | null | Bind;
        /**
        * System.Double
        */
        scaleY: number | null | Bind;
        /**
        * System.Double
        */
        centerX: number | null | Bind;
        /**
        * System.Double
        */
        centerY: number | null | Bind;
    }
    class Shape extends XF.View {
        static fill: AttachedNode;
        static stroke: AttachedNode;
        static strokeThickness: AttachedNode;
        static strokeDashArray: AttachedNode;
        static strokeDashOffset: AttachedNode;
        static strokeLineCap: AttachedNode;
        static strokeLineJoin: AttachedNode;
        static strokeMiterLimit: AttachedNode;
        static aspect: AttachedNode;
        /**
        * Xamarin.Forms.Brush
        */
        fill: "AliceBlue" | "AntiqueWhite" | "Aqua" | "Aquamarine" | "Azure" | "Beige" | "Bisque" | "Black" | "BlanchedAlmond" | "Blue" | "BlueViolet" | "Brown" | "BurlyWood" | "CadetBlue" | "Chartreuse" | "Chocolate" | "Coral" | "CornflowerBlue" | "Cornsilk" | "Crimson" | "Cyan" | "DarkBlue" | "DarkCyan" | "DarkGoldenrod" | "DarkGray" | "DarkGreen" | "DarkKhaki" | "DarkMagenta" | "DarkOliveGreen" | "DarkOrange" | "DarkOrchid" | "DarkRed" | "DarkSalmon" | "DarkSeaGreen" | "DarkSlateBlue" | "DarkSlateGray" | "DarkTurquoise" | "DarkViolet" | "DeepPink" | "DeepSkyBlue" | "DimGray" | "DodgerBlue" | "Firebrick" | "FloralWhite" | "ForestGreen" | "Fuchsia" | "Gainsboro" | "GhostWhite" | "Gold" | "Goldenrod" | "Gray" | "Green" | "GreenYellow" | "Honeydew" | "HotPink" | "IndianRed" | "Indigo" | "Ivory" | "Khaki" | "Lavender" | "LavenderBlush" | "LawnGreen" | "LemonChiffon" | "LightBlue" | "LightCoral" | "LightCyan" | "LightGoldenrodYellow" | "LightGray" | "LightGreen" | "LightPink" | "LightSalmon" | "LightSeaGreen" | "LightSkyBlue" | "LightSlateGray" | "LightSteelBlue" | "LightYellow" | "Lime" | "LimeGreen" | "Linen" | "Magenta" | "Maroon" | "MediumAquamarine" | "MediumBlue" | "MediumOrchid" | "MediumPurple" | "MediumSeaGreen" | "MediumSlateBlue" | "MediumSpringGreen" | "MediumTurquoise" | "MediumVioletRed" | "MidnightBlue" | "MintCream" | "MistyRose" | "Moccasin" | "NavajoWhite" | "Navy" | "OldLace" | "Olive" | "OliveDrab" | "Orange" | "OrangeRed" | "Orchid" | "PaleGoldenrod" | "PaleGreen" | "PaleTurquoise" | "PaleVioletRed" | "PapayaWhip" | "PeachPuff" | "Peru" | "Pink" | "Plum" | "PowderBlue" | "Purple" | "Red" | "RosyBrown" | "RoyalBlue" | "SaddleBrown" | "Salmon" | "SandyBrown" | "SeaGreen" | "SeaShell" | "Sienna" | "Silver" | "SkyBlue" | "SlateBlue" | "SlateGray" | "Snow" | "SpringGreen" | "SteelBlue" | "Tan" | "Teal" | "Thistle" | "Tomato" | "Transparent" | "Turquoise" | "Violet" | "Wheat" | "White" | "WhiteSmoke" | "Yellow" | "YellowGreen" | XF.Brush | Bind | Bind;
        /**
        * Xamarin.Forms.Brush
        */
        stroke: "AliceBlue" | "AntiqueWhite" | "Aqua" | "Aquamarine" | "Azure" | "Beige" | "Bisque" | "Black" | "BlanchedAlmond" | "Blue" | "BlueViolet" | "Brown" | "BurlyWood" | "CadetBlue" | "Chartreuse" | "Chocolate" | "Coral" | "CornflowerBlue" | "Cornsilk" | "Crimson" | "Cyan" | "DarkBlue" | "DarkCyan" | "DarkGoldenrod" | "DarkGray" | "DarkGreen" | "DarkKhaki" | "DarkMagenta" | "DarkOliveGreen" | "DarkOrange" | "DarkOrchid" | "DarkRed" | "DarkSalmon" | "DarkSeaGreen" | "DarkSlateBlue" | "DarkSlateGray" | "DarkTurquoise" | "DarkViolet" | "DeepPink" | "DeepSkyBlue" | "DimGray" | "DodgerBlue" | "Firebrick" | "FloralWhite" | "ForestGreen" | "Fuchsia" | "Gainsboro" | "GhostWhite" | "Gold" | "Goldenrod" | "Gray" | "Green" | "GreenYellow" | "Honeydew" | "HotPink" | "IndianRed" | "Indigo" | "Ivory" | "Khaki" | "Lavender" | "LavenderBlush" | "LawnGreen" | "LemonChiffon" | "LightBlue" | "LightCoral" | "LightCyan" | "LightGoldenrodYellow" | "LightGray" | "LightGreen" | "LightPink" | "LightSalmon" | "LightSeaGreen" | "LightSkyBlue" | "LightSlateGray" | "LightSteelBlue" | "LightYellow" | "Lime" | "LimeGreen" | "Linen" | "Magenta" | "Maroon" | "MediumAquamarine" | "MediumBlue" | "MediumOrchid" | "MediumPurple" | "MediumSeaGreen" | "MediumSlateBlue" | "MediumSpringGreen" | "MediumTurquoise" | "MediumVioletRed" | "MidnightBlue" | "MintCream" | "MistyRose" | "Moccasin" | "NavajoWhite" | "Navy" | "OldLace" | "Olive" | "OliveDrab" | "Orange" | "OrangeRed" | "Orchid" | "PaleGoldenrod" | "PaleGreen" | "PaleTurquoise" | "PaleVioletRed" | "PapayaWhip" | "PeachPuff" | "Peru" | "Pink" | "Plum" | "PowderBlue" | "Purple" | "Red" | "RosyBrown" | "RoyalBlue" | "SaddleBrown" | "Salmon" | "SandyBrown" | "SeaGreen" | "SeaShell" | "Sienna" | "Silver" | "SkyBlue" | "SlateBlue" | "SlateGray" | "Snow" | "SpringGreen" | "SteelBlue" | "Tan" | "Teal" | "Thistle" | "Tomato" | "Transparent" | "Turquoise" | "Violet" | "Wheat" | "White" | "WhiteSmoke" | "Yellow" | "YellowGreen" | XF.Brush | Bind | Bind;
        /**
        * System.Double
        */
        strokeThickness: number | null | Bind;
        /**
        * Xamarin.Forms.DoubleCollection
        */
        strokeDashArray: any;
        /**
        * System.Double
        */
        strokeDashOffset: number | null | Bind;
        /**
        * Xamarin.Forms.Shapes.PenLineCap
        */
        strokeLineCap: "Flat" | "Square" | "Round" | Bind;
        /**
        * Xamarin.Forms.Shapes.PenLineJoin
        */
        strokeLineJoin: "Miter" | "Bevel" | "Round" | Bind;
        /**
        * System.Double
        */
        strokeMiterLimit: number | null | Bind;
        /**
        * Xamarin.Forms.Stretch
        */
        aspect: "None" | "Fill" | "Uniform" | "UniformToFill" | Bind;
    }
    class SkewTransform extends XF.Transform {
        static angleX: AttachedNode;
        static angleY: AttachedNode;
        static centerX: AttachedNode;
        static centerY: AttachedNode;
        /**
        * System.Double
        */
        angleX: number | null | Bind;
        /**
        * System.Double
        */
        angleY: number | null | Bind;
        /**
        * System.Double
        */
        centerX: number | null | Bind;
        /**
        * System.Double
        */
        centerY: number | null | Bind;
    }
    class Transform extends XF.BindableObject {
        static value: AttachedNode;
        /**
        * Xamarin.Forms.Shapes.Matrix
        */
        value: /*Matrix*/ any | Bind;
    }
    class TransformGroup extends XF.Transform {
        static children: AttachedNode;
        /**
        * Xamarin.Forms.Shapes.TransformCollection
        */
        children: any;
    }
    class TranslateTransform extends XF.Transform {
        static x: AttachedNode;
        static y: AttachedNode;
        /**
        * System.Double
        */
        x: number | null | Bind;
        /**
        * System.Double
        */
        y: number | null | Bind;
    }
}
export default XF;
export declare namespace Xamarin {
    namespace Forms {
        namespace PlatformConfiguration {
            namespace WindowsSpecific {
                class Application extends RootObject {
                    static imageDirectory: AttachedNode;
                }
                class FlyoutPage extends RootObject {
                    static collapseStyle: AttachedNode;
                    static collapsedPaneWidth: AttachedNode;
                }
                class MasterDetailPage extends RootObject {
                    static collapseStyle: AttachedNode;
                    static collapsedPaneWidth: AttachedNode;
                }
                class InputView extends RootObject {
                    static detectReadingOrderFromContent: AttachedNode;
                }
                class Label extends RootObject {
                    static detectReadingOrderFromContent: AttachedNode;
                }
                class ListView extends RootObject {
                    static selectionMode: AttachedNode;
                }
                class Page extends RootObject {
                    static toolbarPlacement: AttachedNode;
                    static toolbarDynamicOverflowEnabled: AttachedNode;
                }
                class RefreshView extends RootObject {
                    static refreshPullDirection: AttachedNode;
                }
                class SearchBar extends RootObject {
                    static isSpellCheckEnabled: AttachedNode;
                }
                class TabbedPage extends RootObject {
                    static headerIconsEnabled: AttachedNode;
                    static headerIconsSize: AttachedNode;
                }
                class VisualElement extends RootObject {
                    static accessKey: AttachedNode;
                    static accessKeyPlacement: AttachedNode;
                    static accessKeyHorizontalOffset: AttachedNode;
                    static accessKeyVerticalOffset: AttachedNode;
                    static isLegacyColorModeEnabled: AttachedNode;
                }
                class WebView extends RootObject {
                    static isJavaScriptAlertEnabled: AttachedNode;
                    static executionMode: AttachedNode;
                }
            }
            namespace TizenSpecific {
                class Application extends RootObject {
                    static useBezelInteraction: AttachedNode;
                    static overlayContent: AttachedNode;
                    static activeBezelInteractionElement: AttachedNode;
                    static activeBezelInteractionElementPropertyKey: RootObject;
                }
                class Entry extends RootObject {
                    static fontWeight: AttachedNode;
                }
                class Image extends RootObject {
                    static blendColor: AttachedNode;
                    static file: AttachedNode;
                }
                class ItemsView extends RootObject {
                    static focusedItemScrollPosition: AttachedNode;
                }
                class Label extends RootObject {
                    static fontWeight: AttachedNode;
                }
                class NavigationPage extends RootObject {
                    static hasBreadCrumbsBar: AttachedNode;
                }
                class Page extends RootObject {
                    static breadCrumb: AttachedNode;
                }
                class ProgressBar extends RootObject {
                    static pulsingStatus: AttachedNode;
                    static progressBarPulsingStatus: AttachedNode;
                }
                class ScrollView extends RootObject {
                    static verticalScrollStep: AttachedNode;
                    static horizontalScrollStep: AttachedNode;
                }
                class Switch extends RootObject {
                    static color: AttachedNode;
                }
                class VisualElement extends RootObject {
                    static style: AttachedNode;
                    static focusAllowed: AttachedNode;
                    static nextFocusDirection: AttachedNode;
                    static nextFocusUpView: AttachedNode;
                    static nextFocusDownView: AttachedNode;
                    static nextFocusLeftView: AttachedNode;
                    static nextFocusRightView: AttachedNode;
                    static nextFocusBackView: AttachedNode;
                    static nextFocusForwardView: AttachedNode;
                    static toolTip: AttachedNode;
                    static isFocusAllowed: AttachedNode;
                }
            }
            namespace macOSSpecific {
                class NavigationPage extends RootObject {
                    static navigationTransitionPushStyle: AttachedNode;
                    static navigationTransitionPopStyle: AttachedNode;
                }
                class Page extends RootObject {
                    static tabOrder: AttachedNode;
                }
                class TabbedPage extends RootObject {
                    static tabsStyle: AttachedNode;
                }
            }
            namespace iOSSpecific {
                class Application extends RootObject {
                    static panGestureRecognizerShouldRecognizeSimultaneously: AttachedNode;
                    static handleControlUpdatesOnMainThread: AttachedNode;
                    static enableAccessibilityScalingForNamedFontSizes: AttachedNode;
                }
                class Cell extends RootObject {
                    static defaultBackgroundColor: AttachedNode;
                }
                class DatePicker extends RootObject {
                    static updateMode: AttachedNode;
                }
                class Entry extends RootObject {
                    static adjustsFontSizeToFitWidth: AttachedNode;
                    static cursorColor: AttachedNode;
                }
                class FlyoutPage extends RootObject {
                    static applyShadow: AttachedNode;
                }
                class MasterDetailPage extends RootObject {
                    static applyShadow: AttachedNode;
                }
                class ListView extends RootObject {
                    static separatorStyle: AttachedNode;
                    static groupHeaderStyle: AttachedNode;
                    static rowAnimationsEnabled: AttachedNode;
                }
                class NavigationPage extends RootObject {
                    static isNavigationBarTranslucent: AttachedNode;
                    static statusBarTextColorMode: AttachedNode;
                    static prefersLargeTitles: AttachedNode;
                    static hideNavigationBarSeparator: AttachedNode;
                }
                class Page extends RootObject {
                    static prefersStatusBarHidden: AttachedNode;
                    static preferredStatusBarUpdateAnimation: AttachedNode;
                    static useSafeArea: AttachedNode;
                    static largeTitleDisplay: AttachedNode;
                    static prefersHomeIndicatorAutoHidden: AttachedNode;
                    static safeAreaInsets: AttachedNode;
                    static modalPresentationStyle: AttachedNode;
                }
                class Picker extends RootObject {
                    static updateMode: AttachedNode;
                }
                class ScrollView extends RootObject {
                    static shouldDelayContentTouches: AttachedNode;
                }
                class SearchBar extends RootObject {
                    static searchBarStyle: AttachedNode;
                }
                class Slider extends RootObject {
                    static updateOnTap: AttachedNode;
                }
                class SwipeView extends RootObject {
                    static swipeTransitionMode: AttachedNode;
                }
                class TabbedPage extends RootObject {
                    static translucencyMode: AttachedNode;
                }
                class TimePicker extends RootObject {
                    static updateMode: AttachedNode;
                }
                class VisualElement extends RootObject {
                    static blurEffect: AttachedNode;
                    static isShadowEnabled: AttachedNode;
                    static shadowColor: AttachedNode;
                    static shadowRadius: AttachedNode;
                    static shadowOffset: AttachedNode;
                    static shadowOpacity: AttachedNode;
                    static isLegacyColorModeEnabled: AttachedNode;
                    static canBecomeFirstResponder: AttachedNode;
                }
                class ShadowEffect extends XF.RoutingEffect {
                }
            }
            namespace GTKSpecific {
                class BoxView extends RootObject {
                    static hasCornerRadius: AttachedNode;
                }
                class NavigationPage extends RootObject {
                    static backButtonIcon: AttachedNode;
                }
                class TabbedPage extends RootObject {
                    static tabPosition: AttachedNode;
                }
            }
            namespace AndroidSpecific {
                class Application extends RootObject {
                    static windowSoftInputModeAdjust: AttachedNode;
                }
                class Button extends RootObject {
                    static useDefaultPadding: AttachedNode;
                    static useDefaultShadow: AttachedNode;
                }
                class Entry extends RootObject {
                    static imeOptions: AttachedNode;
                }
                class ImageButton extends RootObject {
                    static isShadowEnabled: AttachedNode;
                    static shadowColor: AttachedNode;
                    static shadowRadius: AttachedNode;
                    static shadowOffset: AttachedNode;
                }
                class ListView extends RootObject {
                    static isFastScrollEnabled: AttachedNode;
                }
                class SwipeView extends RootObject {
                    static swipeTransitionMode: AttachedNode;
                }
                class TabbedPage extends RootObject {
                    static isSwipePagingEnabled: AttachedNode;
                    static isSmoothScrollEnabled: AttachedNode;
                    static offscreenPageLimit: AttachedNode;
                    static toolbarPlacement: AttachedNode;
                    static barItemColor: AttachedNode;
                    static barSelectedItemColor: AttachedNode;
                }
                class ViewCell extends RootObject {
                    static isContextActionsLegacyModeEnabled: AttachedNode;
                }
                class VisualElement extends RootObject {
                    static elevation: AttachedNode;
                    static isLegacyColorModeEnabled: AttachedNode;
                }
                class WebView extends RootObject {
                    static mixedContentMode: AttachedNode;
                    static enableZoomControls: AttachedNode;
                    static displayZoomControls: AttachedNode;
                }
                namespace AppCompat {
                    class Application extends RootObject {
                        static sendDisappearingEventOnPause: AttachedNode;
                        static sendAppearingEventOnResume: AttachedNode;
                        static shouldPreserveKeyboardOnResume: AttachedNode;
                    }
                    class NavigationPage extends RootObject {
                        static barHeight: AttachedNode;
                    }
                }
            }
        }
        namespace Internals {
            class CellExtensions extends RootObject {
                static isGroupHeader: AttachedNode;
            }
            class NameScope extends RootObject {
                static nameScope: AttachedNode;
            }
            class TextTransformUtilites extends RootObject {
                static plainText: AttachedNode;
            }
            class TemplatedItemsList$Generic extends XF.BindableObject {
                static name: AttachedNode;
                static shortName: AttachedNode;
                /**
                * Xamarin.Forms.BindingBase
                */
                groupDisplayBinding: XF.BindingBase | Bind;
                static groupDisplayBinding: AttachedNode;
                /**
                * Xamarin.Forms.DataTemplate
                */
                groupHeaderTemplate: XF.DataTemplate | Bind;
                static groupHeaderTemplate: AttachedNode;
                /**
                * Xamarin.Forms.BindableProperty
                */
                groupHeaderTemplateProperty: /*BindableProperty*/ any | Bind;
                /**
                * Xamarin.Forms.BindingBase
                */
                groupShortNameBinding: XF.BindingBase | Bind;
                static groupShortNameBinding: AttachedNode;
                /**
                *
                */
                headerContent: RootObject | Bind;
                static headerContent: AttachedNode;
                /**
                * System.Boolean
                */
                isGroupingEnabled: boolean | null | Bind;
                /**
                * Xamarin.Forms.BindableProperty
                */
                isGroupingEnabledProperty: /*BindableProperty*/ any | Bind;
                /**
                * System.Collections.IEnumerable
                */
                itemsSource: RootObject | Bind;
                /**
                * System.String
                */
                name: string | null | Bind;
                /**
                * Xamarin.Forms.Internals.TemplatedItemsList`2
                */
                parent: any;
                static parent: AttachedNode;
                /**
                * Xamarin.Forms.BindableProperty
                */
                progressiveLoadingProperty: /*BindableProperty*/ any | Bind;
                /**
                * System.String
                */
                shortName: string | null | Bind;
                /**
                * System.Collections.Generic.IReadOnlyList`1[[System.String, System.Private.CoreLib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]
                */
                shortNames: RootObject | Bind;
                /**
                * System.Int32
                */
                count: number | null | Bind;
                /**
                *
                */
                item: RootObject | Bind;
                static item: AttachedNode;
            }
            class TypedBindingBase extends XF.BindingBase {
                /**
                * Xamarin.Forms.IValueConverter
                */
                converter: XF.IValueConverter | Bind;
                static converter: AttachedNode;
                /**
                * System.Object
                */
                converterParameter: RootObject | Bind;
                /**
                * System.Object
                */
                source: RootObject | Bind;
            }
            class TypedBinding$Generic extends RootObject {
            }
        }
    }
}
//# sourceMappingURL=XF.d.ts.map