(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@web-atoms/core/dist/core/XNode"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.Xamarin = void 0;
    //tslint:disable
    const XNode_1 = require("@web-atoms/core/dist/core/XNode");
    const assemblyName = `Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null`;
    let ns = ``;
    function create(name, ns) {
        return {
            configurable: true,
            enumerable: true,
            get() {
                const t = bridge.getClass(`${ns}.${name}, ${assemblyName}`);
                Object.defineProperty(this, name, {
                    configurable: true,
                    enumerable: true,
                    writable: true,
                    value: t
                });
                return t;
            }
        };
    }
    var XF;
    (function (XF) {
    })(XF || (XF = {}));
    exports.default = XF;
    var Xamarin;
    (function (Xamarin) {
        let Forms;
        (function (Forms) {
            let PlatformConfiguration;
            (function (PlatformConfiguration) {
                let WindowsSpecific;
                (function (WindowsSpecific) {
                })(WindowsSpecific = PlatformConfiguration.WindowsSpecific || (PlatformConfiguration.WindowsSpecific = {}));
                let TizenSpecific;
                (function (TizenSpecific) {
                })(TizenSpecific = PlatformConfiguration.TizenSpecific || (PlatformConfiguration.TizenSpecific = {}));
                let macOSSpecific;
                (function (macOSSpecific) {
                })(macOSSpecific = PlatformConfiguration.macOSSpecific || (PlatformConfiguration.macOSSpecific = {}));
                let iOSSpecific;
                (function (iOSSpecific) {
                })(iOSSpecific = PlatformConfiguration.iOSSpecific || (PlatformConfiguration.iOSSpecific = {}));
                let GTKSpecific;
                (function (GTKSpecific) {
                })(GTKSpecific = PlatformConfiguration.GTKSpecific || (PlatformConfiguration.GTKSpecific = {}));
                let AndroidSpecific;
                (function (AndroidSpecific) {
                    let AppCompat;
                    (function (AppCompat) {
                    })(AppCompat = AndroidSpecific.AppCompat || (AndroidSpecific.AppCompat = {}));
                })(AndroidSpecific = PlatformConfiguration.AndroidSpecific || (PlatformConfiguration.AndroidSpecific = {}));
            })(PlatformConfiguration = Forms.PlatformConfiguration || (Forms.PlatformConfiguration = {}));
            let Internals;
            (function (Internals) {
            })(Internals = Forms.Internals || (Forms.Internals = {}));
        })(Forms = Xamarin.Forms || (Xamarin.Forms = {}));
    })(Xamarin = exports.Xamarin || (exports.Xamarin = {}));
    ns = "XF";
    Object.defineProperties(XF, {
        AbsoluteLayout: create("AbsoluteLayout", "Xamarin.Forms"),
        ActivityIndicator: create("ActivityIndicator", "Xamarin.Forms"),
        AdaptiveTrigger: create("AdaptiveTrigger", "Xamarin.Forms"),
        Application: create("Application", "Xamarin.Forms"),
        AppLinkEntry: create("AppLinkEntry", "Xamarin.Forms"),
        AutomationProperties: create("AutomationProperties", "Xamarin.Forms"),
        BaseMenuItem: create("BaseMenuItem", "Xamarin.Forms"),
        BindableLayout: create("BindableLayout", "Xamarin.Forms"),
        BindableObject: create("BindableObject", "Xamarin.Forms"),
        Binding: create("Binding", "Xamarin.Forms"),
        BindingBase: create("BindingBase", "Xamarin.Forms"),
        BoxView: create("BoxView", "Xamarin.Forms"),
        Brush: create("Brush", "Xamarin.Forms"),
        Button: create("Button", "Xamarin.Forms"),
        CarouselPage: create("CarouselPage", "Xamarin.Forms"),
        Cell: create("Cell", "Xamarin.Forms"),
        EntryCell: create("EntryCell", "Xamarin.Forms"),
        ImageCell: create("ImageCell", "Xamarin.Forms"),
        SwitchCell: create("SwitchCell", "Xamarin.Forms"),
        TextCell: create("TextCell", "Xamarin.Forms"),
        ViewCell: create("ViewCell", "Xamarin.Forms"),
        CheckBox: create("CheckBox", "Xamarin.Forms"),
        ClickGestureRecognizer: create("ClickGestureRecognizer", "Xamarin.Forms"),
        Color: create("Color", "Xamarin.Forms"),
        ColumnDefinition: create("ColumnDefinition", "Xamarin.Forms"),
        CompareStateTrigger: create("CompareStateTrigger", "Xamarin.Forms"),
        CompressedLayout: create("CompressedLayout", "Xamarin.Forms"),
        Constraint: create("Constraint", "Xamarin.Forms"),
        ContentPage: create("ContentPage", "Xamarin.Forms"),
        ContentPresenter: create("ContentPresenter", "Xamarin.Forms"),
        ContentView: create("ContentView", "Xamarin.Forms"),
        ControlTemplate: create("ControlTemplate", "Xamarin.Forms"),
        DataTemplate: create("DataTemplate", "Xamarin.Forms"),
        DataTemplateSelector: create("DataTemplateSelector", "Xamarin.Forms"),
        DatePicker: create("DatePicker", "Xamarin.Forms"),
        DeviceStateTrigger: create("DeviceStateTrigger", "Xamarin.Forms"),
        DragGestureRecognizer: create("DragGestureRecognizer", "Xamarin.Forms"),
        DropGestureRecognizer: create("DropGestureRecognizer", "Xamarin.Forms"),
        Easing: create("Easing", "Xamarin.Forms"),
        Editor: create("Editor", "Xamarin.Forms"),
        Effect: create("Effect", "Xamarin.Forms"),
        Element: create("Element", "Xamarin.Forms"),
        ElementTemplate: create("ElementTemplate", "Xamarin.Forms"),
        Entry: create("Entry", "Xamarin.Forms"),
        FileImageSource: create("FileImageSource", "Xamarin.Forms"),
        FlexLayout: create("FlexLayout", "Xamarin.Forms"),
        FlyoutPage: create("FlyoutPage", "Xamarin.Forms"),
        MasterDetailPage: create("MasterDetailPage", "Xamarin.Forms"),
        FontImageSource: create("FontImageSource", "Xamarin.Forms"),
        FormattedString: create("FormattedString", "Xamarin.Forms"),
        Frame: create("Frame", "Xamarin.Forms"),
        GestureElement: create("GestureElement", "Xamarin.Forms"),
        GestureRecognizer: create("GestureRecognizer", "Xamarin.Forms"),
        GradientBrush: create("GradientBrush", "Xamarin.Forms"),
        GradientStop: create("GradientStop", "Xamarin.Forms"),
        Grid: create("Grid", "Xamarin.Forms"),
        HtmlWebViewSource: create("HtmlWebViewSource", "Xamarin.Forms"),
        Image: create("Image", "Xamarin.Forms"),
        ImageButton: create("ImageButton", "Xamarin.Forms"),
        ImageSource: create("ImageSource", "Xamarin.Forms"),
        IndicatorView: create("IndicatorView", "Xamarin.Forms"),
        InputView: create("InputView", "Xamarin.Forms"),
        Behavior: create("Behavior", "Xamarin.Forms"),
        Behavior$Generic: create("Behavior`1", "Xamarin.Forms"),
        BindingCondition: create("BindingCondition", "Xamarin.Forms"),
        DataTrigger: create("DataTrigger", "Xamarin.Forms"),
        EventTrigger: create("EventTrigger", "Xamarin.Forms"),
        MultiTrigger: create("MultiTrigger", "Xamarin.Forms"),
        Trigger: create("Trigger", "Xamarin.Forms"),
        TriggerBase: create("TriggerBase", "Xamarin.Forms"),
        ItemsView$Generic: create("ItemsView`1", "Xamarin.Forms"),
        CarouselView: create("CarouselView", "Xamarin.Forms"),
        CollectionView: create("CollectionView", "Xamarin.Forms"),
        GridItemsLayout: create("GridItemsLayout", "Xamarin.Forms"),
        GroupableItemsView: create("GroupableItemsView", "Xamarin.Forms"),
        ItemsLayout: create("ItemsLayout", "Xamarin.Forms"),
        ItemsView: create("ItemsView", "Xamarin.Forms"),
        LinearItemsLayout: create("LinearItemsLayout", "Xamarin.Forms"),
        SelectableItemsView: create("SelectableItemsView", "Xamarin.Forms"),
        StructuredItemsView: create("StructuredItemsView", "Xamarin.Forms"),
        IValueConverter: create("IValueConverter", "Xamarin.Forms"),
        Label: create("Label", "Xamarin.Forms"),
        Layout$Generic: create("Layout`1", "Xamarin.Forms"),
        Layout: create("Layout", "Xamarin.Forms"),
        LayoutOptions: create("LayoutOptions", "Xamarin.Forms"),
        LinearGradientBrush: create("LinearGradientBrush", "Xamarin.Forms"),
        ListView: create("ListView", "Xamarin.Forms"),
        Menu: create("Menu", "Xamarin.Forms"),
        MenuItem: create("MenuItem", "Xamarin.Forms"),
        MultiBinding: create("MultiBinding", "Xamarin.Forms"),
        MultiPage$Generic: create("MultiPage`1", "Xamarin.Forms"),
        NameScopeExtensions: create("NameScopeExtensions", "Xamarin.Forms"),
        NavigationPage: create("NavigationPage", "Xamarin.Forms"),
        NullEffect: create("NullEffect", "Xamarin.Forms"),
        OpenGLView: create("OpenGLView", "Xamarin.Forms"),
        OrientationStateTrigger: create("OrientationStateTrigger", "Xamarin.Forms"),
        Page: create("Page", "Xamarin.Forms"),
        PanGestureRecognizer: create("PanGestureRecognizer", "Xamarin.Forms"),
        Picker: create("Picker", "Xamarin.Forms"),
        PinchGestureRecognizer: create("PinchGestureRecognizer", "Xamarin.Forms"),
        PlatformEffect$Generic: create("PlatformEffect`2", "Xamarin.Forms"),
        Point: create("Point", "Xamarin.Forms"),
        ProgressBar: create("ProgressBar", "Xamarin.Forms"),
        RadialGradientBrush: create("RadialGradientBrush", "Xamarin.Forms"),
        RadioButton: create("RadioButton", "Xamarin.Forms"),
        RadioButtonGroup: create("RadioButtonGroup", "Xamarin.Forms"),
        Rect: create("Rect", "Xamarin.Forms"),
        RefreshView: create("RefreshView", "Xamarin.Forms"),
        RelativeBindingSource: create("RelativeBindingSource", "Xamarin.Forms"),
        RelativeBindingSourceMode: create("RelativeBindingSourceMode", "Xamarin.Forms"),
        RelativeLayout: create("RelativeLayout", "Xamarin.Forms"),
        Routing: create("Routing", "Xamarin.Forms"),
        RoutingEffect: create("RoutingEffect", "Xamarin.Forms"),
        RowDefinition: create("RowDefinition", "Xamarin.Forms"),
        ScrollView: create("ScrollView", "Xamarin.Forms"),
        SearchBar: create("SearchBar", "Xamarin.Forms"),
        BackButtonBehavior: create("BackButtonBehavior", "Xamarin.Forms"),
        BaseShellItem: create("BaseShellItem", "Xamarin.Forms"),
        NavigableElement: create("NavigableElement", "Xamarin.Forms"),
        SearchHandler: create("SearchHandler", "Xamarin.Forms"),
        Shell: create("Shell", "Xamarin.Forms"),
        ShellContent: create("ShellContent", "Xamarin.Forms"),
        ShellGroupItem: create("ShellGroupItem", "Xamarin.Forms"),
        FlyoutItem: create("FlyoutItem", "Xamarin.Forms"),
        TabBar: create("TabBar", "Xamarin.Forms"),
        ShellItem: create("ShellItem", "Xamarin.Forms"),
        Tab: create("Tab", "Xamarin.Forms"),
        ShellSection: create("ShellSection", "Xamarin.Forms"),
        Size: create("Size", "Xamarin.Forms"),
        Slider: create("Slider", "Xamarin.Forms"),
        SolidColorBrush: create("SolidColorBrush", "Xamarin.Forms"),
        Span: create("Span", "Xamarin.Forms"),
        StackLayout: create("StackLayout", "Xamarin.Forms"),
        StateTrigger: create("StateTrigger", "Xamarin.Forms"),
        StateTriggerBase: create("StateTriggerBase", "Xamarin.Forms"),
        Stepper: create("Stepper", "Xamarin.Forms"),
        StreamImageSource: create("StreamImageSource", "Xamarin.Forms"),
        Style: create("Style", "Xamarin.Forms"),
        SwipeGestureRecognizer: create("SwipeGestureRecognizer", "Xamarin.Forms"),
        SwipeItem: create("SwipeItem", "Xamarin.Forms"),
        SwipeItems: create("SwipeItems", "Xamarin.Forms"),
        SwipeItemView: create("SwipeItemView", "Xamarin.Forms"),
        SwipeView: create("SwipeView", "Xamarin.Forms"),
        Switch: create("Switch", "Xamarin.Forms"),
        TabbedPage: create("TabbedPage", "Xamarin.Forms"),
        TableRoot: create("TableRoot", "Xamarin.Forms"),
        TableSectionBase$Generic: create("TableSectionBase`1", "Xamarin.Forms"),
        TableSection: create("TableSection", "Xamarin.Forms"),
        TableSectionBase: create("TableSectionBase", "Xamarin.Forms"),
        TableView: create("TableView", "Xamarin.Forms"),
        TapGestureRecognizer: create("TapGestureRecognizer", "Xamarin.Forms"),
        TemplateBinding: create("TemplateBinding", "Xamarin.Forms"),
        TemplatedPage: create("TemplatedPage", "Xamarin.Forms"),
        TemplatedView: create("TemplatedView", "Xamarin.Forms"),
        TimePicker: create("TimePicker", "Xamarin.Forms"),
        ToolbarItem: create("ToolbarItem", "Xamarin.Forms"),
        UriImageSource: create("UriImageSource", "Xamarin.Forms"),
        UrlWebViewSource: create("UrlWebViewSource", "Xamarin.Forms"),
        View: create("View", "Xamarin.Forms"),
        VisualElement: create("VisualElement", "Xamarin.Forms"),
        VisualStateManager: create("VisualStateManager", "Xamarin.Forms"),
        WebView: create("WebView", "Xamarin.Forms"),
        WebViewSource: create("WebViewSource", "Xamarin.Forms"),
        StyleSheet: create("StyleSheet", "Xamarin.Forms.StyleSheets"),
        ArcSegment: create("ArcSegment", "Xamarin.Forms.Shapes"),
        BezierSegment: create("BezierSegment", "Xamarin.Forms.Shapes"),
        CompositeTransform: create("CompositeTransform", "Xamarin.Forms.Shapes"),
        Ellipse: create("Ellipse", "Xamarin.Forms.Shapes"),
        EllipseGeometry: create("EllipseGeometry", "Xamarin.Forms.Shapes"),
        Geometry: create("Geometry", "Xamarin.Forms.Shapes"),
        GeometryGroup: create("GeometryGroup", "Xamarin.Forms.Shapes"),
        GeometryHelper: create("GeometryHelper", "Xamarin.Forms.Shapes"),
        Line: create("Line", "Xamarin.Forms.Shapes"),
        LineGeometry: create("LineGeometry", "Xamarin.Forms.Shapes"),
        LineSegment: create("LineSegment", "Xamarin.Forms.Shapes"),
        MatrixTransform: create("MatrixTransform", "Xamarin.Forms.Shapes"),
        Path: create("Path", "Xamarin.Forms.Shapes"),
        PathFigure: create("PathFigure", "Xamarin.Forms.Shapes"),
        PathGeometry: create("PathGeometry", "Xamarin.Forms.Shapes"),
        PathSegment: create("PathSegment", "Xamarin.Forms.Shapes"),
        PolyBezierSegment: create("PolyBezierSegment", "Xamarin.Forms.Shapes"),
        Polygon: create("Polygon", "Xamarin.Forms.Shapes"),
        Polyline: create("Polyline", "Xamarin.Forms.Shapes"),
        PolyLineSegment: create("PolyLineSegment", "Xamarin.Forms.Shapes"),
        PolyQuadraticBezierSegment: create("PolyQuadraticBezierSegment", "Xamarin.Forms.Shapes"),
        QuadraticBezierSegment: create("QuadraticBezierSegment", "Xamarin.Forms.Shapes"),
        Rectangle: create("Rectangle", "Xamarin.Forms.Shapes"),
        RectangleGeometry: create("RectangleGeometry", "Xamarin.Forms.Shapes"),
        RotateTransform: create("RotateTransform", "Xamarin.Forms.Shapes"),
        RoundRectangleGeometry: create("RoundRectangleGeometry", "Xamarin.Forms.Shapes"),
        ScaleTransform: create("ScaleTransform", "Xamarin.Forms.Shapes"),
        Shape: create("Shape", "Xamarin.Forms.Shapes"),
        SkewTransform: create("SkewTransform", "Xamarin.Forms.Shapes"),
        Transform: create("Transform", "Xamarin.Forms.Shapes"),
        TransformGroup: create("TransformGroup", "Xamarin.Forms.Shapes"),
        TranslateTransform: create("TranslateTransform", "Xamarin.Forms.Shapes"),
    });
    ns = "Xamarin.Forms.PlatformConfiguration.WindowsSpecific";
    Object.defineProperties(Xamarin.Forms.PlatformConfiguration.WindowsSpecific, {
        Application: create("Application", ns),
        FlyoutPage: create("FlyoutPage", ns),
        MasterDetailPage: create("MasterDetailPage", ns),
        InputView: create("InputView", ns),
        Label: create("Label", ns),
        ListView: create("ListView", ns),
        Page: create("Page", ns),
        RefreshView: create("RefreshView", ns),
        SearchBar: create("SearchBar", ns),
        TabbedPage: create("TabbedPage", ns),
        VisualElement: create("VisualElement", ns),
        WebView: create("WebView", ns),
    });
    ns = "Xamarin.Forms.PlatformConfiguration.TizenSpecific";
    Object.defineProperties(Xamarin.Forms.PlatformConfiguration.TizenSpecific, {
        Application: create("Application", ns),
        Entry: create("Entry", ns),
        Image: create("Image", ns),
        ItemsView: create("ItemsView", ns),
        Label: create("Label", ns),
        NavigationPage: create("NavigationPage", ns),
        Page: create("Page", ns),
        ProgressBar: create("ProgressBar", ns),
        ScrollView: create("ScrollView", ns),
        Switch: create("Switch", ns),
        VisualElement: create("VisualElement", ns),
    });
    ns = "Xamarin.Forms.PlatformConfiguration.macOSSpecific";
    Object.defineProperties(Xamarin.Forms.PlatformConfiguration.macOSSpecific, {
        NavigationPage: create("NavigationPage", ns),
        Page: create("Page", ns),
        TabbedPage: create("TabbedPage", ns),
    });
    ns = "Xamarin.Forms.PlatformConfiguration.iOSSpecific";
    Object.defineProperties(Xamarin.Forms.PlatformConfiguration.iOSSpecific, {
        Application: create("Application", ns),
        Cell: create("Cell", ns),
        DatePicker: create("DatePicker", ns),
        Entry: create("Entry", ns),
        FlyoutPage: create("FlyoutPage", ns),
        MasterDetailPage: create("MasterDetailPage", ns),
        ListView: create("ListView", ns),
        NavigationPage: create("NavigationPage", ns),
        Page: create("Page", ns),
        Picker: create("Picker", ns),
        ScrollView: create("ScrollView", ns),
        SearchBar: create("SearchBar", ns),
        Slider: create("Slider", ns),
        SwipeView: create("SwipeView", ns),
        TabbedPage: create("TabbedPage", ns),
        TimePicker: create("TimePicker", ns),
        VisualElement: create("VisualElement", ns),
        ShadowEffect: create("ShadowEffect", ns),
    });
    ns = "Xamarin.Forms.PlatformConfiguration.GTKSpecific";
    Object.defineProperties(Xamarin.Forms.PlatformConfiguration.GTKSpecific, {
        BoxView: create("BoxView", ns),
        NavigationPage: create("NavigationPage", ns),
        TabbedPage: create("TabbedPage", ns),
    });
    ns = "Xamarin.Forms.PlatformConfiguration.AndroidSpecific";
    Object.defineProperties(Xamarin.Forms.PlatformConfiguration.AndroidSpecific, {
        Application: create("Application", ns),
        Button: create("Button", ns),
        Entry: create("Entry", ns),
        ImageButton: create("ImageButton", ns),
        ListView: create("ListView", ns),
        SwipeView: create("SwipeView", ns),
        TabbedPage: create("TabbedPage", ns),
        ViewCell: create("ViewCell", ns),
        VisualElement: create("VisualElement", ns),
        WebView: create("WebView", ns),
    });
    ns = "Xamarin.Forms.PlatformConfiguration.AndroidSpecific.AppCompat";
    Object.defineProperties(Xamarin.Forms.PlatformConfiguration.AndroidSpecific.AppCompat, {
        Application: create("Application", ns),
        NavigationPage: create("NavigationPage", ns),
    });
    ns = "Xamarin.Forms.Internals";
    Object.defineProperties(Xamarin.Forms.Internals, {
        CellExtensions: create("CellExtensions", ns),
        NameScope: create("NameScope", ns),
        TextTransformUtilites: create("TextTransformUtilites", ns),
        TemplatedItemsList$Generic: create("TemplatedItemsList`2", ns),
        TypedBindingBase: create("TypedBindingBase", ns),
        TypedBinding$Generic: create("TypedBinding`2", ns),
    });
});
//# sourceMappingURL=XF.js.map