var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@web-atoms/core/dist/core/AtomBinder", "@web-atoms/core/dist/core/Bind", "@web-atoms/core/dist/core/BindableProperty", "@web-atoms/core/dist/core/Colors", "@web-atoms/core/dist/core/PropertyBinding", "@web-atoms/core/dist/core/XNode", "@web-atoms/core/dist/services/NavigationService", "@web-atoms/core/dist/web/styles/AtomStyle", "@web-atoms/core/dist/xf/controls/AtomXFControl", "../clr/RgPluginsPopup", "../clr/WA", "../clr/XF", "../pages/AtomXFContentPage", "../pages/AtomXFPopupPage", "./SearchPageViewModel", "./SelectionList"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.AtomXFComboBoxStyle = void 0;
    const AtomBinder_1 = require("@web-atoms/core/dist/core/AtomBinder");
    const Bind_1 = require("@web-atoms/core/dist/core/Bind");
    const BindableProperty_1 = require("@web-atoms/core/dist/core/BindableProperty");
    const Colors_1 = require("@web-atoms/core/dist/core/Colors");
    const PropertyBinding_1 = require("@web-atoms/core/dist/core/PropertyBinding");
    const XNode_1 = require("@web-atoms/core/dist/core/XNode");
    const NavigationService_1 = require("@web-atoms/core/dist/services/NavigationService");
    const AtomStyle_1 = require("@web-atoms/core/dist/web/styles/AtomStyle");
    const AtomXFControl_1 = require("@web-atoms/core/dist/xf/controls/AtomXFControl");
    const RgPluginsPopup_1 = require("../clr/RgPluginsPopup");
    const WA_1 = require("../clr/WA");
    const XF_1 = require("../clr/XF");
    const AtomXFContentPage_1 = require("../pages/AtomXFContentPage");
    const AtomXFPopupPage_1 = require("../pages/AtomXFPopupPage");
    const SearchPageViewModel_1 = require("./SearchPageViewModel");
    const SelectionList_1 = require("./SelectionList");
    class AtomXFComboBoxStyle extends AtomStyle_1.AtomStyle {
        get root() {
            return {
                subclasses: {
                    " .item": {
                        padding: 10
                    }
                }
            };
        }
    }
    exports.AtomXFComboBoxStyle = AtomXFComboBoxStyle;
    class AtomXFComboBox extends AtomXFControl_1.AtomXFControl {
        constructor(a, e) {
            super(a, e || new XF_1.default.Grid());
        }
        onPropertyChanged(name) {
            if (name === "items") {
                if (this.value !== undefined
                    && (this.items && this.items.indexOf(this.selectedItem) === -1)) {
                    AtomBinder_1.AtomBinder.refreshValue(this, "value");
                    return;
                }
            }
        }
        filterItems(s, searchText, items) {
            if (!searchText) {
                return items;
            }
            if (!s) {
                return items;
            }
            const r = new RegExp(searchText, "i");
            if (Array.isArray(s)) {
                const a = s;
                s = (i) => {
                    for (const item of a) {
                        // tslint:disable-next-line: triple-equals
                        let field = i[item];
                        if (field) {
                            if (typeof field !== "string") {
                                field = field.toString();
                            }
                            if (r.test(field)) {
                                return true;
                            }
                        }
                    }
                    return false;
                };
                return items.filter(s);
            }
            if (typeof s === "function") {
                return items.filter((item) => s(item, searchText));
            }
            // tslint:disable-next-line: triple-equals
            return items.filter((item) => {
                let field = item[s];
                if (field) {
                    if (typeof field !== "string") {
                        field = field.toString();
                    }
                    if (r.test(field)) {
                        return true;
                    }
                }
                return false;
            });
        }
        preCreate() {
            this.defaultControlStyle = AtomXFComboBoxStyle;
            this.prompt = "Select";
            this.showSearch = true;
            this.showAsPopup = true;
            this.searchText = "";
            this.itemPadding = 10;
            this.search = ["label", "value"];
            // this.value = null;
            this.valuePath = "value";
            // this.selectedItem = null;
            this.promptTemplate = null;
            this.itemTemplate = null;
            this.dropDownImage = "res://WebAtoms.XF/Images.DropDownImage.png";
            this.selectionViewTemplate = null;
            const vf = (item, def) => {
                if (item === undefined || item === null) {
                    return def;
                }
                const vp = this.valuePath;
                if (typeof vp === "function") {
                    return vp(item);
                }
                return item[vp];
            };
            this.registerDisposable(new PropertyBinding_1.PropertyBinding(this, this.element, "selectedItem", [["this", "value"]], true, {
                fromSource: (v) => (v !== undefined && v !== null && this.items)
                    ? (this.items.find((x) => vf(x) === v) || this.selectedItem)
                    : this.selectedItem,
                fromTarget: (v) => vf(v, this.value)
            }, this));
            // if the items were updated... we need to refresh the selected item...
            // this.registerDisposable(new AtomWatcher(this, () => this.items, () => {
            //     if (this.selectedItem === undefined
            //         || this.selectedItem === null
            //         || (this.items && this.items.indexOf(this.selectedItem) === -1)) {
            //         AtomBinder.refreshValue(this, "value");
            //         return;
            //     }
            // }));
        }
        create() {
            // const ImageButton = XNode.attach(AtomXFLink, XF.ImageButton);
            this.render(XNode_1.default.create(XF_1.default.Grid, { styleClass: this.controlStyle.name },
                XNode_1.default.create(AtomXFComboBox.promptTemplate, null,
                    XNode_1.default.create(XF_1.default.DataTemplate, null,
                        XNode_1.default.create(XF_1.default.Label, { verticalTextAlignment: "Center", styleClass: "item", text: Bind_1.default.oneWay(() => this.prompt) }))),
                XNode_1.default.create(AtomXFComboBox.itemTemplate, null,
                    XNode_1.default.create(XF_1.default.DataTemplate, null,
                        XNode_1.default.create(XF_1.default.Label, { styleClass: "item", verticalTextAlignment: "Center", text: Bind_1.default.oneWay((x) => (x.data ? (x.data.label) : null) || "Loading.."), backgroundColor: Bind_1.default.oneWay((x) => x.data === x.viewModel.selectedItem
                                ? Colors_1.default.lightBlue
                                : Colors_1.default.white) }))),
                XNode_1.default.create(AtomXFComboBox.selectionViewTemplate, null,
                    XNode_1.default.create(XF_1.default.DataTemplate, null,
                        XNode_1.default.create(SelectionList_1.default, null))),
                XNode_1.default.create(XF_1.default.Grid.columnDefinitions, null,
                    XNode_1.default.create(XF_1.default.ColumnDefinition, null),
                    XNode_1.default.create(XF_1.default.ColumnDefinition, { width: "Auto" })),
                XNode_1.default.create(WA_1.default.AtomView, { bindingContext: Bind_1.default.oneWay(() => this.selectedItem), dataTemplate: Bind_1.default.oneWay(() => this.itemTemplate), emptyDataTemplate: Bind_1.default.oneWay(() => this.promptTemplate) }),
                XNode_1.default.create(WA_1.default.AtomPathButton, Object.assign({}, XF_1.default.Grid.column(1), { heightRequest: 30, widthRequest: 30, fill: XF_1.default.SolidColorBrush.transparent, stroke: XF_1.default.SolidColorBrush.darkGray, data: WA_1.default.AtomPathButton.dropDown, command: () => this.app.runAsync(() => this.openPopup()) }))));
        }
        openPopup() {
            return __awaiter(this, void 0, void 0, function* () {
                try {
                    const ns = this.resolve(NavigationService_1.NavigationService);
                    const r = yield ns.openPage(this.showAsPopup ? SearchPopupPage : SearchPage, {
                        "title": this.prompt,
                        "ref:selectedItem": this.selectedItem,
                        "ref:comboBox": this
                    });
                    this.selectedItem = r;
                    this.element.dispatchEvent(new CustomEvent("selectionChanged", { detail: r }));
                }
                catch (e) {
                    // tslint:disable-next-line: no-console
                    console.error(e);
                }
            });
        }
    }
    AtomXFComboBox.itemTemplate = XNode_1.default.prepare("itemTemplate", true, true);
    AtomXFComboBox.promptTemplate = XNode_1.default.prepare("promptTemplate", true, true);
    AtomXFComboBox.selectionViewTemplate = XNode_1.default.prepare("selectionViewTemplate", true, true);
    __decorate([
        BindableProperty_1.BindableProperty,
        __metadata("design:type", Object)
    ], AtomXFComboBox.prototype, "selectedItem", void 0);
    __decorate([
        BindableProperty_1.BindableProperty,
        __metadata("design:type", Array)
    ], AtomXFComboBox.prototype, "items", void 0);
    __decorate([
        BindableProperty_1.BindableProperty,
        __metadata("design:type", Object)
    ], AtomXFComboBox.prototype, "value", void 0);
    exports.default = AtomXFComboBox;
    class SearchPage extends AtomXFContentPage_1.default {
        create() {
            this.viewModel = this.resolve(SearchPageViewModel_1.default);
            this.render(XNode_1.default.create(XF_1.default.ContentPage, { title: Bind_1.default.oneWay(() => this.viewModel.title) },
                XNode_1.default.create(WA_1.default.AtomView, { bindingContext: "Empty", dataTemplate: Bind_1.default.oneWay(() => this.viewModel.comboBox.selectionViewTemplate) })));
        }
    }
    class SearchPopupPage extends AtomXFPopupPage_1.default {
        create() {
            this.viewModel = this.resolve(SearchPageViewModel_1.default);
            this.render(XNode_1.default.create(RgPluginsPopup_1.default.PopupPage, null,
                XNode_1.default.create(WA_1.default.AtomView, { bindingContext: "Empty", dataTemplate: Bind_1.default.oneWay(() => this.viewModel.comboBox.selectionViewTemplate) })));
        }
    }
});
//# sourceMappingURL=AtomXFComboBox.js.map