(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@web-atoms/core/dist/core/Bind", "@web-atoms/core/dist/core/XNode", "@web-atoms/core/dist/web/styles/AtomStyle", "../calendar/AtomXFCalendar", "../clr/XF", "../link/AtomXFLink", "../pages/AtomXFPopupPage"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.AtomXFDateFieldStyle = void 0;
    const Bind_1 = require("@web-atoms/core/dist/core/Bind");
    const XNode_1 = require("@web-atoms/core/dist/core/XNode");
    const AtomStyle_1 = require("@web-atoms/core/dist/web/styles/AtomStyle");
    const AtomXFCalendar_1 = require("../calendar/AtomXFCalendar");
    const XF_1 = require("../clr/XF");
    const AtomXFLink_1 = require("../link/AtomXFLink");
    const AtomXFPopupPage_1 = require("../pages/AtomXFPopupPage");
    const controlTemplate = XNode_1.default.create(XF_1.default.ControlTemplate, null,
        XNode_1.default.create(XF_1.default.Grid, null,
            XNode_1.default.create(XF_1.default.Grid.columnDefinitions, null,
                XNode_1.default.create(XF_1.default.ColumnDefinition, null),
                XNode_1.default.create(XF_1.default.ColumnDefinition, { width: "auto" })),
            XNode_1.default.create(XF_1.default.ContentPresenter, null),
            XNode_1.default.create(XF_1.default.Image, Object.assign({}, XF_1.default.Grid.column(1), { source: "res://WebAtoms.XF/Images.DropDownImage.png" }))));
    class AtomXFDateFieldStyle extends AtomStyle_1.AtomStyle {
        get root() {
            return {
                padding: 10
            };
        }
    }
    exports.AtomXFDateFieldStyle = AtomXFDateFieldStyle;
    class AtomXFDateField extends AtomXFLink_1.default.contentView {
        preCreate() {
            this.defaultControlStyle = AtomXFDateFieldStyle;
            super.preCreate();
            this.selectedDate = null;
            this.yearStart = -10;
            this.yearEnd = 10;
            this.enableFunc = null;
            this.parameters = { title: "Select Date" };
            this.render(XNode_1.default.create(XF_1.default.ContentView, { styleClass: this.controlStyle.name, controlTemplate: controlTemplate },
                XNode_1.default.create(AtomXFLink_1.default.page, null,
                    XNode_1.default.create(AtomXFPopupPage_1.default, null,
                        XNode_1.default.create(AtomXFCalendar_1.default, { selectedDate: Bind_1.default.twoWays(() => this.selectedDate), yearStart: Bind_1.default.oneWay(() => this.yearStart), yearEnd: Bind_1.default.oneWay(() => this.yearEnd), enableFunc: Bind_1.default.oneWay(() => this.enableFunc), itemTemplate: Bind_1.default.oneWay(() => this.itemTemplate || undefined), eventDateClicked: Bind_1.default.event((s, e) => s.viewModel.close(e.detail.value)) }))),
                XNode_1.default.create(XF_1.default.Label, { text: Bind_1.default.oneWay(() => this.selectedDate
                        ? this.selectedDate.toLocaleDateString()
                        : "Select"), eventResult: Bind_1.default.event((s, e) => this.selectedDate = e.detail) })));
        }
    }
    exports.default = AtomXFDateField;
    AtomXFDateField.itemTemplate = XNode_1.default.prepare("itemTemplate", true, true);
});
//# sourceMappingURL=AtomDateField.js.map