import { App } from "@web-atoms/core/dist/App";
import { CancelToken } from "@web-atoms/core/dist/core/types";
import XNode from "@web-atoms/core/dist/core/XNode";
import { IPageOptions } from "@web-atoms/core/dist/services/NavigationService";
import { AtomXFControl } from "@web-atoms/core/dist/xf/controls/AtomXFControl";
export default class AtomXFLink extends AtomXFControl {
    static get button(): typeof AtomXFLink;
    static get label(): typeof AtomXFLink;
    static get imageButton(): typeof AtomXFLink;
    static get contentView(): typeof AtomXFLink;
    static page: (attributes: Partial<unknown>, ...nodes: XNode[]) => XNode;
    page: string | any;
    parameters: any;
    isOpen: boolean;
    cancelToken: CancelToken;
    options: IPageOptions;
    /**
     * Block opening Popup/Page again till the opened page is closed or cancelled.
     * If set true, toggle will not work. Default is false.
     */
    modal: boolean;
    /**
     * Setting Toggle (default true) true will close the already opened Popup/window, otherwise it will
     * open a new window if Modal is false.
     */
    toggle: boolean;
    constructor(app: App, e?: any);
    protected preCreate(): void;
    protected openPopup(): Promise<void>;
}
//# sourceMappingURL=AtomXFLink.d.ts.map