var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@web-atoms/core/dist/core/Bind", "@web-atoms/core/dist/core/types", "@web-atoms/core/dist/core/XNode", "@web-atoms/core/dist/services/NavigationService", "@web-atoms/core/dist/xf/controls/AtomXFControl", "../clr/XF"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const Bind_1 = require("@web-atoms/core/dist/core/Bind");
    const types_1 = require("@web-atoms/core/dist/core/types");
    const XNode_1 = require("@web-atoms/core/dist/core/XNode");
    const NavigationService_1 = require("@web-atoms/core/dist/services/NavigationService");
    const AtomXFControl_1 = require("@web-atoms/core/dist/xf/controls/AtomXFControl");
    const XF_1 = require("../clr/XF");
    class AtomXFLink extends AtomXFControl_1.AtomXFControl {
        constructor(app, e) {
            super(app, e || new XF_1.default.Label());
        }
        static get button() {
            return ButtonLink;
        }
        static get label() {
            return AtomXFLink;
        }
        static get imageButton() {
            return ImageButtonLink;
        }
        static get contentView() {
            return ContentViewLink;
        }
        preCreate() {
            this.page = null;
            this.parameters = null;
            this.isOpen = false;
            this.options = null;
            this.modal = false;
            this.toggle = true;
            super.preCreate();
            this.render(XNode_1.default.create(XF_1.default.View, null,
                XNode_1.default.create(XF_1.default.View.gestureRecognizers, null,
                    XNode_1.default.create(XF_1.default.TapGestureRecognizer, { command: Bind_1.default.event(() => {
                            // tslint:disable-next-line: no-console
                            console.log(`Opening popup`);
                            if (this.modal) {
                                return this.openPopup();
                            }
                            return this.app.runAsync(() => this.openPopup());
                        }) }))));
            // this.bindEvent(
            //     this.element,
            //     "click",
            //     () => {
            //         if (this.modal) {
            //             return this.openPopup();
            //         }
            //         return this.app.runAsync(() => this.openPopup());
            //     });
            this.registerDisposable({
                dispose: () => {
                    const ct = this.cancelToken;
                    if (ct) {
                        ct.cancel();
                    }
                }
            });
        }
        openPopup() {
            return __awaiter(this, void 0, void 0, function* () {
                if (this.cancelToken) {
                    if (this.toggle) {
                        this.cancelToken.cancel();
                        this.cancelToken = null;
                        this.isOpen = false;
                        return;
                    }
                    else {
                        this.cancelToken.dispose();
                    }
                }
                this.cancelToken = new types_1.CancelToken();
                try {
                    const navigationService = this.app.resolve(NavigationService_1.NavigationService);
                    const pt = this.page;
                    if (!pt) {
                        // tslint:disable-next-line:no-console
                        console.error("No popup template specified in PopupButton");
                        return;
                    }
                    this.isOpen = true;
                    const o = this.options ? Object.assign(Object.assign({}, this.options), { cancelToken: this.cancelToken }) :
                        { cancelToken: this.cancelToken };
                    const getParametersEvent = new CustomEvent("getParameters", { detail: {} });
                    this.element.dispatchEvent(getParametersEvent);
                    const p = getParametersEvent.detail.parameters || this.parameters;
                    const result = yield navigationService.openPage(pt, p, o);
                    this.element.dispatchEvent(new CustomEvent("result", { detail: result }));
                }
                catch (e) {
                    // tslint:disable-next-line: no-console
                    console.error(e);
                    // if element is disposed or null, ignore
                    if (this.element) {
                        this.element.dispatchEvent(new CustomEvent("error", { detail: e }));
                    }
                }
                finally {
                    this.cancelToken = null;
                    this.isOpen = false;
                }
            });
        }
    }
    exports.default = AtomXFLink;
    AtomXFLink.page = XNode_1.default.prepare("page", true, true);
    class ButtonLink extends AtomXFLink {
        constructor(a, e) {
            super(a, e || new XF_1.default.Button());
            this.setLocalValue(this.element, "command", () => this.openPopup());
        }
    }
    class ImageButtonLink extends AtomXFLink {
        constructor(a, e) {
            super(a, e || new XF_1.default.ImageButton());
            this.setLocalValue(this.element, "command", () => this.openPopup());
        }
    }
    class ContentViewLink extends AtomXFLink {
        constructor(a, e) {
            super(a, e || new XF_1.default.ContentView());
        }
    }
});
//# sourceMappingURL=AtomXFLink.js.map