(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@web-atoms/core/dist/core/AtomBinder", "@web-atoms/core/dist/core/AtomWatcher", "@web-atoms/core/dist/core/Bind", "@web-atoms/core/dist/core/Colors", "@web-atoms/core/dist/core/PropertyBinding", "@web-atoms/core/dist/core/XNode", "@web-atoms/core/dist/view-model/AtomViewModel", "@web-atoms/core/dist/xf/controls/AtomXFControl", "../clr/WA", "../clr/XF"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const AtomBinder_1 = require("@web-atoms/core/dist/core/AtomBinder");
    const AtomWatcher_1 = require("@web-atoms/core/dist/core/AtomWatcher");
    const Bind_1 = require("@web-atoms/core/dist/core/Bind");
    const Colors_1 = require("@web-atoms/core/dist/core/Colors");
    const PropertyBinding_1 = require("@web-atoms/core/dist/core/PropertyBinding");
    const XNode_1 = require("@web-atoms/core/dist/core/XNode");
    const AtomViewModel_1 = require("@web-atoms/core/dist/view-model/AtomViewModel");
    const AtomXFControl_1 = require("@web-atoms/core/dist/xf/controls/AtomXFControl");
    const WA_1 = require("../clr/WA");
    const XF_1 = require("../clr/XF");
    class ToggleButtonBarViewModel extends AtomViewModel_1.AtomViewModel {
    }
    class AtomXFToggleButtonBar extends AtomXFControl_1.AtomXFControl {
        constructor(app, e) {
            super(app, e || new XF_1.default.Frame());
        }
        preCreate() {
            this.items = null;
            this.value = null;
            this.labelPath = "label";
            this.valuePath = "value";
            this.itemTemplate = null;
            this.selectedItem = null;
            const vf = (item) => {
                if (!item) {
                    return null;
                }
                const vp = this.valuePath;
                if (typeof vp === "function") {
                    return vp(item);
                }
                return item[vp];
            };
            this.registerDisposable(new PropertyBinding_1.PropertyBinding(this, null, "value", [["this", "selectedItem"]], true, {
                fromSource: (v) => this.value = vf(this.selectedItem),
                fromTarget: (v) => this.selectedItem = this.items.find((x) => vf(x) === this.value)
            }, this));
            this.registerDisposable(new AtomWatcher_1.AtomWatcher(this, () => this.items, () => {
                if (this.selectedItem === null) {
                    AtomBinder_1.AtomBinder.refreshValue(this, "value");
                }
            }));
        }
        create() {
            this.localViewModel = this.resolve(ToggleButtonBarViewModel);
            this.localViewModel.owner = this;
            this.render(XNode_1.default.create(XF_1.default.Frame, { padding: 2, heightRequest: 40 },
                XNode_1.default.create(AtomXFToggleButtonBar.itemTemplate, null,
                    XNode_1.default.create(XF_1.default.DataTemplate, null,
                        XNode_1.default.create(XF_1.default.Label, { padding: 10, horizontalOptions: "FillAndExpand", horizontalTextAlignment: "Center", verticalTextAlignment: "Center", verticalOptions: "Center", text: Bind_1.default.oneWay((x) => x.data ? x.data[this.labelPath] : "."), backgroundColor: Bind_1.default.oneWay((x) => x.data === this.selectedItem
                                ? Colors_1.default.black
                                : Colors_1.default.white), textColor: Bind_1.default.oneWay((x) => x.data !== this.selectedItem
                                ? Colors_1.default.black
                                : Colors_1.default.white) }))),
                XNode_1.default.create(XF_1.default.StackLayout, Object.assign({ orientation: "Horizontal" }, XF_1.default.BindableLayout.itemsSource(Bind_1.default.oneWay(() => this.items))),
                    XNode_1.default.create(XF_1.default.BindableLayout.itemTemplate, null,
                        XNode_1.default.create(XF_1.default.DataTemplate, null,
                            XNode_1.default.create(WA_1.default.AtomView, { backgroundColor: Colors_1.default.white, horizontalOptions: "FillAndExpand", dataTemplate: Bind_1.default.oneWay(() => this.itemTemplate) },
                                XNode_1.default.create(XF_1.default.View.gestureRecognizers, null,
                                    XNode_1.default.create(XF_1.default.TapGestureRecognizer, { command: Bind_1.default.event((x) => this.selectedItem = x.data) }))))))));
        }
    }
    exports.default = AtomXFToggleButtonBar;
    AtomXFToggleButtonBar.itemTemplate = XNode_1.default.prepare("itemTemplate", true, true);
});
//# sourceMappingURL=AtomXFToggleButtonBar.js.map